// Made with Amplify Shader Editor
// Available at the Unity Asset Store - http://u3d.as/y3X 
Shader "Hanmen/Anisotropic Item Cutoff"
{
	Properties
	{
		[IntRange][Header (0 none 1 front 2 back)]_CullMode("CullMode", Range( 0 , 2)) = 0
		_TransmissionShadow("TransmissionShadow", Range( 0 , 1)) = 1
		[NoScaleOffset][Header (RGB Color A Cutoff)]_MainTex("MainTex", 2D) = "white" {}
		[NoScaleOffset]_ColorMask("ColorMask", 2D) = "black" {}
		[NoScaleOffset]_BumpMap("BumpMap", 2D) = "bump" {}
		[NoScaleOffset][Header (R_Detail1 G_Detail2)]_DetailMask("DetailMask", 2D) = "white" {}
		[NoScaleOffset][Header(Packed (R_Gloss G_Emission B_MetallicMask))]_MetallicGlossMap("MetallicGlossMap", 2D) = "white" {}
		[NoScaleOffset][Header (Detail1)]_DetailGlossMap("DetailGlossMap", 2D) = "white" {}
		[NoScaleOffset][Header (Detail2)]_DetailGlossMap2("DetailGlossMap2", 2D) = "white" {}
		[NoScaleOffset]_OcclusionMap("OcclusionMap", 2D) = "white" {}
		_BaseColor("BaseColor", Color) = (1,1,1,1)
		_Color("Color", Color) = (1,1,1,1)
		[HDR][NoScaleOffset][Normal]_TangentMap1("TangentMap", 2D) = "bump" {}
		_Color2("Color2", Color) = (1,1,1,1)
		[NoScaleOffset]_FuzzTex("FuzzTex", 2D) = "black" {}
		_Color3("Color3", Color) = (1,1,1,1)
		_Color4("Color4", Color) = (1,1,1,1)
		_EmissionColor("EmissionColor", Color) = (0,0,0,1)
		_DetailUV("DetailUV", Vector) = (1,1,0,0)
		_DetailUV2("DetailUV2", Vector) = (1,1,0,0)
		_DetailUVRotator("DetailUVRotator", Range( -1 , 1)) = 0
		_DetailUV2Rotator("DetailUV2Rotator", Range( -1 , 1)) = 0
		_FuzzUV("FuzzUV", Vector) = (1,1,0,0)
		_CarvatureStrength("CarvatureStrength", Range( 0 , 1)) = 0
		[Header (Bump)]_Float0("Float0", Range( 0 , 3)) = 1
		[Header(Detail Settings)]_DetailNormalMapScale("DetailNormalMapScale", Range( 0 , 9)) = 1
		_DetailNormalMapScale2("DetailNormalMapScale2", Range( 0 , 9)) = 1
		_DetailGlossScale("DetailGlossScale", Range( 0 , 1)) = 0
		_DetailGlossScale2("DetailGlossScale2", Range( 0 , 1)) = 0
		_Anisotropy("Anisotropy", Range( 0 , 1)) = 1
		_DetailMetallicScale("DetailMetallicScale", Range( 0 , 1)) = 0
		_DetailMetallicScale2("DetailMetallicScale2", Range( 0 , 1)) = 1
		_DetailOcculusionScale("DetailOcculusionScale", Range( 0 , 1)) = 0
		_DetailOcculusionScale2("DetailOcculusionScale2", Range( 0 , 1)) = 0
		[Header (Emission (Tex Required))]_EmissionStrength("EmissionStrength", Range( 0 , 20)) = 1
		[Header (Color Mask Required (Optional))][Toggle(_EMISSIONCOLOR2_ON)] _EmissionColor2("Color1 is Emissive", Float) = 0
		[Toggle(_EMISSIONCOLOR3_ON)] _EmissionColor3("Color2 is Emissive", Float) = 0
		[Toggle(_EMISSIONCOLOR4_ON)] _EmissionColor4("Color3 is Emissive", Float) = 0
		[Header (Ambient Occlusion)]_OcculusionStrength("OcculusionStrength", Range( 0 , 1)) = 1
		[Header (Glossiness Roughness)]_Glossiness("Glossiness", Range( 0 , 1)) = 0
		_Glossiness2("Glossiness2", Range( 0 , 1)) = 0
		_Glossiness3("Glossiness3", Range( 0 , 1)) = 0
		_TangentUV("TangentUV", Vector) = (1,1,0,0)
		_Glossiness4("Glossiness4", Range( 0 , 1)) = 0
		_Roughness("Roughness", Range( 0 , 1)) = 1
		_Roughness2("Roughness2", Range( 0 , 1)) = 1
		_Roughness3("Roughness3", Range( 0 , 1)) = 1
		_Roughness4("Roughness4", Range( 0 , 1)) = 1
		[Header (Metallic Maps)]_Metallic("Metallic", Range( 0 , 1)) = 0
		_Metallic2("Metallic2", Range( 0 , 1)) = 0
		_Metallic3("Metallic3", Range( 0 , 1)) = 0
		_Metallic4("Metallic4", Range( 0 , 1)) = 0
		_MetallicMask("MetallicMask", Range( 0 , 1)) = 1
		_MetallicMask2("MetallicMask2", Range( 0 , 1)) = 1
		_MetallicMask3("MetallicMask3", Range( 0 , 1)) = 1
		_MetallicMask4("MetallicMask4", Range( 0 , 1)) = 1
		[Header(Wetness)]_ExGloss("ExGloss", Range( 0 , 1)) = 0
		_WetnessPower("WetnessPower", Range( 0 , 2)) = 0.8
		_WetAlbedoOffset("WetAlbedoOffset", Range( 0 , 1)) = 0.6
		[HideInInspector][Header(Translucency)]_Translucency("Translucency", Range( 0 , 50)) = 1
		[Header(Dithering)][Toggle]_DitherSwitch("DitherSwitch", Range( 0 , 1)) = 1
		[Toggle]_DitherBlueNoise("DitherBlueNoise", Range( 0 , 1)) = 0
		[NoScaleOffset]_Noise("Noise", 2D) = "white" {}
		[Header(Backface Settings)][Toggle]_NormalBackDirInvert("Backface Normal Direction Invert", Range( 0 , 1)) = 0
		_TransmissionStrength("TransmissionStrength", Range( 0 , 5)) = 0
		_AnistropyContrast("AnistropyContrast", Range( 0 , 1)) = 0.5
		_DetailTangent("DetailTangent", Range( 0 , 1)) = 0
		_DetailTangent2("DetailTangent2", Range( 0 , 1)) = 0
		_Reflections("Reflections", Range( 0 , 1)) = 1
		[Header(Translucency)]_TransNormalDistortion("Normal Distortion", Range( 0 , 1)) = 0
		_TransScattering("Scattering Faloff", Range( 1 , 50)) = 1
		_TransDirect("Direct", Range( 0 , 1)) = 0
		_TransAmbient("Ambient", Range( 0 , 1)) = 0
		_Shadow("Shadow", Range( 0 , 1)) = 1
		_Cutoff("Cutoff", Range( 0 , 1)) = 0.5
		_FuzzColor("Fuzz Color", Color) = (1,1,1,1)
		_FuzzRange("Fuzz Range", Range( 1 , 5)) = 1
		_FuzzBias("Fuzz Bias", Range( 0 , 1)) = 0
		_FuzzWrap("FuzzWrap", Range( 0 , 1)) = 0
		[HideInInspector] _texcoord( "", 2D ) = "white" {}
		[HideInInspector] __dirty( "", Int ) = 1
	}

	SubShader
	{
		Tags{ "RenderType" = "TransparentCutout"  "Queue" = "AlphaTest+0" "IgnoreProjector" = "True" "IsEmissive" = "true"  }
		Cull Off
		CGINCLUDE
		#include "UnityPBSLighting.cginc"
		#include "UnityShaderVariables.cginc"
		#include "UnityStandardUtils.cginc"
		#include "UnityCG.cginc"
		#include "Lighting.cginc"
		#pragma target 5.0
		#pragma shader_feature _EMISSIONCOLOR4_ON
		#pragma shader_feature _EMISSIONCOLOR3_ON
		#pragma shader_feature _EMISSIONCOLOR2_ON
		#ifdef UNITY_PASS_SHADOWCASTER
			#undef INTERNAL_DATA
			#undef WorldReflectionVector
			#undef WorldNormalVector
			#define INTERNAL_DATA half3 internalSurfaceTtoW0; half3 internalSurfaceTtoW1; half3 internalSurfaceTtoW2;
			#define WorldReflectionVector(data,normal) reflect (data.worldRefl, half3(dot(data.internalSurfaceTtoW0,normal), dot(data.internalSurfaceTtoW1,normal), dot(data.internalSurfaceTtoW2,normal)))
			#define WorldNormalVector(data,normal) half3(dot(data.internalSurfaceTtoW0,normal), dot(data.internalSurfaceTtoW1,normal), dot(data.internalSurfaceTtoW2,normal))
		#endif
		struct Input
		{
			float2 uv_texcoord;
			float4 screenPosition;
			float3 worldNormal;
			INTERNAL_DATA
			half ASEVFace : VFACE;
			float3 worldPos;
		};

		struct SurfaceOutputCustomLightingCustom
		{
			half3 Albedo;
			half3 Normal;
			half3 Emission;
			half Metallic;
			half Smoothness;
			half Occlusion;
			half Alpha;
			Input SurfInput;
			UnityGIInput GIData;
		};

		uniform sampler2D _Noise;
		uniform float _WetnessPower;
		uniform float4 _Color3;
		uniform float _DetailTangent;
		uniform float4 _Color;
		uniform float4 _Color2;
		uniform float _ExGloss;
		uniform float4 _Color4;
		uniform sampler2D _MetallicGlossMap;
		uniform sampler2D _DetailGlossMap;
		uniform float4 _TangentUV;
		uniform float _Glossiness3;
		uniform float _Metallic;
		uniform float _Metallic3;
		uniform float4 _FuzzUV;
		uniform sampler2D _DetailGlossMap2;
		uniform float _DetailNormalMapScale;
		uniform float _Roughness;
		uniform float _EmissionStrength;
		uniform float _Metallic2;
		uniform float _WetAlbedoOffset;
		uniform float _Float0;
		uniform float _CarvatureStrength;
		uniform float _MetallicMask;
		uniform sampler2D _BumpMap;
		uniform float _MetallicMask3;
		uniform half _DitherSwitch;
		uniform float _DetailMetallicScale;
		uniform float4 _BaseColor;
		uniform float _Glossiness;
		uniform float _Metallic4;
		uniform float _DetailGlossScale2;
		uniform float _MetallicMask2;
		uniform float _DetailUV2Rotator;
		uniform float _Roughness2;
		uniform sampler2D _OcclusionMap;
		uniform float2 _DetailUV2;
		uniform float _DetailMetallicScale2;
		uniform float _Glossiness2;
		uniform float _DitherBlueNoise;
		uniform float _Roughness3;
		uniform sampler2D _ColorMask;
		uniform sampler2D _DetailMask;
		uniform float _TransmissionStrength;
		uniform float _DetailUVRotator;
		uniform float _DetailGlossScale;
		uniform float _DetailNormalMapScale2;
		uniform float4 _EmissionColor;
		uniform sampler2D _MainTex;
		uniform sampler2D _FuzzTex;
		uniform float2 _DetailUV;
		uniform float _DetailTangent2;
		uniform sampler2D _TangentMap1;
		uniform float _AnistropyContrast;
		uniform float _Translucency;
		uniform float _Anisotropy;
		uniform float _FuzzBias;
		uniform float _FuzzRange;
		uniform float4 _FuzzColor;
		uniform float _FuzzWrap;
		uniform float _TransDirect;
		uniform float _Shadow;
		uniform float _TransScattering;
		uniform float _TransAmbient;
		uniform float _TransNormalDistortion;
		uniform float _TransmissionShadow;
		uniform float _CullMode;
		uniform float _Cutoff;
		float4 _Noise_TexelSize;
		uniform float _NormalBackDirInvert;
		uniform float _OcculusionStrength;
		uniform float _DetailOcculusionScale;
		uniform float _DetailOcculusionScale2;
		uniform float _MetallicMask4;
		uniform float _Glossiness4;
		uniform float _Roughness4;
		uniform float _Reflections;


		inline float Dither8x8Bayer( int x, int y )
		{
			const float dither[ 64 ] = {
				 1, 49, 13, 61,  4, 52, 16, 64,
				33, 17, 45, 29, 36, 20, 48, 32,
				 9, 57,  5, 53, 12, 60,  8, 56,
				41, 25, 37, 21, 44, 28, 40, 24,
				 3, 51, 15, 63,  2, 50, 14, 62,
				35, 19, 47, 31, 34, 18, 46, 30,
				11, 59,  7, 55, 10, 58,  6, 54,
				43, 27, 39, 23, 42, 26, 38, 22};
			int r = y * 8 + x;
			return dither[r] / 64; // same # of instructions as pre-dividing due to compiler magic
		}


		inline float DitherNoiseTex( float4 screenPos, sampler2D noiseTexture, float4 noiseTexelSize )
		{
			float dither = tex2Dlod( noiseTexture, float4(screenPos.xy * _ScreenParams.xy * noiseTexelSize.xy, 0, 0) ).g;
			float ditherRate = noiseTexelSize.x * noiseTexelSize.y;
			dither = ( 1 - ditherRate ) * dither + ditherRate;
			return dither;
		}


		float3 FresnelLerp246_g81( half3 F0, half3 F90, half cosA )
		{
			 return FresnelLerp(F0, F90, cosA);
		}


		half MyCustomExpression113_g81( half input )
		{
			return RoughnessToSpecPower(input);
		}


		float Pow5179_g81( float x )
		{
			 return x*x * x*x * x;
		}


		void vertexDataFunc( inout appdata_full v, out Input o )
		{
			UNITY_INITIALIZE_OUTPUT( Input, o );
			float4 ase_screenPos = ComputeScreenPos( UnityObjectToClipPos( v.vertex ) );
			o.screenPosition = ase_screenPos;
		}

		inline half4 LightingStandardCustomLighting( inout SurfaceOutputCustomLightingCustom s, half3 viewDir, UnityGI gi )
		{
			UnityGIInput data = s.GIData;
			Input i = s.SurfInput;
			half4 c = 0;
			#ifdef UNITY_PASS_FORWARDBASE
			float ase_lightAtten = data.atten;
			if( _LightColor0.a == 0)
			ase_lightAtten = 0;
			#else
			float3 ase_lightAttenRGB = gi.light.color / ( ( _LightColor0.rgb ) + 0.000001 );
			float ase_lightAtten = max( max( ase_lightAttenRGB.r, ase_lightAttenRGB.g ), ase_lightAttenRGB.b );
			#endif
			#if defined(HANDLE_SHADOWS_BLENDING_IN_GI)
			half bakedAtten = UnitySampleBakedOcclusion(data.lightmapUV.xy, data.worldPos);
			float zDist = dot(_WorldSpaceCameraPos - data.worldPos, UNITY_MATRIX_V[2].xyz);
			float fadeDist = UnityComputeShadowFadeDistance(data.worldPos, zDist);
			ase_lightAtten = UnityMixRealtimeAndBakedShadows(data.atten, bakedAtten, UnityComputeShadowFade(fadeDist));
			#endif
			float2 uv_MainTex119_g79 = i.uv_texcoord;
			float4 tex2DNode119_g79 = tex2D( _MainTex, uv_MainTex119_g79 );
			float AlphaInput137_g79 = tex2DNode119_g79.a;
			float Color1Alpha101_g79 = _Color.a;
			float2 uv_ColorMask86_g79 = i.uv_texcoord;
			float4 tex2DNode86_g79 = tex2D( _ColorMask, uv_ColorMask86_g79 );
			float ColorMask199_g79 = ( 1.0 - ( tex2DNode86_g79.r + tex2DNode86_g79.g + tex2DNode86_g79.b ) );
			float Color2Alpha97_g79 = _Color2.a;
			float ColorMask296_g79 = tex2DNode86_g79.r;
			float Color3Alpha98_g79 = _Color3.a;
			float ColorMask3102_g79 = tex2DNode86_g79.g;
			float Color4Alpha100_g79 = _Color4.a;
			float ColorMask494_g79 = tex2DNode86_g79.b;
			float AlphaMix258_g79 = saturate( ( AlphaInput137_g79 * ( ( Color1Alpha101_g79 * ColorMask199_g79 ) + ( Color2Alpha97_g79 * ColorMask296_g79 ) + ( Color3Alpha98_g79 * ColorMask3102_g79 ) + ( Color4Alpha100_g79 * ColorMask494_g79 ) ) ) );
			float Bluenoise284_g79 = _DitherBlueNoise;
			float4 ase_screenPos = i.screenPosition;
			float4 ase_screenPosNorm = ase_screenPos / ase_screenPos.w;
			ase_screenPosNorm.z = ( UNITY_NEAR_CLIP_VALUE >= 0 ) ? ase_screenPosNorm.z : ase_screenPosNorm.z * 0.5 + 0.5;
			float2 clipScreen290_g79 = ase_screenPosNorm.xy * _ScreenParams.xy;
			float dither290_g79 = Dither8x8Bayer( fmod(clipScreen290_g79.x, 8), fmod(clipScreen290_g79.y, 8) );
			dither290_g79 = step( dither290_g79, AlphaMix258_g79 );
			float dither286_g79 = DitherNoiseTex(ase_screenPosNorm, _Noise, _Noise_TexelSize);
			dither286_g79 = step( dither286_g79, AlphaMix258_g79 );
			float FinalAlpha325_g79 = ( _DitherSwitch == 0.0 ? AlphaMix258_g79 : ( Bluenoise284_g79 == 0.0 ? dither290_g79 : dither286_g79 ) );
			float3 ase_worldTangent = WorldNormalVector( i, float3( 1, 0, 0 ) );
			float3 tan21_g81 = ase_worldTangent;
			float3 ase_worldBitangent = WorldNormalVector( i, float3( 0, 1, 0 ) );
			float3 bittan24_g81 = ase_worldBitangent;
			float2 uv_BumpMap180_g79 = i.uv_texcoord;
			float2 uv_TexCoord76_g79 = i.uv_texcoord * _DetailUV;
			float cos78_g79 = cos( ( _DetailUVRotator * UNITY_PI ) );
			float sin78_g79 = sin( ( _DetailUVRotator * UNITY_PI ) );
			float2 rotator78_g79 = mul( uv_TexCoord76_g79 - float2( 0.5,0.5 ) , float2x2( cos78_g79 , -sin78_g79 , sin78_g79 , cos78_g79 )) + float2( 0.5,0.5 );
			float2 Detail1UV79_g79 = rotator78_g79;
			float2 break13_g79 = Detail1UV79_g79;
			float temp_output_14_0_g79 = ( pow( 0.25 , 2.0 ) * 0.1 );
			float2 appendResult24_g79 = (float2(( break13_g79.x + temp_output_14_0_g79 ) , break13_g79.y));
			float4 tex2DNode85_g79 = tex2D( _DetailGlossMap, Detail1UV79_g79 );
			float2 uv_DetailMask81_g79 = i.uv_texcoord;
			float4 tex2DNode81_g79 = tex2D( _DetailMask, uv_DetailMask81_g79 );
			float DetailMask183_g79 = tex2DNode81_g79.r;
			float temp_output_42_0_g79 = ( DetailMask183_g79 * _DetailNormalMapScale );
			float3 appendResult56_g79 = (float3(1.0 , 0.0 , ( ( tex2D( _DetailGlossMap, appendResult24_g79 ).g - tex2DNode85_g79.g ) * temp_output_42_0_g79 )));
			float2 appendResult27_g79 = (float2(break13_g79.x , ( break13_g79.y + temp_output_14_0_g79 )));
			float3 appendResult58_g79 = (float3(0.0 , 1.0 , ( ( tex2D( _DetailGlossMap, appendResult27_g79 ).g - tex2DNode85_g79.g ) * temp_output_42_0_g79 )));
			float3 normalizeResult66_g79 = normalize( cross( appendResult56_g79 , appendResult58_g79 ) );
			float3 DetailNormal171_g79 = normalizeResult66_g79;
			float2 uv_TexCoord7_g79 = i.uv_texcoord * _DetailUV2;
			float cos10_g79 = cos( ( _DetailUV2Rotator * UNITY_PI ) );
			float sin10_g79 = sin( ( _DetailUV2Rotator * UNITY_PI ) );
			float2 rotator10_g79 = mul( uv_TexCoord7_g79 - float2( 0.5,0.5 ) , float2x2( cos10_g79 , -sin10_g79 , sin10_g79 , cos10_g79 )) + float2( 0.5,0.5 );
			float2 Detail2UV12_g79 = rotator10_g79;
			float2 break20_g79 = Detail2UV12_g79;
			float temp_output_21_0_g79 = ( pow( 0.25 , 2.0 ) * 0.1 );
			float2 appendResult32_g79 = (float2(( break20_g79.x + temp_output_21_0_g79 ) , break20_g79.y));
			float4 tex2DNode41_g79 = tex2D( _DetailGlossMap2, Detail2UV12_g79 );
			float DetailMask284_g79 = tex2DNode81_g79.g;
			float temp_output_49_0_g79 = ( DetailMask284_g79 * _DetailNormalMapScale2 );
			float3 appendResult63_g79 = (float3(1.0 , 0.0 , ( ( tex2D( _DetailGlossMap2, appendResult32_g79 ).g - tex2DNode41_g79.g ) * temp_output_49_0_g79 )));
			float2 appendResult31_g79 = (float2(break20_g79.x , ( break20_g79.y + temp_output_21_0_g79 )));
			float3 appendResult64_g79 = (float3(0.0 , 1.0 , ( ( tex2D( _DetailGlossMap2, appendResult31_g79 ).g - tex2DNode41_g79.g ) * temp_output_49_0_g79 )));
			float3 normalizeResult70_g79 = normalize( cross( appendResult63_g79 , appendResult64_g79 ) );
			float3 DetailNormal272_g79 = normalizeResult70_g79;
			float3 normalizeResult262_g79 = normalize( BlendNormals( BlendNormals( UnpackScaleNormal( tex2D( _BumpMap, uv_BumpMap180_g79 ), _Float0 ) , DetailNormal171_g79 ) , DetailNormal272_g79 ) );
			float3 switchResult303_g79 = (((i.ASEVFace>0)?(normalizeResult262_g79):(-normalizeResult262_g79)));
			float3 NormalMix321_g79 = ( _NormalBackDirInvert == 1.0 ? switchResult303_g79 : normalizeResult262_g79 );
			float3 temp_output_1407_342 = NormalMix321_g79;
			float3 temp_output_327_0_g81 = temp_output_1407_342;
			float3 normalLocal11_g81 = temp_output_327_0_g81;
			float3 newWorldNormal13_g81 = normalize( (WorldNormalVector( i , normalLocal11_g81 )) );
			float3 normalDir22_g81 = newWorldNormal13_g81;
			float3x3 tangentTransform31_g81 = float3x3(tan21_g81, bittan24_g81, normalDir22_g81);
			float3x3 tangentToWorld42_g81 = transpose( tangentTransform31_g81 );
			float3 hTangent53_g81 = mul( tangentToWorld42_g81, float3(0,1,0) );
			float3 lerpResult62_g81 = lerp( tan21_g81 , hTangent53_g81 , _Anisotropy);
			float3 Tangent64_g81 = lerpResult62_g81;
			float AnisotropyRGContrastvar356_g79 = _AnistropyContrast;
			float2 appendResult351_g79 = (float2(_TangentUV.x , _TangentUV.y));
			float2 appendResult353_g79 = (float2(_TangentUV.z , _TangentUV.w));
			float2 uv_TexCoord354_g79 = i.uv_texcoord * appendResult351_g79 + appendResult353_g79;
			float3 tex2DNode360_g79 = UnpackScaleNormal( tex2D( _TangentMap1, uv_TexCoord354_g79 ), AnisotropyRGContrastvar356_g79 );
			float3 lerpResult369_g79 = lerp( UnpackScaleNormal( float4( 0,0,1,1 ), AnisotropyRGContrastvar356_g79 ) , tex2DNode360_g79 , ( DetailMask183_g79 * _DetailTangent ));
			float3 lerpResult367_g79 = lerp( lerpResult369_g79 , tex2DNode360_g79 , ( DetailMask284_g79 * _DetailTangent2 ));
			float3 normalLocalAniso46_g81 = BlendNormals( lerpResult367_g79 , temp_output_327_0_g81 );
			float4 appendResult57_g81 = (float4((normalLocalAniso46_g81).xy , 0.0 , 0.0));
			float AnisotropyRGContrastvar30_g81 = AnisotropyRGContrastvar356_g79;
			float3 lerpResult67_g81 = lerp( Tangent64_g81 , (float4( mul( appendResult57_g81.xyz, tangentToWorld42_g81 ) , 0.0 )).xyz , AnisotropyRGContrastvar30_g81);
			float3 normalizeResult71_g81 = normalize( lerpResult67_g81 );
			float3 WorldTangent74_g81 = normalizeResult71_g81;
			float3 ase_worldPos = i.worldPos;
			#if defined(LIGHTMAP_ON) && UNITY_VERSION < 560 //aseld
			float3 ase_worldlightDir = 0;
			#else //aseld
			float3 ase_worldlightDir = Unity_SafeNormalize( UnityWorldSpaceLightDir( ase_worldPos ) );
			#endif //aseld
			float3 lightDir77_g81 = ase_worldlightDir;
			float dotResult86_g81 = dot( WorldTangent74_g81 , lightDir77_g81 );
			float tdotL94_g81 = dotResult86_g81;
			float temp_output_123_0_g81 = sqrt( ( 1.0 - ( tdotL94_g81 * tdotL94_g81 ) ) );
			float3 normalizeResult92_g81 = normalize( mul( normalLocal11_g81, tangentTransform31_g81 ) );
			float3 normalDirection101_g81 = normalizeResult92_g81;
			float dotResult115_g81 = dot( lightDir77_g81 , normalDirection101_g81 );
			float NdotL129_g81 = max( 0.0 , dotResult115_g81 );
			float diffuseLight220_g81 = ( temp_output_123_0_g81 * NdotL129_g81 );
			#if defined(LIGHTMAP_ON) && ( UNITY_VERSION < 560 || ( defined(LIGHTMAP_SHADOW_MIXING) && !defined(SHADOWS_SHADOWMASK) && defined(SHADOWS_SCREEN) ) )//aselc
			float4 ase_lightColor = 0;
			#else //aselc
			float4 ase_lightColor = _LightColor0;
			#endif //aselc
			float3 Diffuse263_g81 = ( saturate( diffuseLight220_g81 ) * ase_lightColor.rgb * ase_lightAtten );
			float3 normalizeResult169_g81 = normalize( mul( normalLocalAniso46_g81, tangentTransform31_g81 ) );
			float3 normalDirectionAniso183_g81 = normalizeResult169_g81;
			UnityGI gi337_g81 = gi;
			float3 diffNorm337_g81 = WorldNormalVector( i , normalDirectionAniso183_g81 );
			gi337_g81 = UnityGI_Base( data, 1, diffNorm337_g81 );
			float3 indirectDiffuse337_g81 = gi337_g81.indirect.diffuse + diffNorm337_g81 * 0.0001;
			float2 uv_OcclusionMap259_g79 = i.uv_texcoord;
			float lerpResult298_g79 = lerp( 1.0 , tex2D( _OcclusionMap, uv_OcclusionMap259_g79 ).g , _OcculusionStrength);
			float Detail1148_g79 = tex2D( _DetailGlossMap, Detail1UV79_g79 ).r;
			float smoothstepResult266_g79 = smoothstep( 0.0 , 0.8 , Detail1148_g79);
			float lerpResult297_g79 = lerp( 1.0 , smoothstepResult266_g79 , ( _DetailOcculusionScale * DetailMask183_g79 ));
			float Detail2194_g79 = tex2D( _DetailGlossMap2, Detail2UV12_g79 ).r;
			float smoothstepResult274_g79 = smoothstep( 0.0 , 0.8 , Detail2194_g79);
			float lerpResult299_g79 = lerp( 1.0 , smoothstepResult274_g79 , ( _DetailOcculusionScale2 * DetailMask284_g79 ));
			float OcclusionMix323_g79 = saturate( ( lerpResult298_g79 * lerpResult297_g79 * lerpResult299_g79 ) );
			float temp_output_1407_346 = OcclusionMix323_g79;
			float AO193_g81 = temp_output_1407_346;
			float3 indirectLighting230_g81 = ( indirectDiffuse337_g81 * AO193_g81 );
			float3 temp_output_206_0_g79 = ( (tex2DNode119_g79).rgb * (_BaseColor).rgb );
			float3 Color1128_g79 = (_Color).rgb;
			float3 Color2121_g79 = (_Color2).rgb;
			float3 Color3123_g79 = (_Color3).rgb;
			float3 Color4136_g79 = (_Color4).rgb;
			float3 temp_cast_2 = (1.0).xxx;
			float2 uv_OcclusionMap186_g79 = i.uv_texcoord;
			float Carvature197_g79 = tex2D( _OcclusionMap, uv_OcclusionMap186_g79 ).r;
			float3 lerpResult289_g79 = lerp( ( ( temp_output_206_0_g79 * Color1128_g79 * ColorMask199_g79 ) + ( Color2121_g79 * ColorMask296_g79 * temp_output_206_0_g79 ) + ( Color3123_g79 * ColorMask3102_g79 * temp_output_206_0_g79 ) + ( Color4136_g79 * ColorMask494_g79 * temp_output_206_0_g79 ) ) , temp_cast_2 , ( Carvature197_g79 * _CarvatureStrength ));
			float ExGloss255_g79 = _ExGloss;
			float3 lerpResult313_g79 = lerp( lerpResult289_g79 , ( lerpResult289_g79 * _WetAlbedoOffset ) , ExGloss255_g79);
			float3 DiffuseMix326_g79 = lerpResult313_g79;
			float3 temp_output_1407_345 = DiffuseMix326_g79;
			float2 uv_MetallicGlossMap139_g79 = i.uv_texcoord;
			float4 tex2DNode139_g79 = tex2D( _MetallicGlossMap, uv_MetallicGlossMap139_g79 );
			float lerpResult167_g79 = lerp( 1.0 , tex2DNode139_g79.b , _MetallicMask);
			float lerpResult193_g79 = lerp( 1.0 , tex2DNode139_g79.b , _MetallicMask2);
			float lerpResult181_g79 = lerp( 1.0 , tex2DNode139_g79.b , _MetallicMask3);
			float lerpResult208_g79 = lerp( 1.0 , tex2DNode139_g79.b , _MetallicMask4);
			float lerpResult281_g79 = lerp( ( ( lerpResult167_g79 * _Metallic * ColorMask199_g79 ) + ( lerpResult193_g79 * _Metallic2 * ColorMask296_g79 ) + ( lerpResult181_g79 * _Metallic3 * ColorMask3102_g79 ) ) , ( lerpResult208_g79 * _Metallic4 ) , ColorMask494_g79);
			float MetallicFinal328_g79 = saturate( ( ( lerpResult281_g79 - ( ( 1.0 - Detail1148_g79 ) * ( _DetailMetallicScale * DetailMask183_g79 ) ) ) - ( ( 1.0 - Detail2194_g79 ) * ( _DetailMetallicScale2 * DetailMask284_g79 ) ) ) );
			half3 specColor1393 = (0).xxx;
			half oneMinusReflectivity1393 = 0;
			half3 diffuseAndSpecularFromMetallic1393 = DiffuseAndSpecularFromMetallic(temp_output_1407_345,MetallicFinal328_g79,specColor1393,oneMinusReflectivity1393);
			float3 Albedo269_g81 = diffuseAndSpecularFromMetallic1393;
			float3 indirectNormal323_g81 = WorldNormalVector( i , normalDirectionAniso183_g81 );
			float lerpResult143_g79 = lerp( 1.0 , tex2DNode139_g79.r , _Roughness);
			float Glossiness1153_g79 = _Glossiness;
			float lerpResult158_g79 = lerp( 1.0 , tex2DNode139_g79.r , _Roughness2);
			float Glossiness2152_g79 = _Glossiness2;
			float lerpResult157_g79 = lerp( 1.0 , tex2DNode139_g79.r , _Roughness3);
			float Glossiness3154_g79 = _Glossiness3;
			float lerpResult187_g79 = lerp( 1.0 , tex2DNode139_g79.r , _Roughness4);
			float lerpResult230_g79 = lerp( ( ( lerpResult143_g79 * Glossiness1153_g79 * ColorMask199_g79 ) + ( lerpResult158_g79 * Glossiness2152_g79 * ColorMask296_g79 ) + ( lerpResult157_g79 * Glossiness3154_g79 * ColorMask3102_g79 ) ) , ( _Glossiness4 * lerpResult187_g79 ) , ColorMask494_g79);
			float lerpResult305_g79 = lerp( ( ( lerpResult230_g79 - ( ( 1.0 - Detail1148_g79 ) * ( _DetailGlossScale * DetailMask183_g79 ) ) ) - ( ( 1.0 - Detail2194_g79 ) * ( _DetailGlossScale2 * DetailMask284_g79 ) ) ) , 1.0 , ( _WetnessPower * ExGloss255_g79 ));
			float GlossinessFinal327_g79 = saturate( lerpResult305_g79 );
			float lerpResult352_g79 = lerp( 0.0 , GlossinessFinal327_g79 , _Reflections);
			float temp_output_322_0_g81 = lerpResult352_g79;
			Unity_GlossyEnvironmentData g323_g81 = UnityGlossyEnvironmentSetup( temp_output_322_0_g81, data.worldViewDir, indirectNormal323_g81, float3(0,0,0));
			float3 indirectSpecular323_g81 = UnityGI_IndirectSpecular( data, AO193_g81, indirectNormal323_g81, g323_g81 );
			float3 SpecRGB151_g81 = specColor1393;
			float3 F0246_g81 = SpecRGB151_g81;
			float GrazingTerm239_g81 = saturate( temp_output_322_0_g81 );
			float3 temp_cast_3 = (GrazingTerm239_g81).xxx;
			float3 F90246_g81 = temp_cast_3;
			float3 ase_worldViewDir = normalize( UnityWorldSpaceViewDir( ase_worldPos ) );
			float3 viewDir75_g81 = ase_worldViewDir;
			float dotResult158_g81 = dot( normalDirection101_g81 , viewDir75_g81 );
			float NdotV184_g81 = max( 0.0 , dotResult158_g81 );
			float cosA246_g81 = NdotV184_g81;
			float3 localFresnelLerp246_g81 = FresnelLerp246_g81( F0246_g81 , F90246_g81 , cosA246_g81 );
			float3 switchResult338_g81 = (((i.ASEVFace>0)?(localFresnelLerp246_g81):(SpecRGB151_g81)));
			float3 indirectspecular268_g81 = ( indirectSpecular323_g81 * switchResult338_g81 );
			float dotResult90_g81 = dot( WorldTangent74_g81 , viewDir75_g81 );
			float TdotV95_g81 = dotResult90_g81;
			half input113_g81 = ( 1.0 - GlossinessFinal327_g79 );
			half localMyCustomExpression113_g81 = MyCustomExpression113_g81( input113_g81 );
			float SpecPower118_g81 = localMyCustomExpression113_g81;
			float Specular187_g81 = ( NdotL129_g81 * pow( saturate( ( ( temp_output_123_0_g81 * sqrt( ( 1.0 - ( TdotV95_g81 * TdotV95_g81 ) ) ) ) - ( tdotL94_g81 * TdotV95_g81 ) ) ) , SpecPower118_g81 ) );
			float temp_output_147_0_g81 = ( SpecPower118_g81 + 1.0 );
			float normalization194_g81 = ( sqrt( ( temp_output_147_0_g81 * temp_output_147_0_g81 ) ) / ( 8.0 * UNITY_PI ) );
			float3 normalizeResult103_g81 = normalize( ( lightDir77_g81 + viewDir75_g81 ) );
			float3 HalfDirection104_g81 = normalizeResult103_g81;
			float dotResult120_g81 = dot( lightDir77_g81 , HalfDirection104_g81 );
			float LdotH139_g81 = max( 0.0 , dotResult120_g81 );
			float x179_g81 = ( 1.0 - LdotH139_g81 );
			float localPow5179_g81 = Pow5179_g81( x179_g81 );
			float3 Specular_A227_g81 = ( Specular187_g81 * normalization194_g81 * ( ( localPow5179_g81 * ( 1.0 - SpecRGB151_g81 ) ) + SpecRGB151_g81 ) );
			float3 directSpecular265_g81 = ( Specular_A227_g81 * ase_lightColor.rgb * ase_lightAtten * AO193_g81 );
			float3 normalLocal46_g80 = temp_output_1407_342;
			float3 viewDir41_g80 = ase_worldViewDir;
			float dotResult38_g80 = dot( normalize( (WorldNormalVector( i , normalLocal46_g80 )) ) , viewDir41_g80 );
			float NdotV34_g80 = max( 0.0 , dotResult38_g80 );
			float2 appendResult355_g79 = (float2(_FuzzUV.x , _FuzzUV.y));
			float2 appendResult376_g79 = (float2(_FuzzUV.z , _FuzzUV.w));
			float2 uv_TexCoord357_g79 = i.uv_texcoord * appendResult355_g79 + appendResult376_g79;
			float AO43_g80 = temp_output_1407_346;
			float3 temp_output_7_0_g80 = (_FuzzColor).rgb;
			UnityGI gi45_g80 = gi;
			float3 diffNorm45_g80 = WorldNormalVector( i , normalLocal46_g80 );
			gi45_g80 = UnityGI_Base( data, 1, diffNorm45_g80 );
			float3 indirectDiffuse45_g80 = gi45_g80.indirect.diffuse + diffNorm45_g80 * 0.0001;
			float3 lightDir53_g80 = ase_worldlightDir;
			float dotResult52_g80 = dot( lightDir53_g80 , normalLocal46_g80 );
			float NdotL50_g80 = max( 0.0 , dotResult52_g80 );
			float temp_output_30_0_g80 = ( _FuzzWrap + 1.0 );
			float WrappedDiffuse27_g80 = ( saturate( ( NdotL50_g80 + _FuzzWrap ) ) / ( temp_output_30_0_g80 * temp_output_30_0_g80 ) );
			float3 FuzzLighting15_g80 = ( ( pow( exp2( -NdotV34_g80 ) , _FuzzRange ) + _FuzzBias ) * ( ( (tex2D( _FuzzTex, uv_TexCoord357_g79 ).rgb).xyz * AO43_g80 ) * ( ( temp_output_7_0_g80 * indirectDiffuse45_g80 ) + ( temp_output_7_0_g80 * WrappedDiffuse27_g80 * ase_lightColor.rgb * ase_lightAtten ) ) ) );
			float3 newWorldNormal27_g82 = (WorldNormalVector( i , temp_output_1407_342 ));
			float dotResult20_g82 = dot( ase_worldViewDir , -( ( newWorldNormal27_g82 * _TransNormalDistortion ) + ase_worldlightDir ) );
			UnityGI gi15_g82 = gi;
			float3 diffNorm15_g82 = newWorldNormal27_g82;
			gi15_g82 = UnityGI_Base( data, 1, diffNorm15_g82 );
			float3 indirectDiffuse15_g82 = gi15_g82.indirect.diffuse + diffNorm15_g82 * 0.0001;
			float3 lerpResult39_g82 = lerp( ase_lightColor.rgb , ( ase_lightColor.rgb * ase_lightAtten ) , _Shadow);
			float dotResult9_g83 = dot( normalize( (WorldNormalVector( i , temp_output_1407_342 )) ) , ase_worldlightDir );
			float3 lerpResult21_g83 = lerp( ase_lightColor.rgb , ( ase_lightColor.rgb * ase_lightAtten ) , _TransmissionShadow);
			c.rgb = ( ( ( ( Diffuse263_g81 + indirectLighting230_g81 ) * Albedo269_g81 * AO193_g81 ) + ( indirectspecular268_g81 + directSpecular265_g81 ) ) + ( FuzzLighting15_g80 * AO43_g80 ) + ( temp_output_1407_345 * ( ( ( pow( saturate( dotResult20_g82 ) , _TransScattering ) * _TransDirect ) + ( indirectDiffuse15_g82 * _TransAmbient ) ) * ( _Translucency * 1.0 ) * lerpResult39_g82 ) ) + ( ( max( 0.0 , -dotResult9_g83 ) * lerpResult21_g83 * _TransmissionStrength ) * temp_output_1407_345 ) );
			c.a = 1;
			clip( FinalAlpha325_g79 - _Cutoff );
			return c;
		}

		inline void LightingStandardCustomLighting_GI( inout SurfaceOutputCustomLightingCustom s, UnityGIInput data, inout UnityGI gi )
		{
			s.GIData = data;
		}

		void surf( Input i , inout SurfaceOutputCustomLightingCustom o )
		{
			o.SurfInput = i;
			o.Normal = float3(0,0,1);
			float2 uv_MetallicGlossMap139_g79 = i.uv_texcoord;
			float4 tex2DNode139_g79 = tex2D( _MetallicGlossMap, uv_MetallicGlossMap139_g79 );
			float3 Color3123_g79 = (_Color3).rgb;
			float3 EC3204_g79 = ( Color3123_g79 * _EmissionStrength );
			#ifdef _EMISSIONCOLOR4_ON
				float3 staticSwitch271_g79 = EC3204_g79;
			#else
				float3 staticSwitch271_g79 = ( (_EmissionColor).rgb * _EmissionStrength );
			#endif
			float3 Color2121_g79 = (_Color2).rgb;
			float3 EC2238_g79 = ( Color2121_g79 * _EmissionStrength );
			#ifdef _EMISSIONCOLOR3_ON
				float3 staticSwitch294_g79 = EC2238_g79;
			#else
				float3 staticSwitch294_g79 = staticSwitch271_g79;
			#endif
			float3 Color1128_g79 = (_Color).rgb;
			float3 EC1269_g79 = ( Color1128_g79 * _EmissionStrength );
			#ifdef _EMISSIONCOLOR2_ON
				float3 staticSwitch308_g79 = EC1269_g79;
			#else
				float3 staticSwitch308_g79 = staticSwitch294_g79;
			#endif
			float3 EmissionFinal324_g79 = ( tex2DNode139_g79.g * staticSwitch308_g79 );
			o.Emission = EmissionFinal324_g79;
		}

		ENDCG
		CGPROGRAM
		#pragma only_renderers d3d9 d3d11_9x d3d11 glcore gles gles3 
		#pragma surface surf StandardCustomLighting keepalpha fullforwardshadows vertex:vertexDataFunc 

		ENDCG
		Pass
		{
			Name "ShadowCaster"
			Tags{ "LightMode" = "ShadowCaster" }
			ZWrite On
			CGPROGRAM
			#pragma vertex vert
			#pragma fragment frag
			#pragma target 5.0
			#pragma multi_compile_shadowcaster
			#pragma multi_compile UNITY_PASS_SHADOWCASTER
			#pragma skip_variants FOG_LINEAR FOG_EXP FOG_EXP2
			#include "HLSLSupport.cginc"
			#if ( SHADER_API_D3D11 || SHADER_API_GLCORE || SHADER_API_GLES || SHADER_API_GLES3 || SHADER_API_METAL || SHADER_API_VULKAN )
				#define CAN_SKIP_VPOS
			#endif
			#include "UnityCG.cginc"
			#include "Lighting.cginc"
			#include "UnityPBSLighting.cginc"
			struct v2f
			{
				V2F_SHADOW_CASTER;
				float2 customPack1 : TEXCOORD1;
				float4 customPack2 : TEXCOORD2;
				float4 tSpace0 : TEXCOORD3;
				float4 tSpace1 : TEXCOORD4;
				float4 tSpace2 : TEXCOORD5;
				UNITY_VERTEX_INPUT_INSTANCE_ID
				UNITY_VERTEX_OUTPUT_STEREO
			};
			v2f vert( appdata_full v )
			{
				v2f o;
				UNITY_SETUP_INSTANCE_ID( v );
				UNITY_INITIALIZE_OUTPUT( v2f, o );
				UNITY_INITIALIZE_VERTEX_OUTPUT_STEREO( o );
				UNITY_TRANSFER_INSTANCE_ID( v, o );
				Input customInputData;
				vertexDataFunc( v, customInputData );
				float3 worldPos = mul( unity_ObjectToWorld, v.vertex ).xyz;
				half3 worldNormal = UnityObjectToWorldNormal( v.normal );
				half3 worldTangent = UnityObjectToWorldDir( v.tangent.xyz );
				half tangentSign = v.tangent.w * unity_WorldTransformParams.w;
				half3 worldBinormal = cross( worldNormal, worldTangent ) * tangentSign;
				o.tSpace0 = float4( worldTangent.x, worldBinormal.x, worldNormal.x, worldPos.x );
				o.tSpace1 = float4( worldTangent.y, worldBinormal.y, worldNormal.y, worldPos.y );
				o.tSpace2 = float4( worldTangent.z, worldBinormal.z, worldNormal.z, worldPos.z );
				o.customPack1.xy = customInputData.uv_texcoord;
				o.customPack1.xy = v.texcoord;
				o.customPack2.xyzw = customInputData.screenPosition;
				TRANSFER_SHADOW_CASTER_NORMALOFFSET( o )
				return o;
			}
			half4 frag( v2f IN
			#if !defined( CAN_SKIP_VPOS )
			, UNITY_VPOS_TYPE vpos : VPOS
			#endif
			) : SV_Target
			{
				UNITY_SETUP_INSTANCE_ID( IN );
				Input surfIN;
				UNITY_INITIALIZE_OUTPUT( Input, surfIN );
				surfIN.uv_texcoord = IN.customPack1.xy;
				surfIN.screenPosition = IN.customPack2.xyzw;
				float3 worldPos = float3( IN.tSpace0.w, IN.tSpace1.w, IN.tSpace2.w );
				half3 worldViewDir = normalize( UnityWorldSpaceViewDir( worldPos ) );
				surfIN.worldPos = worldPos;
				surfIN.worldNormal = float3( IN.tSpace0.z, IN.tSpace1.z, IN.tSpace2.z );
				surfIN.internalSurfaceTtoW0 = IN.tSpace0.xyz;
				surfIN.internalSurfaceTtoW1 = IN.tSpace1.xyz;
				surfIN.internalSurfaceTtoW2 = IN.tSpace2.xyz;
				SurfaceOutputCustomLightingCustom o;
				UNITY_INITIALIZE_OUTPUT( SurfaceOutputCustomLightingCustom, o )
				surf( surfIN, o );
				UnityGI gi;
				UNITY_INITIALIZE_OUTPUT( UnityGI, gi );
				o.Alpha = LightingStandardCustomLighting( o, worldViewDir, gi ).a;
				#if defined( CAN_SKIP_VPOS )
				float2 vpos = IN.pos;
				#endif
				SHADOW_CASTER_FRAGMENT( IN )
			}
			ENDCG
		}
	}
	Fallback "Diffuse"
	CustomEditor "ASEMaterialInspector"
}
/*ASEBEGIN
Version=18912
358;632;1130;878;-3935.491;2818.901;1.923622;True;False
Node;AmplifyShaderEditor.FunctionNode;1407;4421.676,-2171.243;Inherit;False;AIT Anisotropic Item Function;3;;79;80b68207c252f56459eb97bd4e8e0b92;0;0;14;FLOAT3;345;COLOR;384;FLOAT3;342;FLOAT3;387;FLOAT3;341;FLOAT;340;FLOAT;0;FLOAT;383;FLOAT;346;FLOAT;350;FLOAT;347;FLOAT;344;FLOAT;386;FLOAT;382
Node;AmplifyShaderEditor.WireNode;1395;4803.892,-2316.8;Inherit;False;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.DiffuseAndSpecularFromMetallicNode;1393;4829.979,-2218.274;Inherit;False;2;0;FLOAT3;0,0,0;False;1;FLOAT;0;False;3;FLOAT3;0;FLOAT3;1;FLOAT;2
Node;AmplifyShaderEditor.WireNode;1396;4874.082,-2337.445;Inherit;False;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.RangedFloatNode;1402;5124.488,-1577.8;Inherit;False;Constant;_Float2;Float 2;4;0;Create;True;0;0;0;False;0;False;1;0;0;0;0;1;FLOAT;0
Node;AmplifyShaderEditor.FunctionNode;1316;5246.255,-1876.737;Inherit;False;Fuzz Light;78;;80;763f1853b3f36754a957e8301fce4b2d;0;3;42;FLOAT3;0,0,0;False;23;FLOAT3;0,0,0;False;44;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.FunctionNode;1315;5240,-2167.781;Inherit;False;Standard Anisotropic Specular Light;-1;;81;3a41dd9f61f98284890bd8c75a8f7141;0;9;329;FLOAT3;0,0,0;False;330;FLOAT3;0,0,0;False;327;FLOAT3;0,0,0;False;328;FLOAT3;0,0,0;False;316;FLOAT;0;False;322;FLOAT;0;False;319;FLOAT;0;False;318;FLOAT;0;False;317;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.WireNode;1397;5850.549,-2335.38;Inherit;False;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.FunctionNode;1405;5266.638,-1732.055;Inherit;False;Unity Translucency (Original);71;;82;99752510ebf066e4395c3596c3f4016b;0;4;6;FLOAT3;0,0,0;False;26;FLOAT3;0,0,1;False;43;FLOAT;0;False;46;FLOAT;1;False;1;FLOAT3;0
Node;AmplifyShaderEditor.FunctionNode;1406;5341.658,-1539.693;Inherit;False;Unity Transmission;1;;83;9498cceedd4defe45a721369ca43b3c7;0;3;1;FLOAT3;0,0,0;False;11;FLOAT3;0,0,0;False;25;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.SimpleAddOpNode;1317;5673.82,-2039.649;Inherit;False;4;4;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;3;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.WireNode;1394;5881.516,-2306.479;Inherit;False;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.WireNode;1400;5805.722,-1887.742;Inherit;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;1335;5964.465,-1837.965;Inherit;False;Property;_CullMode;CullMode;0;1;[IntRange];Create;True;0;0;0;True;1;Header (0 none 1 front 2 back);False;0;0;0;2;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;1403;5976.455,-1738.788;Inherit;False;Property;_Cutoff;Cutoff;77;0;Create;True;0;0;0;True;0;False;0.5;0.5;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.StandardSurfaceOutputNode;0;6012.202,-2262.888;Float;False;True;-1;7;ASEMaterialInspector;0;0;CustomLighting;Hanmen/Anisotropic Item Cutoff;False;False;False;False;False;False;False;False;False;False;False;False;False;False;True;False;False;False;False;False;False;Off;0;False;-1;0;False;-1;False;0;False;-1;0;False;-1;False;0;Masked;0.5;True;True;0;False;TransparentCutout;2600;AlphaTest;All;6;d3d9;d3d11_9x;d3d11;glcore;gles;gles3;True;True;True;True;0;False;-1;False;0;False;-1;255;False;-1;255;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;False;0;32;1;2;True;1;True;0;1;False;-1;10;False;-1;1;5;False;-1;8;False;-1;6;False;-1;6;False;-1;0;False;0;0,0,0,0;VertexOffset;True;False;Cylindrical;False;Relative;0;;-1;-1;-1;-1;0;False;0;0;False;-1;-1;0;True;1403;0;0;0;False;0.1;False;-1;0;False;-1;False;15;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;3;FLOAT3;0,0,0;False;4;FLOAT;0;False;6;FLOAT3;0,0,0;False;7;FLOAT3;0,0,0;False;8;FLOAT;0;False;9;FLOAT;0;False;10;FLOAT;0;False;13;FLOAT3;0,0,0;False;11;FLOAT3;0,0,0;False;12;FLOAT3;0,0,0;False;14;FLOAT4;0,0,0,0;False;15;FLOAT3;0,0,0;False;0
WireConnection;1395;0;1407;341
WireConnection;1393;0;1407;345
WireConnection;1393;1;1407;340
WireConnection;1396;0;1395;0
WireConnection;1316;42;1407;342
WireConnection;1316;23;1407;384
WireConnection;1316;44;1407;346
WireConnection;1315;329;1393;0
WireConnection;1315;330;1393;1
WireConnection;1315;327;1407;342
WireConnection;1315;328;1407;387
WireConnection;1315;316;1407;0
WireConnection;1315;322;1407;383
WireConnection;1315;319;1407;386
WireConnection;1315;318;1407;382
WireConnection;1315;317;1407;346
WireConnection;1397;0;1396;0
WireConnection;1405;6;1407;345
WireConnection;1405;26;1407;342
WireConnection;1405;43;1407;347
WireConnection;1405;46;1402;0
WireConnection;1406;1;1407;345
WireConnection;1406;11;1407;342
WireConnection;1406;25;1407;350
WireConnection;1317;0;1315;0
WireConnection;1317;1;1316;0
WireConnection;1317;2;1405;0
WireConnection;1317;3;1406;0
WireConnection;1394;0;1397;0
WireConnection;1400;0;1407;344
WireConnection;0;2;1394;0
WireConnection;0;10;1400;0
WireConnection;0;13;1317;0
ASEEND*/
//CHKSM=BBAF325A5ACC745AF910D4EB18C0B51CF8A19D8B