// Made with Amplify Shader Editor
// Available at the Unity Asset Store - http://u3d.as/y3X 
Shader "Hanmen/Anisotropic Clothes Cutoff"
{
	Properties
	{
		[IntRange]_CullMode("CullMode", Range( 0 , 2)) = 0
		_TransmissionShadow("TransmissionShadow", Range( 0 , 1)) = 1
		[NoScaleOffset]_DetailMainTex("DetailMainTex", 2D) = "black" {}
		[Header(Translucency)]_TransNormalDistortion("Normal Distortion", Range( 0 , 1)) = 0
		_TransScattering("Scattering Faloff", Range( 1 , 50)) = 1
		_TransDirect("Direct", Range( 0 , 1)) = 0
		_TransAmbient("Ambient", Range( 0 , 1)) = 0
		_Shadow("Shadow", Range( 0 , 1)) = 1
		[Header()][Header()][NoScaleOffset][Header(MetallicGlossMap)][Header((R) Smoothness)][Header((G) Emission)][Header((B) Thickness)]_MetallicGlossMap("", 2D) = "white" {}
		[Header (Zero Disable Dithering)]_Cutoff("Cutoff", Range( 0 , 1)) = 0
		[Header(RENDER TEXTURES (Leave Empty))][NoScaleOffset][Space (10)]_MainTex("MainTex", 2D) = "white" {}
		[NoScaleOffset]_ColorMask("ColorMask", 2D) = "black" {}
		[NoScaleOffset][Space(25)][Header(TEXTURES)][Space(15)]_BumpMap("BumpMap", 2D) = "bump" {}
		[Header(OcclusionMap)][Header((R) Curvature (Edge Map))][Header((G) Ambient Occlusion)][Header((B) Tearings)][Header((A) Wetness Opacity)][NoScaleOffset]_OcclusionMap("", 2D) = "white" {}
		[NoScaleOffset]_WeatheringMap("WeatheringMap", 2D) = "black" {}
		[NoScaleOffset]_WeatheringMask("WeatheringMask", 2D) = "black" {}
		[NoScaleOffset][Header (Packed (R_Glossiness G_Bump))]_WetnessMap("WetnessMap", 2D) = "black" {}
		[HDR][NoScaleOffset][Normal]_TangentMap("TangentMap", 2D) = "bump" {}
		[NoScaleOffset]_FuzzTex("FuzzTex", 2D) = "black" {}
		_WetStreaksUV("WetStreaksUV", Vector) = (1,1,0,0)
		_WetUV("WetUV", Vector) = (1,1,0,0)
		[Header (Colors)]_BaseColor("BaseColor", Color) = (1,1,1,1)
		_Color("Color", Color) = (1,1,1,1)
		_EmissionColor("EmissionColor", Color) = (0,0,0,1)
		_WeatheringAlbedo("WeatheringAlbedo", Color) = (0.6,0.65,0.65,0)
		[Header (UV Coordinates)]_UVScalePattern("UVScalePattern", Vector) = (1,1,0,0)
		_FuzzUV("FuzzUV", Vector) = (1,1,0,0)
		_WeatheringUV("WeatheringUV", Vector) = (1,1,0,0)
		_patternuvbase("patternuvbase", Vector) = (1,1,0,0)
		[Header (Cloth Tearings)]_AlphaEx("AlphaEx", Range( -1 , 1)) = -1
		_CarvatureStrength("CarvatureStrength", Range( 0 , 1)) = 0
		_Anisotropy("Anisotropy", Range( 0 , 1)) = 1
		[Header (Bump)]_Float0("Float0", Range( 0 , 3)) = 1
		[NoScaleOffset][Header (Detail Mask)]_DetailMask("", 2D) = "white" {}
		[NoScaleOffset][Header (Detail1 (Grayscale))]_DetailGlossMap("DetailGlossMap", 2D) = "white" {}
		_DetailUV("DetailUV", Vector) = (1,1,0,0)
		[NoScaleOffset][Header (Detail2 (Grayscale))]_DetailGlossMap2("DetailGlossMap2", 2D) = "white" {}
		_DetailUV2("DetailUV2", Vector) = (1,1,0,0)
		[Header(Detail Settings)]_DetailNormalMapScale("DetailNormalMapScale", Range( 0 , 9)) = 9
		_DetailNormalMapScale2("DetailNormalMapScale2", Range( 0 , 9)) = 1
		_DetailGlossScale("DetailGlossScale", Range( 0 , 1)) = 0
		_DetailGlossScale2("DetailGlossScale2", Range( 0 , 1)) = 0
		_DetailMetallicScale("DetailMetallicScale", Range( 0 , 1)) = 0
		_TangentUV("TangentUV", Vector) = (1,1,0,0)
		_DetailMetallicScale2("DetailMetallicScale2", Range( 0 , 1)) = 0
		_DetailOcculusionScale("DetailOcculusionScale", Range( 0 , 1)) = 0
		_DetailOcculusionScale2("DetailOcculusionScale2", Range( 0 , 1)) = 0
		_DetailUVRotator("DetailUVRotator", Range( -1 , 1)) = 1
		_DetailUV2Rotator("DetailUV2Rotator", Range( -1 , 1)) = 0
		[Header (Emission (Tex Required))]_EmissionStrength("EmissionStrength", Range( 0 , 20)) = 0
		[Header (Color Mask Required (Optional))][Toggle(_EMISSIONCOLOR2_ON)] _EmissionColor2("Color1 is Emissive", Float) = 0
		[Toggle(_EMISSIONCOLOR3_ON)] _EmissionColor3("Color2 is Emissive", Float) = 0
		[Toggle(_EMISSIONCOLOR4_ON)] _EmissionColor4("Color3 is Emissive", Float) = 0
		[Header (Ambient Occlusion)]_OcculusionStrength("OcculusionStrength", Range( 0 , 1)) = 1
		_AlphaMaster("AlphaMaster", Range( 0 , 1)) = 1
		[Header (Metallic Roughness (Optional))]_Roughness("Roughness", Range( 0 , 1)) = 1
		_MetallicMask("MetallicMask", Range( 0 , 1)) = 1
		[Header (Color 4 Settings (Optional))]_Glossiness4("Glossiness4", Range( 0 , 1)) = 1
		_Roughness4("Roughness4", Range( 0 , 1)) = 1
		_Metallic4("Metallic4", Range( 0 , 1)) = 1
		_MetallicMask4("MetallicMask4", Range( 0 , 1)) = 1
		[Header (Weathering)]_WeatheringAll("WeatheringAll", Range( 0 , 1)) = 0
		_WeatheringRange1("WeatheringRange1", Range( 0 , 1)) = 0
		_WeatheringRange2("WeatheringRange2", Range( 0 , 1)) = 0
		_WeatheringRange3("WeatheringRange3", Range( 0 , 1)) = 0
		_WeatheringRange4("WeatheringRange4", Range( 0 , 1)) = 0
		_WeatheringRange5("WeatheringRange5", Range( 0 , 1)) = 0
		_WeatheringGloss("WeatheringGloss", Range( 0 , 2)) = 0.95
		_WeatheringEmission("WeatheringEmission", Range( 0 , 1)) = 0.2
		_WeatheringUVSeed("WeatheringUVSeed", Range( 0 , 1)) = 0
		[Header (Wetness)]_ExGloss("ExGloss", Range( 0 , 1)) = 0
		_WetGlossBase("WetGlossBase", Range( 0 , 2)) = 0.8
		_BodyColor1("BodyColor", Color) = (0.71,0.56,0.51,0)
		_WetAlbedoOffset("WetAlbedoOffset", Range( 0 , 1)) = 0.6
		_WetSplatsAlbedoOffset("WetSplatsAlbedoOffset", Range( 0 , 1)) = 0.6
		_WetAlpha("WetAlpha", Range( 0 , 10)) = 0
		_WetOpacitySplats("WetOpacitySplats", Range( 0 , 2)) = 0
		_WetOpacityStreaks("WetOpacityStreaks", Range( 0 , 2)) = 0
		_WetGlossSplats("WetGlossSplats", Range( 0 , 2)) = 0
		_WetBumpOffset("WetBumpOffset", Range( 0 , 1)) = 0.5
		_WetColor("WetColor", Color) = (0,0,0,0)
		[Header(Dithering)][Toggle]_DitherSwitch("DitherSwitch", Range( 0 , 1)) = 1
		_AnistropyContrast("AnistropyContrast", Range( 0 , 1)) = 0.5
		[Toggle]_DitherBlueNoise("DitherBlueNoise", Range( 0 , 1)) = 0
		[NoScaleOffset]_Noise("Noise", 2D) = "white" {}
		_DetailTangent("DetailTangent", Range( 0 , 1)) = 0
		_DetailTangent2("DetailTangent2", Range( 0 , 1)) = 0
		[Header(Backface Settings)][Toggle]_NormalBackDirInvert("Backface Normal Direction Invert", Range( 0 , 1)) = 0
		_TransmissionStrength("TransmissionStrength", Range( 0 , 5)) = 1
		_Reflections("Reflections", Range( 0 , 1)) = 1
		[Header(Translucency)]_Translucency("Translucency", Range( 0 , 1)) = 1
		_FuzzColor("Fuzz Color", Color) = (1,1,1,1)
		_FuzzRange("Fuzz Range", Range( 1 , 5)) = 1
		_FuzzBias("Fuzz Bias", Range( 0 , 1)) = 0
		_FuzzWrap("FuzzWrap", Range( 0 , 1)) = 0
		[HideInInspector] _texcoord( "", 2D ) = "white" {}
		[HideInInspector] __dirty( "", Int ) = 1
	}

	SubShader
	{
		Tags{ "RenderType" = "TransparentCutout"  "Queue" = "AlphaTest+0" "IgnoreProjector" = "True" "IsEmissive" = "true"  }
		Cull [_CullMode]
		CGINCLUDE
		#include "UnityPBSLighting.cginc"
		#include "UnityShaderVariables.cginc"
		#include "UnityStandardUtils.cginc"
		#include "UnityCG.cginc"
		#include "Lighting.cginc"
		#pragma target 5.0
		#pragma shader_feature _EMISSIONCOLOR2_ON
		#pragma shader_feature _EMISSIONCOLOR3_ON
		#pragma shader_feature _EMISSIONCOLOR4_ON
		#define ASE_USING_SAMPLING_MACROS 1
		#if defined(SHADER_API_D3D11) || defined(SHADER_API_XBOXONE) || defined(UNITY_COMPILER_HLSLCC) || defined(SHADER_API_PSSL) || (defined(SHADER_TARGET_SURFACE_ANALYSIS) && !defined(SHADER_TARGET_SURFACE_ANALYSIS_MOJOSHADER))//ASE Sampler Macros
		#define SAMPLE_TEXTURE2D(tex,samplerTex,coord) tex.Sample(samplerTex,coord)
		#define SAMPLE_TEXTURE2D_LOD(tex,samplerTex,coord,lod) tex.SampleLevel(samplerTex,coord, lod)
		#define SAMPLE_TEXTURE2D_BIAS(tex,samplerTex,coord,bias) tex.SampleBias(samplerTex,coord,bias)
		#define SAMPLE_TEXTURE2D_GRAD(tex,samplerTex,coord,ddx,ddy) tex.SampleGrad(samplerTex,coord,ddx,ddy)
		#else//ASE Sampling Macros
		#define SAMPLE_TEXTURE2D(tex,samplerTex,coord) tex2D(tex,coord)
		#define SAMPLE_TEXTURE2D_LOD(tex,samplerTex,coord,lod) tex2Dlod(tex,float4(coord,0,lod))
		#define SAMPLE_TEXTURE2D_BIAS(tex,samplerTex,coord,bias) tex2Dbias(tex,float4(coord,0,bias))
		#define SAMPLE_TEXTURE2D_GRAD(tex,samplerTex,coord,ddx,ddy) tex2Dgrad(tex,coord,ddx,ddy)
		#endif//ASE Sampling Macros

		#ifdef UNITY_PASS_SHADOWCASTER
			#undef INTERNAL_DATA
			#undef WorldReflectionVector
			#undef WorldNormalVector
			#define INTERNAL_DATA half3 internalSurfaceTtoW0; half3 internalSurfaceTtoW1; half3 internalSurfaceTtoW2;
			#define WorldReflectionVector(data,normal) reflect (data.worldRefl, half3(dot(data.internalSurfaceTtoW0,normal), dot(data.internalSurfaceTtoW1,normal), dot(data.internalSurfaceTtoW2,normal)))
			#define WorldNormalVector(data,normal) half3(dot(data.internalSurfaceTtoW0,normal), dot(data.internalSurfaceTtoW1,normal), dot(data.internalSurfaceTtoW2,normal))
		#endif
		struct Input
		{
			float2 uv_texcoord;
			float4 screenPosition;
			float3 worldNormal;
			INTERNAL_DATA
			half ASEVFace : VFACE;
			float3 worldPos;
		};

		struct SurfaceOutputCustomLightingCustom
		{
			half3 Albedo;
			half3 Normal;
			half3 Emission;
			half Metallic;
			half Smoothness;
			half Occlusion;
			half Alpha;
			Input SurfInput;
			UnityGIInput GIData;
		};

		uniform float _EmissionStrength;
		uniform float4 _WetUV;
		uniform float _WetBumpOffset;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_DetailGlossMap2);
		SamplerState sampler_DetailGlossMap2;
		uniform float _WetOpacitySplats;
		uniform float4 _EmissionColor;
		uniform float _DetailUV2Rotator;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_DetailMainTex);
		SamplerState sampler_DetailMainTex2;
		uniform float _DetailGlossScale;
		SamplerState sampler_DetailMainTex;
		uniform float4 _BaseColor;
		uniform float _Metallic4;
		uniform float _WetOpacityStreaks;
		uniform float _AlphaMaster;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_BumpMap);
		SamplerState sampler_BumpMap;
		uniform float _WetAlbedoOffset;
		uniform float _DetailMetallicScale;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_DetailMask);
		SamplerState sampler_DetailMask;
		uniform float4 _TangentUV;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_TangentMap);
		SamplerState sampler_TangentMap;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_FuzzTex);
		SamplerState sampler_FuzzTex;
		uniform float4 _FuzzUV;
		uniform float _DetailTangent2;
		uniform float _DetailTangent;
		uniform float _TransmissionStrength;
		uniform float _WeatheringUVSeed;
		uniform float _WetAlpha;
		uniform float _DetailGlossScale2;
		uniform float4 _BodyColor1;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_OcclusionMap);
		SamplerState sampler_OcclusionMap;
		uniform float _WetSplatsAlbedoOffset;
		uniform float _WetGlossBase;
		uniform float _DetailNormalMapScale;
		uniform float4 _WetStreaksUV;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_WetnessMap);
		SamplerState sampler_WetnessMap;
		uniform float _WetGlossSplats;
		uniform float4 _WeatheringUV;
		uniform float _ExGloss;
		uniform float _DetailMetallicScale2;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_MetallicGlossMap);
		SamplerState sampler_MetallicGlossMap2;
		uniform float _CarvatureStrength;
		uniform float4 _WetColor;
		uniform float2 _UVScalePattern;
		uniform float4 _WeatheringAlbedo;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_DetailGlossMap);
		SamplerState sampler_DetailGlossMap;
		uniform float2 _DetailUV;
		uniform float _WeatheringRange1;
		uniform float _DetailUVRotator;
		uniform float _WeatheringGloss;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_WeatheringMap);
		SamplerState sampler_WeatheringMap;
		uniform float2 _patternuvbase;
		uniform float _Float0;
		SamplerState sampler_MetallicGlossMap;
		uniform float2 _DetailUV2;
		uniform float _AnistropyContrast;
		uniform half _DitherSwitch;
		uniform float _WeatheringRange5;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_MainTex);
		SamplerState sampler_MainTex;
		uniform float _DetailNormalMapScale2;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_ColorMask);
		SamplerState sampler_ColorMask;
		uniform float4 _Color;
		uniform float _WeatheringRange3;
		uniform float _AlphaEx;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_WeatheringMask);
		SamplerState sampler_WeatheringMask;
		uniform float _WeatheringRange4;
		uniform float _DitherBlueNoise;
		uniform float _WeatheringRange2;
		uniform float _WeatheringAll;
		uniform float _Translucency;
		uniform float _Anisotropy;
		uniform float _TransmissionShadow;
		uniform float _FuzzBias;
		uniform float _FuzzRange;
		uniform float4 _FuzzColor;
		uniform float _FuzzWrap;
		uniform float _TransDirect;
		uniform float _Shadow;
		uniform float _TransScattering;
		uniform float _TransAmbient;
		uniform float _TransNormalDistortion;
		uniform float _CullMode;
		uniform float _Cutoff;
		SamplerState sampler_linear_repeat;
		uniform float _WeatheringEmission;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_Noise);
		float4 _Noise_TexelSize;
		SamplerState sampler_Noise;
		uniform float _NormalBackDirInvert;
		SamplerState sampler_trilinear_repeat;
		uniform float _OcculusionStrength;
		uniform float _DetailOcculusionScale;
		uniform float _DetailOcculusionScale2;
		uniform float _MetallicMask;
		uniform float _MetallicMask4;
		uniform float _Roughness;
		uniform float _Glossiness4;
		uniform float _Roughness4;
		uniform float _Reflections;


		inline float Dither8x8Bayer( int x, int y )
		{
			const float dither[ 64 ] = {
				 1, 49, 13, 61,  4, 52, 16, 64,
				33, 17, 45, 29, 36, 20, 48, 32,
				 9, 57,  5, 53, 12, 60,  8, 56,
				41, 25, 37, 21, 44, 28, 40, 24,
				 3, 51, 15, 63,  2, 50, 14, 62,
				35, 19, 47, 31, 34, 18, 46, 30,
				11, 59,  7, 55, 10, 58,  6, 54,
				43, 27, 39, 23, 42, 26, 38, 22};
			int r = y * 8 + x;
			return dither[r] / 64; // same # of instructions as pre-dividing due to compiler magic
		}


		inline float DitherNoiseTex( float4 screenPos, UNITY_DECLARE_TEX2D_NOSAMPLER(noiseTexture), SamplerState samplernoiseTexture, float4 noiseTexelSize )
		{
			float dither = SAMPLE_TEXTURE2D_LOD( noiseTexture, samplernoiseTexture, screenPos.xy * _ScreenParams.xy * noiseTexelSize.xy, 0 ).g;
			float ditherRate = noiseTexelSize.x * noiseTexelSize.y;
			dither = ( 1 - ditherRate ) * dither + ditherRate;
			return dither;
		}


		float3 FresnelLerp246_g160( half3 F0, half3 F90, half cosA )
		{
			 return FresnelLerp(F0, F90, cosA);
		}


		half MyCustomExpression113_g160( half input )
		{
			return RoughnessToSpecPower(input);
		}


		float Pow5179_g160( float x )
		{
			 return x*x * x*x * x;
		}


		void vertexDataFunc( inout appdata_full v, out Input o )
		{
			UNITY_INITIALIZE_OUTPUT( Input, o );
			float4 ase_screenPos = ComputeScreenPos( UnityObjectToClipPos( v.vertex ) );
			o.screenPosition = ase_screenPos;
		}

		inline half4 LightingStandardCustomLighting( inout SurfaceOutputCustomLightingCustom s, half3 viewDir, UnityGI gi )
		{
			UnityGIInput data = s.GIData;
			Input i = s.SurfInput;
			half4 c = 0;
			#ifdef UNITY_PASS_FORWARDBASE
			float ase_lightAtten = data.atten;
			if( _LightColor0.a == 0)
			ase_lightAtten = 0;
			#else
			float3 ase_lightAttenRGB = gi.light.color / ( ( _LightColor0.rgb ) + 0.000001 );
			float ase_lightAtten = max( max( ase_lightAttenRGB.r, ase_lightAttenRGB.g ), ase_lightAttenRGB.b );
			#endif
			#if defined(HANDLE_SHADOWS_BLENDING_IN_GI)
			half bakedAtten = UnitySampleBakedOcclusion(data.lightmapUV.xy, data.worldPos);
			float zDist = dot(_WorldSpaceCameraPos - data.worldPos, UNITY_MATRIX_V[2].xyz);
			float fadeDist = UnityComputeShadowFadeDistance(data.worldPos, zDist);
			ase_lightAtten = UnityMixRealtimeAndBakedShadows(data.atten, bakedAtten, UnityComputeShadowFade(fadeDist));
			#endif
			float clampResult592_g91 = clamp( _AlphaEx , 0.2 , 1.0 );
			float2 uv_OcclusionMap196_g91 = i.uv_texcoord;
			float4 tex2DNode196_g91 = SAMPLE_TEXTURE2D( _OcclusionMap, sampler_OcclusionMap, uv_OcclusionMap196_g91 );
			float TearingsMask340_g91 = tex2DNode196_g91.b;
			float BlueNoise643_g91 = _DitherBlueNoise;
			float4 ase_screenPos = i.screenPosition;
			float4 ase_screenPosNorm = ase_screenPos / ase_screenPos.w;
			ase_screenPosNorm.z = ( UNITY_NEAR_CLIP_VALUE >= 0 ) ? ase_screenPosNorm.z : ase_screenPosNorm.z * 0.5 + 0.5;
			float2 clipScreen691_g91 = ase_screenPosNorm.xy * _ScreenParams.xy;
			float dither691_g91 = Dither8x8Bayer( fmod(clipScreen691_g91.x, 8), fmod(clipScreen691_g91.y, 8) );
			float2 uv_MainTex576_g91 = i.uv_texcoord;
			float4 tex2DNode576_g91 = SAMPLE_TEXTURE2D( _MainTex, sampler_MainTex, uv_MainTex576_g91 );
			float AlphaInput195_g91 = tex2DNode576_g91.a;
			dither691_g91 = step( dither691_g91, AlphaInput195_g91 );
			float dither692_g91 = DitherNoiseTex(ase_screenPosNorm, _Noise, sampler_Noise, _Noise_TexelSize);
			dither692_g91 = step( dither692_g91, AlphaInput195_g91 );
			float2 clipScreen629_g91 = ase_screenPosNorm.xy * _ScreenParams.xy;
			float dither629_g91 = Dither8x8Bayer( fmod(clipScreen629_g91.x, 8), fmod(clipScreen629_g91.y, 8) );
			float OccAlpha219_g91 = tex2DNode196_g91.a;
			float ExGloss298_g91 = _ExGloss;
			float2 appendResult115_g91 = (float2(_WeatheringUV.x , _WeatheringUV.y));
			float2 appendResult110_g91 = (float2(_WeatheringUV.z , _WeatheringUV.w));
			float2 temp_cast_1 = (_WeatheringUVSeed).xx;
			float dotResult731_g91 = dot( temp_cast_1 , float2( 12.9898,78.233 ) );
			float lerpResult737_g91 = lerp( -10.0 , 10.0 , frac( ( sin( dotResult731_g91 ) * 43758.55 ) ));
			float2 uv_TexCoord127_g91 = i.uv_texcoord * appendResult115_g91 + ( appendResult110_g91 + lerpResult737_g91 );
			float2 WeatheringUV144_g91 = uv_TexCoord127_g91;
			float4 tex2DNode177_g91 = SAMPLE_TEXTURE2D( _WeatheringMap, sampler_WeatheringMap, WeatheringUV144_g91 );
			float2 uv_WeatheringMask100_g91 = i.uv_texcoord;
			float4 tex2DNode100_g91 = SAMPLE_TEXTURE2D( _WeatheringMask, sampler_WeatheringMask, uv_WeatheringMask100_g91 );
			float clampResult161_g91 = clamp( ( tex2DNode100_g91.r - tex2DNode100_g91.g ) , 0.0 , 1.0 );
			float WMask1183_g91 = ( clampResult161_g91 * ceil( _WeatheringRange1 ) );
			float RangeCut1208_g91 = (0.7 + (_WeatheringRange1 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult253_g91 = clamp( ( ( tex2DNode177_g91.g * WMask1183_g91 ) - RangeCut1208_g91 ) , 0.0 , 1.0 );
			float clampResult159_g91 = clamp( ( tex2DNode100_g91.g - tex2DNode100_g91.r ) , 0.0 , 1.0 );
			float WMask2192_g91 = ( clampResult159_g91 * ceil( _WeatheringRange2 ) );
			float RangeCut2211_g91 = (0.7 + (_WeatheringRange2 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult251_g91 = clamp( ( ( tex2DNode177_g91.g * WMask2192_g91 ) - RangeCut2211_g91 ) , 0.0 , 1.0 );
			float WMask3190_g91 = ( tex2DNode100_g91.b * ceil( _WeatheringRange3 ) );
			float RangeCut3210_g91 = (0.7 + (_WeatheringRange3 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult254_g91 = clamp( ( ( tex2DNode177_g91.g * WMask3190_g91 ) - RangeCut3210_g91 ) , 0.0 , 1.0 );
			float WMask4180_g91 = ( ( tex2DNode100_g91.r * tex2DNode100_g91.g ) * ceil( _WeatheringRange4 ) );
			float RangeCut4205_g91 = (0.7 + (_WeatheringRange4 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult259_g91 = clamp( ( ( tex2DNode177_g91.g * WMask4180_g91 ) - RangeCut4205_g91 ) , 0.0 , 1.0 );
			float WMask5184_g91 = ( ( tex2DNode100_g91.r * tex2DNode100_g91.b ) * ceil( _WeatheringRange5 ) );
			float RangeCut5201_g91 = (0.7 + (_WeatheringRange5 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult261_g91 = clamp( ( ( tex2DNode177_g91.g * WMask5184_g91 ) - RangeCut5201_g91 ) , 0.0 , 1.0 );
			float WMaskAll165_g91 = ceil( _WeatheringAll );
			float RangeCutAll171_g91 = (0.7 + (_WeatheringAll - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult215_g91 = clamp( ( ( tex2DNode177_g91.g * WMaskAll165_g91 ) - RangeCutAll171_g91 ) , 0.0 , 1.0 );
			float clampResult299_g91 = clamp( ( clampResult253_g91 + clampResult251_g91 + clampResult254_g91 + clampResult259_g91 + clampResult261_g91 + clampResult215_g91 ) , 0.0 , 1.0 );
			float lerpResult313_g91 = lerp( clampResult299_g91 , clampResult215_g91 , WMaskAll165_g91);
			float WeatheringAlpha2466_g91 = lerpResult313_g91;
			float temp_output_703_0_g91 = ( ( ( 1.0 * _AlphaMaster ) * saturate( pow( OccAlpha219_g91 , ( _WetAlpha * ExGloss298_g91 ) ) ) ) + WeatheringAlpha2466_g91 );
			dither629_g91 = step( dither629_g91, temp_output_703_0_g91 );
			float dither630_g91 = DitherNoiseTex(ase_screenPosNorm, _Noise, sampler_Noise, _Noise_TexelSize);
			dither630_g91 = step( dither630_g91, temp_output_703_0_g91 );
			float3 ase_worldTangent = WorldNormalVector( i, float3( 1, 0, 0 ) );
			float3 tan21_g160 = ase_worldTangent;
			float3 ase_worldBitangent = WorldNormalVector( i, float3( 0, 1, 0 ) );
			float3 bittan24_g160 = ase_worldBitangent;
			float2 uv_BumpMap402_g91 = i.uv_texcoord;
			float WetBumpOffset303_g91 = _WetBumpOffset;
			float2 UVScale107_g91 = _UVScalePattern;
			float2 uv_TexCoord152_g91 = i.uv_texcoord * ( _DetailUV * UVScale107_g91 );
			float cos162_g91 = cos( ( _DetailUVRotator * UNITY_PI ) );
			float sin162_g91 = sin( ( _DetailUVRotator * UNITY_PI ) );
			float2 rotator162_g91 = mul( uv_TexCoord152_g91 - float2( 0.5,0.5 ) , float2x2( cos162_g91 , -sin162_g91 , sin162_g91 , cos162_g91 )) + float2( 0.5,0.5 );
			float2 Detail1UV173_g91 = rotator162_g91;
			float2 break194_g91 = Detail1UV173_g91;
			float temp_output_186_0_g91 = ( pow( 0.25 , 2.0 ) * 0.1 );
			float2 appendResult218_g91 = (float2(( break194_g91.x + temp_output_186_0_g91 ) , break194_g91.y));
			float4 tex2DNode243_g91 = SAMPLE_TEXTURE2D( _DetailGlossMap, sampler_trilinear_repeat, Detail1UV173_g91 );
			float2 uv_DetailMask25_g91 = i.uv_texcoord;
			float4 tex2DNode25_g91 = SAMPLE_TEXTURE2D( _DetailMask, sampler_DetailMask, uv_DetailMask25_g91 );
			float DetailMask130_g91 = tex2DNode25_g91.r;
			float temp_output_255_0_g91 = ( DetailMask130_g91 * _DetailNormalMapScale );
			float3 appendResult300_g91 = (float3(1.0 , 0.0 , ( ( SAMPLE_TEXTURE2D( _DetailGlossMap, sampler_trilinear_repeat, appendResult218_g91 ).g - tex2DNode243_g91.g ) * temp_output_255_0_g91 )));
			float2 appendResult222_g91 = (float2(break194_g91.x , ( break194_g91.y + temp_output_186_0_g91 )));
			float3 appendResult297_g91 = (float3(0.0 , 1.0 , ( ( SAMPLE_TEXTURE2D( _DetailGlossMap, sampler_trilinear_repeat, appendResult222_g91 ).g - tex2DNode243_g91.g ) * temp_output_255_0_g91 )));
			float3 normalizeResult348_g91 = normalize( cross( appendResult300_g91 , appendResult297_g91 ) );
			float3 DetailNormal1368_g91 = normalizeResult348_g91;
			float2 uv_TexCoord16_g91 = i.uv_texcoord * ( _DetailUV2 * UVScale107_g91 );
			float cos19_g91 = cos( ( _DetailUV2Rotator * UNITY_PI ) );
			float sin19_g91 = sin( ( _DetailUV2Rotator * UNITY_PI ) );
			float2 rotator19_g91 = mul( uv_TexCoord16_g91 - float2( 0.5,0.5 ) , float2x2( cos19_g91 , -sin19_g91 , sin19_g91 , cos19_g91 )) + float2( 0.5,0.5 );
			float2 Detail2UV20_g91 = rotator19_g91;
			float2 break24_g91 = Detail2UV20_g91;
			float temp_output_26_0_g91 = ( pow( 0.25 , 2.0 ) * 0.1 );
			float2 appendResult34_g91 = (float2(( break24_g91.x + temp_output_26_0_g91 ) , break24_g91.y));
			float4 tex2DNode38_g91 = SAMPLE_TEXTURE2D( _DetailGlossMap2, sampler_trilinear_repeat, Detail2UV20_g91 );
			float DetailMask235_g91 = tex2DNode25_g91.g;
			float temp_output_43_0_g91 = ( DetailMask235_g91 * _DetailNormalMapScale2 );
			float3 appendResult58_g91 = (float3(1.0 , 0.0 , ( ( SAMPLE_TEXTURE2D( _DetailGlossMap2, sampler_trilinear_repeat, appendResult34_g91 ).g - tex2DNode38_g91.g ) * temp_output_43_0_g91 )));
			float2 appendResult33_g91 = (float2(break24_g91.x , ( break24_g91.y + temp_output_26_0_g91 )));
			float3 appendResult57_g91 = (float3(0.0 , 1.0 , ( ( SAMPLE_TEXTURE2D( _DetailGlossMap2, sampler_trilinear_repeat, appendResult33_g91 ).g - tex2DNode38_g91.g ) * temp_output_43_0_g91 )));
			float3 normalizeResult69_g91 = normalize( cross( appendResult58_g91 , appendResult57_g91 ) );
			float3 DetailNormal276_g91 = normalizeResult69_g91;
			float2 appendResult657_g91 = (float2(_WetStreaksUV.x , _WetStreaksUV.y));
			float2 appendResult658_g91 = (float2(_WetStreaksUV.z , _WetStreaksUV.w));
			float2 uv_TexCoord660_g91 = i.uv_texcoord * appendResult657_g91 + appendResult658_g91;
			float2 WetStrUV669_g91 = uv_TexCoord660_g91;
			float2 break547_g91 = WetStrUV669_g91;
			float temp_output_541_0_g91 = ( pow( 0.25 , 2.0 ) * 0.1 );
			float2 appendResult546_g91 = (float2(( break547_g91.x + temp_output_541_0_g91 ) , break547_g91.y));
			float4 tex2DNode515_g91 = SAMPLE_TEXTURE2D( _WetnessMap, sampler_MainTex, WetStrUV669_g91 );
			float3 appendResult523_g91 = (float3(1.0 , 0.0 , ( ( SAMPLE_TEXTURE2D( _WeatheringMap, sampler_MainTex, appendResult546_g91 ).g - tex2DNode515_g91.g ) * 1.0 )));
			float2 appendResult534_g91 = (float2(break547_g91.x , ( break547_g91.y + temp_output_541_0_g91 )));
			float3 appendResult542_g91 = (float3(0.0 , 1.0 , ( ( SAMPLE_TEXTURE2D( _WetnessMap, sampler_MainTex, appendResult534_g91 ).g - tex2DNode515_g91.g ) * 1.0 )));
			float3 normalizeResult524_g91 = normalize( cross( appendResult523_g91 , appendResult542_g91 ) );
			float3 WetnessNormal545_g91 = normalizeResult524_g91;
			float WetStr661_g91 = SAMPLE_TEXTURE2D( _WetnessMap, sampler_linear_repeat, WetStrUV669_g91 ).g;
			float smoothstepResult651_g91 = smoothstep( ( 1.0 - ExGloss298_g91 ) , 1.0 , WetStr661_g91);
			float StreaksAlpha662_g91 = smoothstepResult651_g91;
			float WetOpStreaks673_g91 = _WetOpacityStreaks;
			float3 lerpResult98_g91 = lerp( BlendNormals( BlendNormals( UnpackScaleNormal( SAMPLE_TEXTURE2D( _BumpMap, sampler_BumpMap, uv_BumpMap402_g91 ), ( _Float0 + ( WetBumpOffset303_g91 * ExGloss298_g91 ) ) ) , DetailNormal1368_g91 ) , DetailNormal276_g91 ) , WetnessNormal545_g91 , ( StreaksAlpha662_g91 * WetOpStreaks673_g91 ));
			float2 break223_g91 = WeatheringUV144_g91;
			float temp_output_224_0_g91 = ( pow( 0.2 , 2.0 ) * 0.1 );
			float2 appendResult258_g91 = (float2(( break223_g91.x + temp_output_224_0_g91 ) , break223_g91.y));
			float4 tex2DNode266_g91 = SAMPLE_TEXTURE2D( _WeatheringMap, sampler_WeatheringMap, WeatheringUV144_g91 );
			float3 appendResult344_g91 = (float3(1.0 , 0.0 , ( ( SAMPLE_TEXTURE2D( _WeatheringMap, sampler_WeatheringMap, appendResult258_g91 ).b - tex2DNode266_g91.b ) * 2.0 )));
			float2 appendResult252_g91 = (float2(break223_g91.x , ( break223_g91.y + temp_output_224_0_g91 )));
			float3 appendResult339_g91 = (float3(0.0 , 1.0 , ( ( SAMPLE_TEXTURE2D( _WeatheringMap, sampler_WeatheringMap, appendResult252_g91 ).b - tex2DNode266_g91.b ) * 2.0 )));
			float3 normalizeResult398_g91 = normalize( cross( appendResult344_g91 , appendResult339_g91 ) );
			float3 WeatheringBump425_g91 = normalizeResult398_g91;
			float clampResult373_g91 = clamp( ( lerpResult313_g91 * 10.0 ) , 0.0 , 1.0 );
			float WeatheringAlpha396_g91 = clampResult373_g91;
			float3 lerpResult87_g91 = lerp( lerpResult98_g91 , WeatheringBump425_g91 , ( SAMPLE_TEXTURE2D( _WeatheringMap, sampler_WeatheringMap, WeatheringUV144_g91 ).b * WeatheringAlpha396_g91 ));
			float3 normalizeResult564_g91 = normalize( lerpResult87_g91 );
			float3 switchResult566_g91 = (((i.ASEVFace>0)?(normalizeResult564_g91):(-normalizeResult564_g91)));
			float3 NormalMix88_g91 = ( _NormalBackDirInvert == 1.0 ? switchResult566_g91 : normalizeResult564_g91 );
			float3 temp_output_1393_557 = NormalMix88_g91;
			float3 temp_output_327_0_g160 = temp_output_1393_557;
			float3 normalLocal11_g160 = temp_output_327_0_g160;
			float3 newWorldNormal13_g160 = normalize( (WorldNormalVector( i , normalLocal11_g160 )) );
			float3 normalDir22_g160 = newWorldNormal13_g160;
			float3x3 tangentTransform31_g160 = float3x3(tan21_g160, bittan24_g160, normalDir22_g160);
			float3x3 tangentToWorld42_g160 = transpose( tangentTransform31_g160 );
			float3 hTangent53_g160 = mul( tangentToWorld42_g160, float3(0,1,0) );
			float3 lerpResult62_g160 = lerp( tan21_g160 , hTangent53_g160 , _Anisotropy);
			float3 Tangent64_g160 = lerpResult62_g160;
			float AnisotropyRGContrastvar761_g91 = _AnistropyContrast;
			float2 appendResult765_g91 = (float2(_TangentUV.x , _TangentUV.y));
			float2 appendResult767_g91 = (float2(_TangentUV.z , _TangentUV.w));
			float2 uv_TexCoord770_g91 = i.uv_texcoord * ( appendResult765_g91 * UVScale107_g91 ) + appendResult767_g91;
			float3 tex2DNode776_g91 = UnpackScaleNormal( SAMPLE_TEXTURE2D( _TangentMap, sampler_trilinear_repeat, uv_TexCoord770_g91 ), AnisotropyRGContrastvar761_g91 );
			float3 lerpResult778_g91 = lerp( UnpackScaleNormal( float4( 0,0,1,1 ), AnisotropyRGContrastvar761_g91 ) , tex2DNode776_g91 , ( DetailMask130_g91 * _DetailTangent ));
			float3 lerpResult780_g91 = lerp( lerpResult778_g91 , tex2DNode776_g91 , ( DetailMask235_g91 * _DetailTangent2 ));
			float3 normalLocalAniso46_g160 = BlendNormals( lerpResult780_g91 , temp_output_327_0_g160 );
			float4 appendResult57_g160 = (float4((normalLocalAniso46_g160).xy , 0.0 , 0.0));
			float AnisotropyRGContrastvar30_g160 = AnisotropyRGContrastvar761_g91;
			float3 lerpResult67_g160 = lerp( Tangent64_g160 , (float4( mul( appendResult57_g160.xyz, tangentToWorld42_g160 ) , 0.0 )).xyz , AnisotropyRGContrastvar30_g160);
			float3 normalizeResult71_g160 = normalize( lerpResult67_g160 );
			float3 WorldTangent74_g160 = normalizeResult71_g160;
			float3 ase_worldPos = i.worldPos;
			#if defined(LIGHTMAP_ON) && UNITY_VERSION < 560 //aseld
			float3 ase_worldlightDir = 0;
			#else //aseld
			float3 ase_worldlightDir = Unity_SafeNormalize( UnityWorldSpaceLightDir( ase_worldPos ) );
			#endif //aseld
			float3 lightDir77_g160 = ase_worldlightDir;
			float dotResult86_g160 = dot( WorldTangent74_g160 , lightDir77_g160 );
			float tdotL94_g160 = dotResult86_g160;
			float temp_output_123_0_g160 = sqrt( ( 1.0 - ( tdotL94_g160 * tdotL94_g160 ) ) );
			float3 normalizeResult92_g160 = normalize( mul( normalLocal11_g160, tangentTransform31_g160 ) );
			float3 normalDirection101_g160 = normalizeResult92_g160;
			float dotResult115_g160 = dot( lightDir77_g160 , normalDirection101_g160 );
			float NdotL129_g160 = max( 0.0 , dotResult115_g160 );
			float diffuseLight220_g160 = ( temp_output_123_0_g160 * NdotL129_g160 );
			#if defined(LIGHTMAP_ON) && ( UNITY_VERSION < 560 || ( defined(LIGHTMAP_SHADOW_MIXING) && !defined(SHADOWS_SHADOWMASK) && defined(SHADOWS_SCREEN) ) )//aselc
			float4 ase_lightColor = 0;
			#else //aselc
			float4 ase_lightColor = _LightColor0;
			#endif //aselc
			float3 Diffuse263_g160 = ( saturate( diffuseLight220_g160 ) * ase_lightColor.rgb * ase_lightAtten );
			float3 normalizeResult169_g160 = normalize( mul( normalLocalAniso46_g160, tangentTransform31_g160 ) );
			float3 normalDirectionAniso183_g160 = normalizeResult169_g160;
			UnityGI gi337_g160 = gi;
			float3 diffNorm337_g160 = WorldNormalVector( i , normalDirectionAniso183_g160 );
			gi337_g160 = UnityGI_Base( data, 1, diffNorm337_g160 );
			float3 indirectDiffuse337_g160 = gi337_g160.indirect.diffuse + diffNorm337_g160 * 0.0001;
			float2 uv_OcclusionMap623_g91 = i.uv_texcoord;
			float lerpResult483_g91 = lerp( 1.0 , SAMPLE_TEXTURE2D( _OcclusionMap, sampler_OcclusionMap, uv_OcclusionMap623_g91 ).g , _OcculusionStrength);
			float Detail1310_g91 = SAMPLE_TEXTURE2D( _DetailGlossMap, sampler_trilinear_repeat, Detail1UV173_g91 ).r;
			float smoothstepResult621_g91 = smoothstep( 0.0 , 1.0 , Detail1310_g91);
			float lerpResult488_g91 = lerp( 1.0 , smoothstepResult621_g91 , ( _DetailOcculusionScale * DetailMask130_g91 ));
			float Detail2352_g91 = SAMPLE_TEXTURE2D( _DetailGlossMap2, sampler_trilinear_repeat, Detail2UV20_g91 ).r;
			float smoothstepResult622_g91 = smoothstep( 0.0 , 1.0 , Detail2352_g91);
			float lerpResult494_g91 = lerp( 1.0 , smoothstepResult622_g91 , ( _DetailOcculusionScale2 * DetailMask235_g91 ));
			float lerpResult620_g91 = lerp( ( lerpResult483_g91 * lerpResult488_g91 * lerpResult494_g91 ) , 1.0 , WeatheringAlpha396_g91);
			float OcclusionMix509_g91 = saturate( lerpResult620_g91 );
			float temp_output_1393_561 = OcclusionMix509_g91;
			float AO193_g160 = temp_output_1393_561;
			float3 indirectLighting230_g160 = ( indirectDiffuse337_g160 * AO193_g160 );
			float3 temp_output_284_0_g91 = (tex2DNode576_g91).rgb;
			float3 temp_cast_4 = (1.0).xxx;
			float Carvature270_g91 = tex2DNode196_g91.r;
			float3 lerpResult331_g91 = lerp( ( temp_output_284_0_g91 * (_BaseColor).rgb ) , temp_cast_4 , ( Carvature270_g91 * _CarvatureStrength ));
			float WetAlbedoOffset311_g91 = _WetAlbedoOffset;
			float3 temp_output_382_0_g91 = ( lerpResult331_g91 * WetAlbedoOffset311_g91 );
			float WetSplatsAlbedoOffset349_g91 = _WetSplatsAlbedoOffset;
			float3 lerpResult411_g91 = lerp( ( temp_output_382_0_g91 * WetSplatsAlbedoOffset349_g91 ) , (_WetColor).rgb , _WetColor.a);
			float2 appendResult287_g91 = (float2(_WetUV.x , _WetUV.y));
			float2 appendResult285_g91 = (float2(_WetUV.z , _WetUV.w));
			float2 uv_TexCoord317_g91 = i.uv_texcoord * appendResult287_g91 + appendResult285_g91;
			float2 WetUV578_g91 = uv_TexCoord317_g91;
			float WetSplats369_g91 = SAMPLE_TEXTURE2D( _WetnessMap, sampler_linear_repeat, WetUV578_g91 ).b;
			float SplatsOp363_g91 = _WetOpacitySplats;
			float3 lerpResult460_g91 = lerp( temp_output_382_0_g91 , lerpResult411_g91 , ( ( StreaksAlpha662_g91 * WetOpStreaks673_g91 ) + ( WetSplats369_g91 * SplatsOp363_g91 ) ));
			float2 uv_OcclusionMap429_g91 = i.uv_texcoord;
			float4 tex2DNode429_g91 = SAMPLE_TEXTURE2D( _OcclusionMap, sampler_MainTex, uv_OcclusionMap429_g91 );
			float3 WetBodyOffset422_g91 = (_BodyColor1).rgb;
			float bodycoloralpha417_g91 = _BodyColor1.a;
			float3 lerpResult480_g91 = lerp( lerpResult460_g91 , ( tex2DNode429_g91.a == 1.0 ? lerpResult460_g91 : WetBodyOffset422_g91 ) , ( bodycoloralpha417_g91 * ( 1.0 - tex2DNode429_g91.a ) ));
			float3 lerpResult501_g91 = lerp( lerpResult331_g91 , lerpResult480_g91 , ExGloss298_g91);
			float3 lerpResult505_g91 = lerp( lerpResult501_g91 , (_WeatheringAlbedo).rgb , ( WeatheringAlpha2466_g91 * 0.282353 ));
			float3 DiffuseMix511_g91 = lerpResult505_g91;
			float3 temp_output_1393_0 = DiffuseMix511_g91;
			float2 uv_MetallicGlossMap330_g91 = i.uv_texcoord;
			float4 tex2DNode330_g91 = SAMPLE_TEXTURE2D( _MetallicGlossMap, sampler_MetallicGlossMap, uv_MetallicGlossMap330_g91 );
			float lerpResult399_g91 = lerp( 1.0 , tex2DNode330_g91.r , _MetallicMask);
			float2 uv_DetailMainTex338_g91 = i.uv_texcoord;
			float4 tex2DNode338_g91 = SAMPLE_TEXTURE2D( _DetailMainTex, sampler_MainTex, uv_DetailMainTex338_g91 );
			float lerpResult395_g91 = lerp( 1.0 , tex2DNode330_g91.r , _MetallicMask4);
			float2 uv_ColorMask304_g91 = i.uv_texcoord;
			float4 tex2DNode304_g91 = SAMPLE_TEXTURE2D( _ColorMask, sampler_linear_repeat, uv_ColorMask304_g91 );
			float ColorMask4347_g91 = tex2DNode304_g91.b;
			float lerpResult462_g91 = lerp( ( lerpResult399_g91 * tex2DNode338_g91.r ) , ( lerpResult395_g91 * _Metallic4 ) , ColorMask4347_g91);
			float lerpResult495_g91 = lerp( saturate( ( ( lerpResult462_g91 - ( ( 1.0 - Detail1310_g91 ) * ( _DetailMetallicScale * DetailMask130_g91 ) ) ) - ( ( 1.0 - Detail2352_g91 ) * ( _DetailMetallicScale2 * DetailMask235_g91 ) ) ) ) , 0.0 , WeatheringAlpha2466_g91);
			float MetallicFinal512_g91 = saturate( lerpResult495_g91 );
			half3 specColor1373 = (0).xxx;
			half oneMinusReflectivity1373 = 0;
			half3 diffuseAndSpecularFromMetallic1373 = DiffuseAndSpecularFromMetallic(temp_output_1393_0,MetallicFinal512_g91,specColor1373,oneMinusReflectivity1373);
			float3 Albedo269_g160 = diffuseAndSpecularFromMetallic1373;
			float3 indirectNormal323_g160 = WorldNormalVector( i , normalDirectionAniso183_g160 );
			float lerpResult353_g91 = lerp( 1.0 , tex2DNode330_g91.r , _Roughness);
			float lerpResult336_g91 = lerp( 1.0 , tex2DNode330_g91.r , _Roughness4);
			float lerpResult384_g91 = lerp( ( lerpResult353_g91 * tex2DNode338_g91.b ) , ( _Glossiness4 * lerpResult336_g91 ) , ColorMask4347_g91);
			float WetGlossBase397_g91 = _WetGlossBase;
			float lerpResult470_g91 = lerp( saturate( ( ( lerpResult384_g91 - ( ( 1.0 - Detail1310_g91 ) * ( _DetailGlossScale * DetailMask130_g91 ) ) ) - ( ( 1.0 - Detail2352_g91 ) * ( _DetailGlossScale2 * DetailMask235_g91 ) ) ) ) , tex2DNode330_g91.a , ( WetGlossBase397_g91 * ExGloss298_g91 ));
			float SplatsGloss407_g91 = _WetGlossSplats;
			float lerpResult664_g91 = lerp( lerpResult470_g91 , SplatsGloss407_g91 , ( SplatsOp363_g91 * ExGloss298_g91 * WetSplats369_g91 ));
			float lerpResult649_g91 = lerp( lerpResult664_g91 , 0.87 , ( WetOpStreaks673_g91 * smoothstepResult651_g91 ));
			float lerpResult499_g91 = lerp( lerpResult649_g91 , _WeatheringGloss , WeatheringAlpha396_g91);
			float GlossinessFinal513_g91 = saturate( lerpResult499_g91 );
			float lerpResult783_g91 = lerp( 0.0 , GlossinessFinal513_g91 , _Reflections);
			float temp_output_322_0_g160 = lerpResult783_g91;
			Unity_GlossyEnvironmentData g323_g160 = UnityGlossyEnvironmentSetup( temp_output_322_0_g160, data.worldViewDir, indirectNormal323_g160, float3(0,0,0));
			float3 indirectSpecular323_g160 = UnityGI_IndirectSpecular( data, AO193_g160, indirectNormal323_g160, g323_g160 );
			float3 SpecRGB151_g160 = specColor1373;
			float3 F0246_g160 = SpecRGB151_g160;
			float GrazingTerm239_g160 = saturate( temp_output_322_0_g160 );
			float3 temp_cast_5 = (GrazingTerm239_g160).xxx;
			float3 F90246_g160 = temp_cast_5;
			float3 ase_worldViewDir = normalize( UnityWorldSpaceViewDir( ase_worldPos ) );
			float3 viewDir75_g160 = ase_worldViewDir;
			float dotResult158_g160 = dot( normalDirection101_g160 , viewDir75_g160 );
			float NdotV184_g160 = max( 0.0 , dotResult158_g160 );
			float cosA246_g160 = NdotV184_g160;
			float3 localFresnelLerp246_g160 = FresnelLerp246_g160( F0246_g160 , F90246_g160 , cosA246_g160 );
			float3 switchResult338_g160 = (((i.ASEVFace>0)?(localFresnelLerp246_g160):(SpecRGB151_g160)));
			float3 indirectspecular268_g160 = ( indirectSpecular323_g160 * switchResult338_g160 );
			float dotResult90_g160 = dot( WorldTangent74_g160 , viewDir75_g160 );
			float TdotV95_g160 = dotResult90_g160;
			half input113_g160 = ( 1.0 - GlossinessFinal513_g91 );
			half localMyCustomExpression113_g160 = MyCustomExpression113_g160( input113_g160 );
			float SpecPower118_g160 = localMyCustomExpression113_g160;
			float Specular187_g160 = ( NdotL129_g160 * pow( saturate( ( ( temp_output_123_0_g160 * sqrt( ( 1.0 - ( TdotV95_g160 * TdotV95_g160 ) ) ) ) - ( tdotL94_g160 * TdotV95_g160 ) ) ) , SpecPower118_g160 ) );
			float temp_output_147_0_g160 = ( SpecPower118_g160 + 1.0 );
			float normalization194_g160 = ( sqrt( ( temp_output_147_0_g160 * temp_output_147_0_g160 ) ) / ( 8.0 * UNITY_PI ) );
			float3 normalizeResult103_g160 = normalize( ( lightDir77_g160 + viewDir75_g160 ) );
			float3 HalfDirection104_g160 = normalizeResult103_g160;
			float dotResult120_g160 = dot( lightDir77_g160 , HalfDirection104_g160 );
			float LdotH139_g160 = max( 0.0 , dotResult120_g160 );
			float x179_g160 = ( 1.0 - LdotH139_g160 );
			float localPow5179_g160 = Pow5179_g160( x179_g160 );
			float3 Specular_A227_g160 = ( Specular187_g160 * normalization194_g160 * ( ( localPow5179_g160 * ( 1.0 - SpecRGB151_g160 ) ) + SpecRGB151_g160 ) );
			float3 directSpecular265_g160 = ( Specular_A227_g160 * ase_lightColor.rgb * ase_lightAtten * AO193_g160 );
			float3 normalLocal46_g93 = temp_output_1393_557;
			float3 viewDir41_g93 = ase_worldViewDir;
			float dotResult38_g93 = dot( normalize( (WorldNormalVector( i , normalLocal46_g93 )) ) , viewDir41_g93 );
			float NdotV34_g93 = max( 0.0 , dotResult38_g93 );
			float2 appendResult754_g91 = (float2(_FuzzUV.x , _FuzzUV.y));
			float2 appendResult755_g91 = (float2(_FuzzUV.z , _FuzzUV.w));
			float2 uv_TexCoord757_g91 = i.uv_texcoord * appendResult754_g91 + appendResult755_g91;
			float AO43_g93 = temp_output_1393_561;
			float3 temp_output_7_0_g93 = (_FuzzColor).rgb;
			UnityGI gi45_g93 = gi;
			float3 diffNorm45_g93 = WorldNormalVector( i , normalLocal46_g93 );
			gi45_g93 = UnityGI_Base( data, 1, diffNorm45_g93 );
			float3 indirectDiffuse45_g93 = gi45_g93.indirect.diffuse + diffNorm45_g93 * 0.0001;
			float3 lightDir53_g93 = ase_worldlightDir;
			float dotResult52_g93 = dot( lightDir53_g93 , normalLocal46_g93 );
			float NdotL50_g93 = max( 0.0 , dotResult52_g93 );
			float temp_output_30_0_g93 = ( _FuzzWrap + 1.0 );
			float WrappedDiffuse27_g93 = ( saturate( ( NdotL50_g93 + _FuzzWrap ) ) / ( temp_output_30_0_g93 * temp_output_30_0_g93 ) );
			float3 FuzzLighting15_g93 = ( ( pow( exp2( -NdotV34_g93 ) , _FuzzRange ) + _FuzzBias ) * ( ( (SAMPLE_TEXTURE2D( _FuzzTex, sampler_FuzzTex, uv_TexCoord757_g91 ).rgb).xyz * AO43_g93 ) * ( ( temp_output_7_0_g93 * indirectDiffuse45_g93 ) + ( temp_output_7_0_g93 * WrappedDiffuse27_g93 * ase_lightColor.rgb * ase_lightAtten ) ) ) );
			float3 newWorldNormal27_g94 = (WorldNormalVector( i , temp_output_1393_557 ));
			float dotResult20_g94 = dot( ase_worldViewDir , -( ( newWorldNormal27_g94 * _TransNormalDistortion ) + ase_worldlightDir ) );
			UnityGI gi15_g94 = gi;
			float3 diffNorm15_g94 = newWorldNormal27_g94;
			gi15_g94 = UnityGI_Base( data, 1, diffNorm15_g94 );
			float3 indirectDiffuse15_g94 = gi15_g94.indirect.diffuse + diffNorm15_g94 * 0.0001;
			float Thickness507_g91 = tex2DNode330_g91.b;
			float3 lerpResult39_g94 = lerp( ase_lightColor.rgb , ( ase_lightColor.rgb * ase_lightAtten ) , _Shadow);
			float dotResult9_g92 = dot( normalize( (WorldNormalVector( i , temp_output_1393_557 )) ) , ase_worldlightDir );
			float3 lerpResult21_g92 = lerp( ase_lightColor.rgb , ( ase_lightColor.rgb * ase_lightAtten ) , _TransmissionShadow);
			c.rgb = ( ( ( ( Diffuse263_g160 + indirectLighting230_g160 ) * Albedo269_g160 * AO193_g160 ) + ( indirectspecular268_g160 + directSpecular265_g160 ) ) + ( FuzzLighting15_g93 * AO43_g93 ) + ( temp_output_1393_0 * ( ( ( pow( saturate( dotResult20_g94 ) , _TransScattering ) * _TransDirect ) + ( indirectDiffuse15_g94 * _TransAmbient ) ) * ( _Translucency * Thickness507_g91 ) * lerpResult39_g94 ) ) + ( ( max( 0.0 , -dotResult9_g92 ) * lerpResult21_g92 * _TransmissionStrength ) * temp_output_1393_0 ) );
			c.a = 1;
			clip( ( ( step( pow( ( 1.0 - clampResult592_g91 ) , 0.2 ) , pow( TearingsMask340_g91 , 0.5 ) ) * ( _DitherSwitch > 0.0 ? ( BlueNoise643_g91 == 0.0 ? dither691_g91 : dither692_g91 ) : AlphaInput195_g91 ) ) * ( BlueNoise643_g91 == 0.0 ? dither629_g91 : dither630_g91 ) ) - _Cutoff );
			return c;
		}

		inline void LightingStandardCustomLighting_GI( inout SurfaceOutputCustomLightingCustom s, UnityGIInput data, inout UnityGI gi )
		{
			s.GIData = data;
		}

		void surf( Input i , inout SurfaceOutputCustomLightingCustom o )
		{
			o.SurfInput = i;
			o.Normal = float3(0,0,1);
			float2 uv_MetallicGlossMap330_g91 = i.uv_texcoord;
			float4 tex2DNode330_g91 = SAMPLE_TEXTURE2D( _MetallicGlossMap, sampler_MetallicGlossMap, uv_MetallicGlossMap330_g91 );
			float2 uv_MainTex576_g91 = i.uv_texcoord;
			float4 tex2DNode576_g91 = SAMPLE_TEXTURE2D( _MainTex, sampler_MainTex, uv_MainTex576_g91 );
			float3 temp_output_284_0_g91 = (tex2DNode576_g91).rgb;
			float3 ColorTex354_g91 = temp_output_284_0_g91;
			float2 uv_ColorMask304_g91 = i.uv_texcoord;
			float4 tex2DNode304_g91 = SAMPLE_TEXTURE2D( _ColorMask, sampler_linear_repeat, uv_ColorMask304_g91 );
			float ColorMask3306_g91 = tex2DNode304_g91.g;
			float3 EC3414_g91 = ( ColorTex354_g91 * ( _EmissionStrength * ColorMask3306_g91 ) );
			#ifdef _EMISSIONCOLOR4_ON
				float3 staticSwitch469_g91 = EC3414_g91;
			#else
				float3 staticSwitch469_g91 = ( (_EmissionColor).rgb * _EmissionStrength );
			#endif
			float ColorMask2351_g91 = tex2DNode304_g91.r;
			float3 EC2456_g91 = ( ColorTex354_g91 * ( _EmissionStrength * ColorMask2351_g91 ) );
			#ifdef _EMISSIONCOLOR3_ON
				float3 staticSwitch479_g91 = EC2456_g91;
			#else
				float3 staticSwitch479_g91 = staticSwitch469_g91;
			#endif
			float ColorMask1358_g91 = ( 1.0 - ( tex2DNode304_g91.r + tex2DNode304_g91.g + tex2DNode304_g91.b ) );
			float3 EC1471_g91 = ( ColorTex354_g91 * ( _EmissionStrength * ColorMask1358_g91 ) );
			#ifdef _EMISSIONCOLOR2_ON
				float3 staticSwitch498_g91 = EC1471_g91;
			#else
				float3 staticSwitch498_g91 = staticSwitch479_g91;
			#endif
			float3 EmissionFinal510_g91 = ( tex2DNode330_g91.g * staticSwitch498_g91 );
			float2 appendResult115_g91 = (float2(_WeatheringUV.x , _WeatheringUV.y));
			float2 appendResult110_g91 = (float2(_WeatheringUV.z , _WeatheringUV.w));
			float2 temp_cast_0 = (_WeatheringUVSeed).xx;
			float dotResult731_g91 = dot( temp_cast_0 , float2( 12.9898,78.233 ) );
			float lerpResult737_g91 = lerp( -10.0 , 10.0 , frac( ( sin( dotResult731_g91 ) * 43758.55 ) ));
			float2 uv_TexCoord127_g91 = i.uv_texcoord * appendResult115_g91 + ( appendResult110_g91 + lerpResult737_g91 );
			float2 WeatheringUV144_g91 = uv_TexCoord127_g91;
			float4 tex2DNode177_g91 = SAMPLE_TEXTURE2D( _WeatheringMap, sampler_WeatheringMap, WeatheringUV144_g91 );
			float2 uv_WeatheringMask100_g91 = i.uv_texcoord;
			float4 tex2DNode100_g91 = SAMPLE_TEXTURE2D( _WeatheringMask, sampler_WeatheringMask, uv_WeatheringMask100_g91 );
			float clampResult161_g91 = clamp( ( tex2DNode100_g91.r - tex2DNode100_g91.g ) , 0.0 , 1.0 );
			float WMask1183_g91 = ( clampResult161_g91 * ceil( _WeatheringRange1 ) );
			float RangeCut1208_g91 = (0.7 + (_WeatheringRange1 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult253_g91 = clamp( ( ( tex2DNode177_g91.g * WMask1183_g91 ) - RangeCut1208_g91 ) , 0.0 , 1.0 );
			float clampResult159_g91 = clamp( ( tex2DNode100_g91.g - tex2DNode100_g91.r ) , 0.0 , 1.0 );
			float WMask2192_g91 = ( clampResult159_g91 * ceil( _WeatheringRange2 ) );
			float RangeCut2211_g91 = (0.7 + (_WeatheringRange2 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult251_g91 = clamp( ( ( tex2DNode177_g91.g * WMask2192_g91 ) - RangeCut2211_g91 ) , 0.0 , 1.0 );
			float WMask3190_g91 = ( tex2DNode100_g91.b * ceil( _WeatheringRange3 ) );
			float RangeCut3210_g91 = (0.7 + (_WeatheringRange3 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult254_g91 = clamp( ( ( tex2DNode177_g91.g * WMask3190_g91 ) - RangeCut3210_g91 ) , 0.0 , 1.0 );
			float WMask4180_g91 = ( ( tex2DNode100_g91.r * tex2DNode100_g91.g ) * ceil( _WeatheringRange4 ) );
			float RangeCut4205_g91 = (0.7 + (_WeatheringRange4 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult259_g91 = clamp( ( ( tex2DNode177_g91.g * WMask4180_g91 ) - RangeCut4205_g91 ) , 0.0 , 1.0 );
			float WMask5184_g91 = ( ( tex2DNode100_g91.r * tex2DNode100_g91.b ) * ceil( _WeatheringRange5 ) );
			float RangeCut5201_g91 = (0.7 + (_WeatheringRange5 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult261_g91 = clamp( ( ( tex2DNode177_g91.g * WMask5184_g91 ) - RangeCut5201_g91 ) , 0.0 , 1.0 );
			float WMaskAll165_g91 = ceil( _WeatheringAll );
			float RangeCutAll171_g91 = (0.7 + (_WeatheringAll - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult215_g91 = clamp( ( ( tex2DNode177_g91.g * WMaskAll165_g91 ) - RangeCutAll171_g91 ) , 0.0 , 1.0 );
			float clampResult299_g91 = clamp( ( clampResult253_g91 + clampResult251_g91 + clampResult254_g91 + clampResult259_g91 + clampResult261_g91 + clampResult215_g91 ) , 0.0 , 1.0 );
			float lerpResult313_g91 = lerp( clampResult299_g91 , clampResult215_g91 , WMaskAll165_g91);
			float WeatheringAlpha2466_g91 = lerpResult313_g91;
			float WeatheringBumpMask718_g91 = tex2DNode177_g91.b;
			o.Emission = ( EmissionFinal510_g91 + ( ( WeatheringAlpha2466_g91 * WeatheringBumpMask718_g91 ) * _WeatheringEmission ) );
		}

		ENDCG
		CGPROGRAM
		#pragma only_renderers d3d9 d3d11_9x d3d11 glcore gles gles3 
		#pragma surface surf StandardCustomLighting keepalpha fullforwardshadows vertex:vertexDataFunc 

		ENDCG
		Pass
		{
			Name "ShadowCaster"
			Tags{ "LightMode" = "ShadowCaster" }
			ZWrite On
			CGPROGRAM
			#pragma vertex vert
			#pragma fragment frag
			#pragma target 5.0
			#pragma multi_compile_shadowcaster
			#pragma multi_compile UNITY_PASS_SHADOWCASTER
			#pragma skip_variants FOG_LINEAR FOG_EXP FOG_EXP2
			#include "HLSLSupport.cginc"
			#if ( SHADER_API_D3D11 || SHADER_API_GLCORE || SHADER_API_GLES || SHADER_API_GLES3 || SHADER_API_METAL || SHADER_API_VULKAN )
				#define CAN_SKIP_VPOS
			#endif
			#include "UnityCG.cginc"
			#include "Lighting.cginc"
			#include "UnityPBSLighting.cginc"
			struct v2f
			{
				V2F_SHADOW_CASTER;
				float2 customPack1 : TEXCOORD1;
				float4 customPack2 : TEXCOORD2;
				float4 tSpace0 : TEXCOORD3;
				float4 tSpace1 : TEXCOORD4;
				float4 tSpace2 : TEXCOORD5;
				UNITY_VERTEX_INPUT_INSTANCE_ID
				UNITY_VERTEX_OUTPUT_STEREO
			};
			v2f vert( appdata_full v )
			{
				v2f o;
				UNITY_SETUP_INSTANCE_ID( v );
				UNITY_INITIALIZE_OUTPUT( v2f, o );
				UNITY_INITIALIZE_VERTEX_OUTPUT_STEREO( o );
				UNITY_TRANSFER_INSTANCE_ID( v, o );
				Input customInputData;
				vertexDataFunc( v, customInputData );
				float3 worldPos = mul( unity_ObjectToWorld, v.vertex ).xyz;
				half3 worldNormal = UnityObjectToWorldNormal( v.normal );
				half3 worldTangent = UnityObjectToWorldDir( v.tangent.xyz );
				half tangentSign = v.tangent.w * unity_WorldTransformParams.w;
				half3 worldBinormal = cross( worldNormal, worldTangent ) * tangentSign;
				o.tSpace0 = float4( worldTangent.x, worldBinormal.x, worldNormal.x, worldPos.x );
				o.tSpace1 = float4( worldTangent.y, worldBinormal.y, worldNormal.y, worldPos.y );
				o.tSpace2 = float4( worldTangent.z, worldBinormal.z, worldNormal.z, worldPos.z );
				o.customPack1.xy = customInputData.uv_texcoord;
				o.customPack1.xy = v.texcoord;
				o.customPack2.xyzw = customInputData.screenPosition;
				TRANSFER_SHADOW_CASTER_NORMALOFFSET( o )
				return o;
			}
			half4 frag( v2f IN
			#if !defined( CAN_SKIP_VPOS )
			, UNITY_VPOS_TYPE vpos : VPOS
			#endif
			) : SV_Target
			{
				UNITY_SETUP_INSTANCE_ID( IN );
				Input surfIN;
				UNITY_INITIALIZE_OUTPUT( Input, surfIN );
				surfIN.uv_texcoord = IN.customPack1.xy;
				surfIN.screenPosition = IN.customPack2.xyzw;
				float3 worldPos = float3( IN.tSpace0.w, IN.tSpace1.w, IN.tSpace2.w );
				half3 worldViewDir = normalize( UnityWorldSpaceViewDir( worldPos ) );
				surfIN.worldPos = worldPos;
				surfIN.worldNormal = float3( IN.tSpace0.z, IN.tSpace1.z, IN.tSpace2.z );
				surfIN.internalSurfaceTtoW0 = IN.tSpace0.xyz;
				surfIN.internalSurfaceTtoW1 = IN.tSpace1.xyz;
				surfIN.internalSurfaceTtoW2 = IN.tSpace2.xyz;
				SurfaceOutputCustomLightingCustom o;
				UNITY_INITIALIZE_OUTPUT( SurfaceOutputCustomLightingCustom, o )
				surf( surfIN, o );
				UnityGI gi;
				UNITY_INITIALIZE_OUTPUT( UnityGI, gi );
				o.Alpha = LightingStandardCustomLighting( o, worldViewDir, gi ).a;
				#if defined( CAN_SKIP_VPOS )
				float2 vpos = IN.pos;
				#endif
				SHADOW_CASTER_FRAGMENT( IN )
			}
			ENDCG
		}
	}
	Fallback "Diffuse"
	CustomEditor "ASEMaterialInspector"
}
/*ASEBEGIN
Version=18912
453.2;590;1130;878;-1801.12;1472.397;2.981301;True;False
Node;AmplifyShaderEditor.FunctionNode;1393;3244.79,-829.1083;Inherit;False;AIT Anisotropic Clothes Function;10;;91;a68e6482faf72c74f8f3a50738285746;0;0;15;FLOAT3;0;FLOAT3;557;FLOAT;788;FLOAT3;558;FLOAT;560;FLOAT;752;FLOAT;561;FLOAT;637;FLOAT;562;FLOAT3;749;FLOAT;750;FLOAT;751;FLOAT;748;FLOAT;785;COLOR;759
Node;AmplifyShaderEditor.DiffuseAndSpecularFromMetallicNode;1373;3687.911,-934.6249;Inherit;False;2;0;FLOAT3;0,0,0;False;1;FLOAT;0;False;3;FLOAT3;0;FLOAT3;1;FLOAT;2
Node;AmplifyShaderEditor.FunctionNode;1383;4185.529,-352.0111;Inherit;False;Unity Transmission;1;;92;9498cceedd4defe45a721369ca43b3c7;0;3;1;FLOAT3;0,0,0;False;11;FLOAT3;0,0,0;False;25;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.FunctionNode;1324;4087.897,-651.5322;Inherit;False;Fuzz Light;94;;93;763f1853b3f36754a957e8301fce4b2d;0;3;42;FLOAT3;0,0,0;False;23;FLOAT3;0,0,0;False;44;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.WireNode;1371;4538.969,-661.8134;Inherit;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.WireNode;1368;3603.158,-973.7405;Inherit;False;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.FunctionNode;1387;4105.022,-510.3;Inherit;False;Unity Translucency (Original);3;;94;99752510ebf066e4395c3596c3f4016b;0;4;6;FLOAT3;0,0,0;False;26;FLOAT3;0,0,1;False;43;FLOAT;0;False;46;FLOAT;1;False;1;FLOAT3;0
Node;AmplifyShaderEditor.FunctionNode;1458;4060.084,-941.8751;Inherit;False;Standard Anisotropic Specular Light;-1;;160;3a41dd9f61f98284890bd8c75a8f7141;0;9;329;FLOAT3;0,0,0;False;330;FLOAT3;0,0,0;False;327;FLOAT3;0,0,0;False;328;FLOAT3;0,0,0;False;316;FLOAT;0;False;322;FLOAT;0;False;319;FLOAT;0;False;318;FLOAT;0;False;317;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.SimpleAddOpNode;1325;4490.602,-840.9081;Inherit;False;4;4;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;3;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.WireNode;1370;4592.194,-679.1416;Inherit;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;1210;4696.064,-621.4833;Inherit;False;Property;_CullMode;CullMode;0;1;[IntRange];Create;True;0;0;0;True;0;False;0;0;0;2;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;660;4691.294,-517.6124;Inherit;False;Property;_Cutoff;Cutoff;9;0;Create;True;0;0;0;True;1;Header (Zero Disable Dithering);False;0;0;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.WireNode;1369;3644.177,-993.951;Inherit;False;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.StandardSurfaceOutputNode;0;4890.155,-1066.475;Float;False;True;-1;7;ASEMaterialInspector;0;0;CustomLighting;Hanmen/Anisotropic Clothes Cutoff;False;False;False;False;False;False;False;False;False;False;False;False;False;False;True;False;False;False;False;False;False;Off;0;False;-1;0;False;-1;False;0;False;-1;0;False;-1;False;0;Masked;0;True;True;0;False;TransparentCutout;2600;AlphaTest;All;6;d3d9;d3d11_9x;d3d11;glcore;gles;gles3;True;True;True;True;0;False;-1;False;0;False;-1;255;False;-1;255;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;False;0;32;1;2;True;1;True;0;1;False;-1;10;False;-1;1;5;False;-1;8;False;-1;6;False;-1;6;False;-1;0;False;0;0,0,0,0;VertexOffset;True;False;Cylindrical;False;Relative;0;;-1;-1;-1;-1;0;False;0;0;True;1210;-1;0;True;660;0;0;0;False;0.1;False;-1;0;False;-1;True;15;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;3;FLOAT3;0,0,0;False;4;FLOAT;0;False;6;FLOAT3;0,0,0;False;7;FLOAT3;0,0,0;False;8;FLOAT;0;False;9;FLOAT;0;False;10;FLOAT;0;False;13;FLOAT3;0,0,0;False;11;FLOAT3;0,0,0;False;12;FLOAT3;0,0,0;False;14;FLOAT4;0,0,0,0;False;15;FLOAT3;0,0,0;False;0
WireConnection;1373;0;1393;0
WireConnection;1373;1;1393;788
WireConnection;1383;1;1393;0
WireConnection;1383;11;1393;557
WireConnection;1383;25;1393;748
WireConnection;1324;42;1393;557
WireConnection;1324;23;1393;759
WireConnection;1324;44;1393;561
WireConnection;1371;0;1393;637
WireConnection;1368;0;1393;558
WireConnection;1387;6;1393;0
WireConnection;1387;26;1393;557
WireConnection;1387;43;1393;562
WireConnection;1387;46;1393;785
WireConnection;1458;329;1373;0
WireConnection;1458;330;1373;1
WireConnection;1458;327;1393;557
WireConnection;1458;328;1393;749
WireConnection;1458;316;1393;560
WireConnection;1458;322;1393;752
WireConnection;1458;319;1393;750
WireConnection;1458;318;1393;751
WireConnection;1458;317;1393;561
WireConnection;1325;0;1458;0
WireConnection;1325;1;1324;0
WireConnection;1325;2;1387;0
WireConnection;1325;3;1383;0
WireConnection;1370;0;1371;0
WireConnection;1369;0;1368;0
WireConnection;0;2;1369;0
WireConnection;0;10;1370;0
WireConnection;0;13;1325;0
ASEEND*/
//CHKSM=EB1F3194FF3B9E4097B9B7643ADFC2502FCFDE63