// Made with Amplify Shader Editor
// Available at the Unity Asset Store - http://u3d.as/y3X 
Shader "Hanmen/Anisotropic Iridescent Clothes Cutoff"
{
	Properties
	{
		[IntRange]_CullMode("CullMode", Range( 0 , 2)) = 0
		_TransmissionShadow("TransmissionShadow", Range( 0 , 1)) = 1
		[NoScaleOffset]_DetailMainTex("DetailMainTex", 2D) = "black" {}
		[Header(RENDER TEXTURES (Leave Empty))][NoScaleOffset][Space (10)]_MainTex("MainTex", 2D) = "white" {}
		[NoScaleOffset]_ColorMask("ColorMask", 2D) = "black" {}
		[NoScaleOffset][Space(25)][Header(TEXTURES)][Space(15)]_BumpMap("BumpMap", 2D) = "bump" {}
		[Header()][Header()][NoScaleOffset][Header(MetallicGlossMap)][Header((R) Smoothness)][Header((G) Emission)][Header((B) Thickness)]_MetallicGlossMap("", 2D) = "white" {}
		[Header(OcclusionMap)][Header((R) Curvature (Edge Map))][Header((G) Ambient Occlusion)][Header((B) Tearings)][Header((A) Wetness Opacity)][NoScaleOffset]_OcclusionMap("", 2D) = "white" {}
		[NoScaleOffset]_WeatheringMap("WeatheringMap", 2D) = "black" {}
		[NoScaleOffset]_WeatheringMask("WeatheringMask", 2D) = "black" {}
		[NoScaleOffset][Header (Packed (R_Glossiness G_Bump))]_WetnessMap("WetnessMap", 2D) = "black" {}
		[HDR][NoScaleOffset][Normal]_TangentMap("TangentMap", 2D) = "bump" {}
		[NoScaleOffset]_FuzzTex("FuzzTex", 2D) = "black" {}
		_WetStreaksUV("WetStreaksUV", Vector) = (1,1,0,0)
		_WetUV("WetUV", Vector) = (1,1,0,0)
		[Header (Colors)]_BaseColor("BaseColor", Color) = (1,1,1,1)
		_Color("Color", Color) = (1,1,1,1)
		_EmissionColor("EmissionColor", Color) = (0,0,0,1)
		_WeatheringAlbedo("WeatheringAlbedo", Color) = (0.6,0.65,0.65,0)
		[Header (UV Coordinates)]_UVScalePattern("UVScalePattern", Vector) = (1,1,0,0)
		_FuzzUV("FuzzUV", Vector) = (1,1,0,0)
		_WeatheringUV("WeatheringUV", Vector) = (1,1,0,0)
		_patternuvbase("patternuvbase", Vector) = (1,1,0,0)
		[Header (Cloth Tearings)]_AlphaEx("AlphaEx", Range( -1 , 1)) = -1
		_CarvatureStrength("CarvatureStrength", Range( 0 , 1)) = 0
		_Anisotropy("Anisotropy", Range( 0 , 1)) = 1
		[Header (Bump)]_Float0("Float0", Range( 0 , 3)) = 1
		[NoScaleOffset][Header (Detail Mask)]_DetailMask("", 2D) = "white" {}
		[NoScaleOffset][Header (Detail1 (Grayscale))]_DetailGlossMap("DetailGlossMap", 2D) = "white" {}
		_DetailUV("DetailUV", Vector) = (1,1,0,0)
		[NoScaleOffset][Header (Detail2 (Grayscale))]_DetailGlossMap2("DetailGlossMap2", 2D) = "white" {}
		_DetailUV2("DetailUV2", Vector) = (1,1,0,0)
		[Header(Detail Settings)]_DetailNormalMapScale("DetailNormalMapScale", Range( 0 , 9)) = 9
		_DetailNormalMapScale2("DetailNormalMapScale2", Range( 0 , 9)) = 1
		_DetailGlossScale("DetailGlossScale", Range( 0 , 1)) = 0
		_DetailGlossScale2("DetailGlossScale2", Range( 0 , 1)) = 0
		_DetailMetallicScale("DetailMetallicScale", Range( 0 , 1)) = 0
		_TangentUV("TangentUV", Vector) = (1,1,0,0)
		_DetailMetallicScale2("DetailMetallicScale2", Range( 0 , 1)) = 0
		_DetailOcculusionScale("DetailOcculusionScale", Range( 0 , 1)) = 0
		_DetailOcculusionScale2("DetailOcculusionScale2", Range( 0 , 1)) = 0
		_DetailUVRotator("DetailUVRotator", Range( -1 , 1)) = 1
		_DetailUV2Rotator("DetailUV2Rotator", Range( -1 , 1)) = 0
		[Header (Emission (Tex Required))]_EmissionStrength("EmissionStrength", Range( 0 , 20)) = 0
		[Header (Color Mask Required (Optional))][Toggle(_EMISSIONCOLOR2_ON)] _EmissionColor2("Color1 is Emissive", Float) = 0
		[Toggle(_EMISSIONCOLOR3_ON)] _EmissionColor3("Color2 is Emissive", Float) = 0
		[Toggle(_EMISSIONCOLOR4_ON)] _EmissionColor4("Color3 is Emissive", Float) = 0
		[Header (Ambient Occlusion)]_OcculusionStrength("OcculusionStrength", Range( 0 , 1)) = 1
		_AlphaMaster("AlphaMaster", Range( 0 , 1)) = 1
		[Header (Metallic Roughness (Optional))]_Roughness("Roughness", Range( 0 , 1)) = 1
		_MetallicMask("MetallicMask", Range( 0 , 1)) = 1
		[Header (Color 4 Settings (Optional))]_Glossiness4("Glossiness4", Range( 0 , 1)) = 1
		_Roughness4("Roughness4", Range( 0 , 1)) = 1
		_Metallic4("Metallic4", Range( 0 , 1)) = 1
		_MetallicMask4("MetallicMask4", Range( 0 , 1)) = 1
		[Header (Weathering)]_WeatheringAll("WeatheringAll", Range( 0 , 1)) = 0
		_WeatheringRange1("WeatheringRange1", Range( 0 , 1)) = 0
		_WeatheringRange2("WeatheringRange2", Range( 0 , 1)) = 0
		_WeatheringRange3("WeatheringRange3", Range( 0 , 1)) = 0
		_WeatheringRange4("WeatheringRange4", Range( 0 , 1)) = 0
		_WeatheringRange5("WeatheringRange5", Range( 0 , 1)) = 0
		_WeatheringGloss("WeatheringGloss", Range( 0 , 2)) = 0.95
		_WeatheringEmission("WeatheringEmission", Range( 0 , 1)) = 0.2
		_WeatheringUVSeed("WeatheringUVSeed", Range( 0 , 1)) = 0
		[Header (Wetness)]_ExGloss("ExGloss", Range( 0 , 1)) = 0
		_WetGlossBase("WetGlossBase", Range( 0 , 2)) = 0.8
		_BodyColor1("BodyColor", Color) = (0.71,0.56,0.51,0)
		_WetAlbedoOffset("WetAlbedoOffset", Range( 0 , 1)) = 0.6
		_WetSplatsAlbedoOffset("WetSplatsAlbedoOffset", Range( 0 , 1)) = 0.6
		_WetAlpha("WetAlpha", Range( 0 , 10)) = 0
		_WetOpacitySplats("WetOpacitySplats", Range( 0 , 2)) = 0
		_WetOpacityStreaks("WetOpacityStreaks", Range( 0 , 2)) = 0
		_WetGlossSplats("WetGlossSplats", Range( 0 , 2)) = 0
		_WetBumpOffset("WetBumpOffset", Range( 0 , 1)) = 0.5
		_WetColor("WetColor", Color) = (0,0,0,0)
		[Header(Dithering)][Toggle]_DitherSwitch("DitherSwitch", Range( 0 , 1)) = 1
		_AnistropyContrast("AnistropyContrast", Range( 0 , 1)) = 0.5
		[Toggle]_DitherBlueNoise("DitherBlueNoise", Range( 0 , 1)) = 0
		[NoScaleOffset]_Noise("Noise", 2D) = "white" {}
		_DetailTangent("DetailTangent", Range( 0 , 1)) = 0
		_DetailTangent2("DetailTangent2", Range( 0 , 1)) = 0
		[Header(Backface Settings)][Toggle]_NormalBackDirInvert("Backface Normal Direction Invert", Range( 0 , 1)) = 0
		_TransmissionStrength("TransmissionStrength", Range( 0 , 5)) = 1
		_Reflections("Reflections", Range( 0 , 1)) = 1
		[Header(Translucency)]_Translucency("Translucency", Range( 0 , 1)) = 1
		[Header(Translucency)]_TransNormalDistortion("Normal Distortion", Range( 0 , 1)) = 0
		_TransScattering("Scattering Faloff", Range( 1 , 50)) = 1
		_TransDirect("Direct", Range( 0 , 1)) = 0
		_TransAmbient("Ambient", Range( 0 , 1)) = 0
		_Shadow("Shadow", Range( 0 , 1)) = 1
		[Header(Iridescence)][NoScaleOffset]_ColorRamp("ColorRamp", 2D) = "white" {}
		_IriHue("Hue", Range( 0 , 1)) = 0
		_IriSaturation("Saturation", Range( 0 , 1)) = 0.5
		_IriBrightness("Brightness", Range( 0 , 1)) = 0.5
		_IriContrast("Contrast", Range( 0 , 1)) = 0.5
		[Header (Zero Disable Dithering)]_Cutoff("Cutoff", Range( 0 , 1)) = 0
		_FuzzColor("Fuzz Color", Color) = (1,1,1,1)
		_FuzzRange("Fuzz Range", Range( 1 , 5)) = 1
		_FuzzBias("Fuzz Bias", Range( 0 , 1)) = 0
		_FuzzWrap("FuzzWrap", Range( 0 , 1)) = 0
		[HideInInspector] _texcoord( "", 2D ) = "white" {}
		[HideInInspector] __dirty( "", Int ) = 1
	}

	SubShader
	{
		Tags{ "RenderType" = "TransparentCutout"  "Queue" = "AlphaTest+0" "IgnoreProjector" = "True" "IsEmissive" = "true"  }
		Cull [_CullMode]
		CGINCLUDE
		#include "UnityPBSLighting.cginc"
		#include "UnityShaderVariables.cginc"
		#include "UnityStandardUtils.cginc"
		#include "UnityCG.cginc"
		#include "Lighting.cginc"
		#pragma target 5.0
		#pragma shader_feature _EMISSIONCOLOR2_ON
		#pragma shader_feature _EMISSIONCOLOR3_ON
		#pragma shader_feature _EMISSIONCOLOR4_ON
		#define ASE_USING_SAMPLING_MACROS 1
		#if defined(SHADER_API_D3D11) || defined(SHADER_API_XBOXONE) || defined(UNITY_COMPILER_HLSLCC) || defined(SHADER_API_PSSL) || (defined(SHADER_TARGET_SURFACE_ANALYSIS) && !defined(SHADER_TARGET_SURFACE_ANALYSIS_MOJOSHADER))//ASE Sampler Macros
		#define SAMPLE_TEXTURE2D(tex,samplerTex,coord) tex.Sample(samplerTex,coord)
		#define SAMPLE_TEXTURE2D_LOD(tex,samplerTex,coord,lod) tex.SampleLevel(samplerTex,coord, lod)
		#define SAMPLE_TEXTURE2D_BIAS(tex,samplerTex,coord,bias) tex.SampleBias(samplerTex,coord,bias)
		#define SAMPLE_TEXTURE2D_GRAD(tex,samplerTex,coord,ddx,ddy) tex.SampleGrad(samplerTex,coord,ddx,ddy)
		#else//ASE Sampling Macros
		#define SAMPLE_TEXTURE2D(tex,samplerTex,coord) tex2D(tex,coord)
		#define SAMPLE_TEXTURE2D_LOD(tex,samplerTex,coord,lod) tex2Dlod(tex,float4(coord,0,lod))
		#define SAMPLE_TEXTURE2D_BIAS(tex,samplerTex,coord,bias) tex2Dbias(tex,float4(coord,0,bias))
		#define SAMPLE_TEXTURE2D_GRAD(tex,samplerTex,coord,ddx,ddy) tex2Dgrad(tex,coord,ddx,ddy)
		#endif//ASE Sampling Macros

		#ifdef UNITY_PASS_SHADOWCASTER
			#undef INTERNAL_DATA
			#undef WorldReflectionVector
			#undef WorldNormalVector
			#define INTERNAL_DATA half3 internalSurfaceTtoW0; half3 internalSurfaceTtoW1; half3 internalSurfaceTtoW2;
			#define WorldReflectionVector(data,normal) reflect (data.worldRefl, half3(dot(data.internalSurfaceTtoW0,normal), dot(data.internalSurfaceTtoW1,normal), dot(data.internalSurfaceTtoW2,normal)))
			#define WorldNormalVector(data,normal) half3(dot(data.internalSurfaceTtoW0,normal), dot(data.internalSurfaceTtoW1,normal), dot(data.internalSurfaceTtoW2,normal))
		#endif
		struct Input
		{
			float2 uv_texcoord;
			float4 screenPosition;
			float3 worldNormal;
			INTERNAL_DATA
			half ASEVFace : VFACE;
			float3 worldPos;
		};

		struct SurfaceOutputCustomLightingCustom
		{
			half3 Albedo;
			half3 Normal;
			half3 Emission;
			half Metallic;
			half Smoothness;
			half Occlusion;
			half Alpha;
			Input SurfInput;
			UnityGIInput GIData;
		};

		uniform float _EmissionStrength;
		uniform float4 _WetUV;
		uniform float _WetBumpOffset;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_DetailGlossMap2);
		SamplerState sampler_DetailGlossMap2;
		uniform float _WetOpacitySplats;
		uniform float4 _EmissionColor;
		uniform float _DetailUV2Rotator;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_DetailMainTex);
		SamplerState sampler_DetailMainTex2;
		uniform float _DetailGlossScale;
		SamplerState sampler_DetailMainTex;
		uniform float4 _BaseColor;
		uniform float _Metallic4;
		uniform float _WetOpacityStreaks;
		uniform float _AlphaMaster;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_BumpMap);
		SamplerState sampler_BumpMap;
		uniform float _WetAlbedoOffset;
		uniform float _DetailMetallicScale;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_DetailMask);
		SamplerState sampler_DetailMask;
		uniform float4 _TangentUV;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_TangentMap);
		SamplerState sampler_TangentMap;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_FuzzTex);
		SamplerState sampler_FuzzTex;
		uniform float4 _FuzzUV;
		uniform float _DetailTangent2;
		uniform float _DetailTangent;
		uniform float _TransmissionStrength;
		uniform float _WeatheringUVSeed;
		uniform float _WetAlpha;
		uniform float _DetailGlossScale2;
		uniform float4 _BodyColor1;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_OcclusionMap);
		SamplerState sampler_OcclusionMap;
		uniform float _WetSplatsAlbedoOffset;
		uniform float _WetGlossBase;
		uniform float _DetailNormalMapScale;
		uniform float4 _WetStreaksUV;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_WetnessMap);
		SamplerState sampler_WetnessMap;
		uniform float _WetGlossSplats;
		uniform float4 _WeatheringUV;
		uniform float _ExGloss;
		uniform float _DetailMetallicScale2;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_MetallicGlossMap);
		SamplerState sampler_MetallicGlossMap2;
		uniform float _CarvatureStrength;
		uniform float4 _WetColor;
		uniform float2 _UVScalePattern;
		uniform float4 _WeatheringAlbedo;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_DetailGlossMap);
		SamplerState sampler_DetailGlossMap;
		uniform float2 _DetailUV;
		uniform float _WeatheringRange1;
		uniform float _DetailUVRotator;
		uniform float _WeatheringGloss;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_WeatheringMap);
		SamplerState sampler_WeatheringMap;
		uniform float2 _patternuvbase;
		uniform float _Float0;
		SamplerState sampler_MetallicGlossMap;
		uniform float2 _DetailUV2;
		uniform float _AnistropyContrast;
		uniform half _DitherSwitch;
		uniform float _WeatheringRange5;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_MainTex);
		SamplerState sampler_MainTex;
		uniform float _DetailNormalMapScale2;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_ColorMask);
		SamplerState sampler_ColorMask;
		uniform float4 _Color;
		uniform float _WeatheringRange3;
		uniform float _AlphaEx;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_WeatheringMask);
		SamplerState sampler_WeatheringMask;
		uniform float _WeatheringRange4;
		uniform float _DitherBlueNoise;
		uniform float _WeatheringRange2;
		uniform float _WeatheringAll;
		uniform float _Translucency;
		uniform float _Anisotropy;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_ColorRamp);
		SamplerState sampler_ColorRamp;
		uniform float _IriSaturation;
		uniform float _IriContrast;
		uniform float _IriBrightness;
		uniform float _IriHue;
		uniform float _FuzzBias;
		uniform float _FuzzRange;
		uniform float4 _FuzzColor;
		uniform float _FuzzWrap;
		uniform float _TransDirect;
		uniform float _Shadow;
		uniform float _TransScattering;
		uniform float _TransAmbient;
		uniform float _TransNormalDistortion;
		uniform float _TransmissionShadow;
		uniform float _Cutoff;
		uniform float _CullMode;
		SamplerState sampler_linear_repeat;
		uniform float _WeatheringEmission;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_Noise);
		float4 _Noise_TexelSize;
		SamplerState sampler_Noise;
		uniform float _NormalBackDirInvert;
		SamplerState sampler_trilinear_repeat;
		uniform float _OcculusionStrength;
		uniform float _DetailOcculusionScale;
		uniform float _DetailOcculusionScale2;
		uniform float _MetallicMask;
		uniform float _MetallicMask4;
		uniform float _Roughness;
		uniform float _Glossiness4;
		uniform float _Roughness4;
		uniform float _Reflections;


		inline float Dither8x8Bayer( int x, int y )
		{
			const float dither[ 64 ] = {
				 1, 49, 13, 61,  4, 52, 16, 64,
				33, 17, 45, 29, 36, 20, 48, 32,
				 9, 57,  5, 53, 12, 60,  8, 56,
				41, 25, 37, 21, 44, 28, 40, 24,
				 3, 51, 15, 63,  2, 50, 14, 62,
				35, 19, 47, 31, 34, 18, 46, 30,
				11, 59,  7, 55, 10, 58,  6, 54,
				43, 27, 39, 23, 42, 26, 38, 22};
			int r = y * 8 + x;
			return dither[r] / 64; // same # of instructions as pre-dividing due to compiler magic
		}


		inline float DitherNoiseTex( float4 screenPos, UNITY_DECLARE_TEX2D_NOSAMPLER(noiseTexture), SamplerState samplernoiseTexture, float4 noiseTexelSize )
		{
			float dither = SAMPLE_TEXTURE2D_LOD( noiseTexture, samplernoiseTexture, screenPos.xy * _ScreenParams.xy * noiseTexelSize.xy, 0 ).g;
			float ditherRate = noiseTexelSize.x * noiseTexelSize.y;
			dither = ( 1 - ditherRate ) * dither + ditherRate;
			return dither;
		}


		float3 FresnelLerp246_g92( half3 F0, half3 F90, half cosA )
		{
			 return FresnelLerp(F0, F90, cosA);
		}


		half MyCustomExpression113_g92( half input )
		{
			return RoughnessToSpecPower(input);
		}


		float Pow5179_g92( float x )
		{
			 return x*x * x*x * x;
		}


		void vertexDataFunc( inout appdata_full v, out Input o )
		{
			UNITY_INITIALIZE_OUTPUT( Input, o );
			float4 ase_screenPos = ComputeScreenPos( UnityObjectToClipPos( v.vertex ) );
			o.screenPosition = ase_screenPos;
		}

		inline half4 LightingStandardCustomLighting( inout SurfaceOutputCustomLightingCustom s, half3 viewDir, UnityGI gi )
		{
			UnityGIInput data = s.GIData;
			Input i = s.SurfInput;
			half4 c = 0;
			#ifdef UNITY_PASS_FORWARDBASE
			float ase_lightAtten = data.atten;
			if( _LightColor0.a == 0)
			ase_lightAtten = 0;
			#else
			float3 ase_lightAttenRGB = gi.light.color / ( ( _LightColor0.rgb ) + 0.000001 );
			float ase_lightAtten = max( max( ase_lightAttenRGB.r, ase_lightAttenRGB.g ), ase_lightAttenRGB.b );
			#endif
			#if defined(HANDLE_SHADOWS_BLENDING_IN_GI)
			half bakedAtten = UnitySampleBakedOcclusion(data.lightmapUV.xy, data.worldPos);
			float zDist = dot(_WorldSpaceCameraPos - data.worldPos, UNITY_MATRIX_V[2].xyz);
			float fadeDist = UnityComputeShadowFadeDistance(data.worldPos, zDist);
			ase_lightAtten = UnityMixRealtimeAndBakedShadows(data.atten, bakedAtten, UnityComputeShadowFade(fadeDist));
			#endif
			float clampResult592_g83 = clamp( _AlphaEx , 0.2 , 1.0 );
			float2 uv_OcclusionMap196_g83 = i.uv_texcoord;
			float4 tex2DNode196_g83 = SAMPLE_TEXTURE2D( _OcclusionMap, sampler_OcclusionMap, uv_OcclusionMap196_g83 );
			float TearingsMask340_g83 = tex2DNode196_g83.b;
			float BlueNoise643_g83 = _DitherBlueNoise;
			float4 ase_screenPos = i.screenPosition;
			float4 ase_screenPosNorm = ase_screenPos / ase_screenPos.w;
			ase_screenPosNorm.z = ( UNITY_NEAR_CLIP_VALUE >= 0 ) ? ase_screenPosNorm.z : ase_screenPosNorm.z * 0.5 + 0.5;
			float2 clipScreen691_g83 = ase_screenPosNorm.xy * _ScreenParams.xy;
			float dither691_g83 = Dither8x8Bayer( fmod(clipScreen691_g83.x, 8), fmod(clipScreen691_g83.y, 8) );
			float2 uv_MainTex576_g83 = i.uv_texcoord;
			float4 tex2DNode576_g83 = SAMPLE_TEXTURE2D( _MainTex, sampler_MainTex, uv_MainTex576_g83 );
			float AlphaInput195_g83 = tex2DNode576_g83.a;
			dither691_g83 = step( dither691_g83, AlphaInput195_g83 );
			float dither692_g83 = DitherNoiseTex(ase_screenPosNorm, _Noise, sampler_Noise, _Noise_TexelSize);
			dither692_g83 = step( dither692_g83, AlphaInput195_g83 );
			float2 clipScreen629_g83 = ase_screenPosNorm.xy * _ScreenParams.xy;
			float dither629_g83 = Dither8x8Bayer( fmod(clipScreen629_g83.x, 8), fmod(clipScreen629_g83.y, 8) );
			float OccAlpha219_g83 = tex2DNode196_g83.a;
			float ExGloss298_g83 = _ExGloss;
			float2 appendResult115_g83 = (float2(_WeatheringUV.x , _WeatheringUV.y));
			float2 appendResult110_g83 = (float2(_WeatheringUV.z , _WeatheringUV.w));
			float2 temp_cast_1 = (_WeatheringUVSeed).xx;
			float dotResult731_g83 = dot( temp_cast_1 , float2( 12.9898,78.233 ) );
			float lerpResult737_g83 = lerp( -10.0 , 10.0 , frac( ( sin( dotResult731_g83 ) * 43758.55 ) ));
			float2 uv_TexCoord127_g83 = i.uv_texcoord * appendResult115_g83 + ( appendResult110_g83 + lerpResult737_g83 );
			float2 WeatheringUV144_g83 = uv_TexCoord127_g83;
			float4 tex2DNode177_g83 = SAMPLE_TEXTURE2D( _WeatheringMap, sampler_WeatheringMap, WeatheringUV144_g83 );
			float2 uv_WeatheringMask100_g83 = i.uv_texcoord;
			float4 tex2DNode100_g83 = SAMPLE_TEXTURE2D( _WeatheringMask, sampler_WeatheringMask, uv_WeatheringMask100_g83 );
			float clampResult161_g83 = clamp( ( tex2DNode100_g83.r - tex2DNode100_g83.g ) , 0.0 , 1.0 );
			float WMask1183_g83 = ( clampResult161_g83 * ceil( _WeatheringRange1 ) );
			float RangeCut1208_g83 = (0.7 + (_WeatheringRange1 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult253_g83 = clamp( ( ( tex2DNode177_g83.g * WMask1183_g83 ) - RangeCut1208_g83 ) , 0.0 , 1.0 );
			float clampResult159_g83 = clamp( ( tex2DNode100_g83.g - tex2DNode100_g83.r ) , 0.0 , 1.0 );
			float WMask2192_g83 = ( clampResult159_g83 * ceil( _WeatheringRange2 ) );
			float RangeCut2211_g83 = (0.7 + (_WeatheringRange2 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult251_g83 = clamp( ( ( tex2DNode177_g83.g * WMask2192_g83 ) - RangeCut2211_g83 ) , 0.0 , 1.0 );
			float WMask3190_g83 = ( tex2DNode100_g83.b * ceil( _WeatheringRange3 ) );
			float RangeCut3210_g83 = (0.7 + (_WeatheringRange3 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult254_g83 = clamp( ( ( tex2DNode177_g83.g * WMask3190_g83 ) - RangeCut3210_g83 ) , 0.0 , 1.0 );
			float WMask4180_g83 = ( ( tex2DNode100_g83.r * tex2DNode100_g83.g ) * ceil( _WeatheringRange4 ) );
			float RangeCut4205_g83 = (0.7 + (_WeatheringRange4 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult259_g83 = clamp( ( ( tex2DNode177_g83.g * WMask4180_g83 ) - RangeCut4205_g83 ) , 0.0 , 1.0 );
			float WMask5184_g83 = ( ( tex2DNode100_g83.r * tex2DNode100_g83.b ) * ceil( _WeatheringRange5 ) );
			float RangeCut5201_g83 = (0.7 + (_WeatheringRange5 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult261_g83 = clamp( ( ( tex2DNode177_g83.g * WMask5184_g83 ) - RangeCut5201_g83 ) , 0.0 , 1.0 );
			float WMaskAll165_g83 = ceil( _WeatheringAll );
			float RangeCutAll171_g83 = (0.7 + (_WeatheringAll - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult215_g83 = clamp( ( ( tex2DNode177_g83.g * WMaskAll165_g83 ) - RangeCutAll171_g83 ) , 0.0 , 1.0 );
			float clampResult299_g83 = clamp( ( clampResult253_g83 + clampResult251_g83 + clampResult254_g83 + clampResult259_g83 + clampResult261_g83 + clampResult215_g83 ) , 0.0 , 1.0 );
			float lerpResult313_g83 = lerp( clampResult299_g83 , clampResult215_g83 , WMaskAll165_g83);
			float WeatheringAlpha2466_g83 = lerpResult313_g83;
			float temp_output_703_0_g83 = ( ( ( 1.0 * _AlphaMaster ) * saturate( pow( OccAlpha219_g83 , ( _WetAlpha * ExGloss298_g83 ) ) ) ) + WeatheringAlpha2466_g83 );
			dither629_g83 = step( dither629_g83, temp_output_703_0_g83 );
			float dither630_g83 = DitherNoiseTex(ase_screenPosNorm, _Noise, sampler_Noise, _Noise_TexelSize);
			dither630_g83 = step( dither630_g83, temp_output_703_0_g83 );
			float3 ase_worldTangent = WorldNormalVector( i, float3( 1, 0, 0 ) );
			float3 tan21_g92 = ase_worldTangent;
			float3 ase_worldBitangent = WorldNormalVector( i, float3( 0, 1, 0 ) );
			float3 bittan24_g92 = ase_worldBitangent;
			float2 uv_BumpMap402_g83 = i.uv_texcoord;
			float WetBumpOffset303_g83 = _WetBumpOffset;
			float2 UVScale107_g83 = _UVScalePattern;
			float2 uv_TexCoord152_g83 = i.uv_texcoord * ( _DetailUV * UVScale107_g83 );
			float cos162_g83 = cos( ( _DetailUVRotator * UNITY_PI ) );
			float sin162_g83 = sin( ( _DetailUVRotator * UNITY_PI ) );
			float2 rotator162_g83 = mul( uv_TexCoord152_g83 - float2( 0.5,0.5 ) , float2x2( cos162_g83 , -sin162_g83 , sin162_g83 , cos162_g83 )) + float2( 0.5,0.5 );
			float2 Detail1UV173_g83 = rotator162_g83;
			float2 break194_g83 = Detail1UV173_g83;
			float temp_output_186_0_g83 = ( pow( 0.25 , 2.0 ) * 0.1 );
			float2 appendResult218_g83 = (float2(( break194_g83.x + temp_output_186_0_g83 ) , break194_g83.y));
			float4 tex2DNode243_g83 = SAMPLE_TEXTURE2D( _DetailGlossMap, sampler_trilinear_repeat, Detail1UV173_g83 );
			float2 uv_DetailMask25_g83 = i.uv_texcoord;
			float4 tex2DNode25_g83 = SAMPLE_TEXTURE2D( _DetailMask, sampler_DetailMask, uv_DetailMask25_g83 );
			float DetailMask130_g83 = tex2DNode25_g83.r;
			float temp_output_255_0_g83 = ( DetailMask130_g83 * _DetailNormalMapScale );
			float3 appendResult300_g83 = (float3(1.0 , 0.0 , ( ( SAMPLE_TEXTURE2D( _DetailGlossMap, sampler_trilinear_repeat, appendResult218_g83 ).g - tex2DNode243_g83.g ) * temp_output_255_0_g83 )));
			float2 appendResult222_g83 = (float2(break194_g83.x , ( break194_g83.y + temp_output_186_0_g83 )));
			float3 appendResult297_g83 = (float3(0.0 , 1.0 , ( ( SAMPLE_TEXTURE2D( _DetailGlossMap, sampler_trilinear_repeat, appendResult222_g83 ).g - tex2DNode243_g83.g ) * temp_output_255_0_g83 )));
			float3 normalizeResult348_g83 = normalize( cross( appendResult300_g83 , appendResult297_g83 ) );
			float3 DetailNormal1368_g83 = normalizeResult348_g83;
			float2 uv_TexCoord16_g83 = i.uv_texcoord * ( _DetailUV2 * UVScale107_g83 );
			float cos19_g83 = cos( ( _DetailUV2Rotator * UNITY_PI ) );
			float sin19_g83 = sin( ( _DetailUV2Rotator * UNITY_PI ) );
			float2 rotator19_g83 = mul( uv_TexCoord16_g83 - float2( 0.5,0.5 ) , float2x2( cos19_g83 , -sin19_g83 , sin19_g83 , cos19_g83 )) + float2( 0.5,0.5 );
			float2 Detail2UV20_g83 = rotator19_g83;
			float2 break24_g83 = Detail2UV20_g83;
			float temp_output_26_0_g83 = ( pow( 0.25 , 2.0 ) * 0.1 );
			float2 appendResult34_g83 = (float2(( break24_g83.x + temp_output_26_0_g83 ) , break24_g83.y));
			float4 tex2DNode38_g83 = SAMPLE_TEXTURE2D( _DetailGlossMap2, sampler_trilinear_repeat, Detail2UV20_g83 );
			float DetailMask235_g83 = tex2DNode25_g83.g;
			float temp_output_43_0_g83 = ( DetailMask235_g83 * _DetailNormalMapScale2 );
			float3 appendResult58_g83 = (float3(1.0 , 0.0 , ( ( SAMPLE_TEXTURE2D( _DetailGlossMap2, sampler_trilinear_repeat, appendResult34_g83 ).g - tex2DNode38_g83.g ) * temp_output_43_0_g83 )));
			float2 appendResult33_g83 = (float2(break24_g83.x , ( break24_g83.y + temp_output_26_0_g83 )));
			float3 appendResult57_g83 = (float3(0.0 , 1.0 , ( ( SAMPLE_TEXTURE2D( _DetailGlossMap2, sampler_trilinear_repeat, appendResult33_g83 ).g - tex2DNode38_g83.g ) * temp_output_43_0_g83 )));
			float3 normalizeResult69_g83 = normalize( cross( appendResult58_g83 , appendResult57_g83 ) );
			float3 DetailNormal276_g83 = normalizeResult69_g83;
			float2 appendResult657_g83 = (float2(_WetStreaksUV.x , _WetStreaksUV.y));
			float2 appendResult658_g83 = (float2(_WetStreaksUV.z , _WetStreaksUV.w));
			float2 uv_TexCoord660_g83 = i.uv_texcoord * appendResult657_g83 + appendResult658_g83;
			float2 WetStrUV669_g83 = uv_TexCoord660_g83;
			float2 break547_g83 = WetStrUV669_g83;
			float temp_output_541_0_g83 = ( pow( 0.25 , 2.0 ) * 0.1 );
			float2 appendResult546_g83 = (float2(( break547_g83.x + temp_output_541_0_g83 ) , break547_g83.y));
			float4 tex2DNode515_g83 = SAMPLE_TEXTURE2D( _WetnessMap, sampler_MainTex, WetStrUV669_g83 );
			float3 appendResult523_g83 = (float3(1.0 , 0.0 , ( ( SAMPLE_TEXTURE2D( _WeatheringMap, sampler_MainTex, appendResult546_g83 ).g - tex2DNode515_g83.g ) * 1.0 )));
			float2 appendResult534_g83 = (float2(break547_g83.x , ( break547_g83.y + temp_output_541_0_g83 )));
			float3 appendResult542_g83 = (float3(0.0 , 1.0 , ( ( SAMPLE_TEXTURE2D( _WetnessMap, sampler_MainTex, appendResult534_g83 ).g - tex2DNode515_g83.g ) * 1.0 )));
			float3 normalizeResult524_g83 = normalize( cross( appendResult523_g83 , appendResult542_g83 ) );
			float3 WetnessNormal545_g83 = normalizeResult524_g83;
			float WetStr661_g83 = SAMPLE_TEXTURE2D( _WetnessMap, sampler_linear_repeat, WetStrUV669_g83 ).g;
			float smoothstepResult651_g83 = smoothstep( ( 1.0 - ExGloss298_g83 ) , 1.0 , WetStr661_g83);
			float StreaksAlpha662_g83 = smoothstepResult651_g83;
			float WetOpStreaks673_g83 = _WetOpacityStreaks;
			float3 lerpResult98_g83 = lerp( BlendNormals( BlendNormals( UnpackScaleNormal( SAMPLE_TEXTURE2D( _BumpMap, sampler_BumpMap, uv_BumpMap402_g83 ), ( _Float0 + ( WetBumpOffset303_g83 * ExGloss298_g83 ) ) ) , DetailNormal1368_g83 ) , DetailNormal276_g83 ) , WetnessNormal545_g83 , ( StreaksAlpha662_g83 * WetOpStreaks673_g83 ));
			float2 break223_g83 = WeatheringUV144_g83;
			float temp_output_224_0_g83 = ( pow( 0.2 , 2.0 ) * 0.1 );
			float2 appendResult258_g83 = (float2(( break223_g83.x + temp_output_224_0_g83 ) , break223_g83.y));
			float4 tex2DNode266_g83 = SAMPLE_TEXTURE2D( _WeatheringMap, sampler_WeatheringMap, WeatheringUV144_g83 );
			float3 appendResult344_g83 = (float3(1.0 , 0.0 , ( ( SAMPLE_TEXTURE2D( _WeatheringMap, sampler_WeatheringMap, appendResult258_g83 ).b - tex2DNode266_g83.b ) * 2.0 )));
			float2 appendResult252_g83 = (float2(break223_g83.x , ( break223_g83.y + temp_output_224_0_g83 )));
			float3 appendResult339_g83 = (float3(0.0 , 1.0 , ( ( SAMPLE_TEXTURE2D( _WeatheringMap, sampler_WeatheringMap, appendResult252_g83 ).b - tex2DNode266_g83.b ) * 2.0 )));
			float3 normalizeResult398_g83 = normalize( cross( appendResult344_g83 , appendResult339_g83 ) );
			float3 WeatheringBump425_g83 = normalizeResult398_g83;
			float clampResult373_g83 = clamp( ( lerpResult313_g83 * 10.0 ) , 0.0 , 1.0 );
			float WeatheringAlpha396_g83 = clampResult373_g83;
			float3 lerpResult87_g83 = lerp( lerpResult98_g83 , WeatheringBump425_g83 , ( SAMPLE_TEXTURE2D( _WeatheringMap, sampler_WeatheringMap, WeatheringUV144_g83 ).b * WeatheringAlpha396_g83 ));
			float3 normalizeResult564_g83 = normalize( lerpResult87_g83 );
			float3 switchResult566_g83 = (((i.ASEVFace>0)?(normalizeResult564_g83):(-normalizeResult564_g83)));
			float3 NormalMix88_g83 = ( _NormalBackDirInvert == 1.0 ? switchResult566_g83 : normalizeResult564_g83 );
			float3 temp_output_1389_557 = NormalMix88_g83;
			float3 temp_output_327_0_g92 = temp_output_1389_557;
			float3 normalLocal11_g92 = temp_output_327_0_g92;
			float3 newWorldNormal13_g92 = normalize( (WorldNormalVector( i , normalLocal11_g92 )) );
			float3 normalDir22_g92 = newWorldNormal13_g92;
			float3x3 tangentTransform31_g92 = float3x3(tan21_g92, bittan24_g92, normalDir22_g92);
			float3x3 tangentToWorld42_g92 = transpose( tangentTransform31_g92 );
			float3 hTangent53_g92 = mul( tangentToWorld42_g92, float3(0,1,0) );
			float3 lerpResult62_g92 = lerp( tan21_g92 , hTangent53_g92 , _Anisotropy);
			float3 Tangent64_g92 = lerpResult62_g92;
			float AnisotropyRGContrastvar761_g83 = _AnistropyContrast;
			float2 appendResult765_g83 = (float2(_TangentUV.x , _TangentUV.y));
			float2 appendResult767_g83 = (float2(_TangentUV.z , _TangentUV.w));
			float2 uv_TexCoord770_g83 = i.uv_texcoord * ( appendResult765_g83 * UVScale107_g83 ) + appendResult767_g83;
			float3 tex2DNode776_g83 = UnpackScaleNormal( SAMPLE_TEXTURE2D( _TangentMap, sampler_trilinear_repeat, uv_TexCoord770_g83 ), AnisotropyRGContrastvar761_g83 );
			float3 lerpResult778_g83 = lerp( UnpackScaleNormal( float4( 0,0,1,1 ), AnisotropyRGContrastvar761_g83 ) , tex2DNode776_g83 , ( DetailMask130_g83 * _DetailTangent ));
			float3 lerpResult780_g83 = lerp( lerpResult778_g83 , tex2DNode776_g83 , ( DetailMask235_g83 * _DetailTangent2 ));
			float3 normalLocalAniso46_g92 = BlendNormals( lerpResult780_g83 , temp_output_327_0_g92 );
			float4 appendResult57_g92 = (float4((normalLocalAniso46_g92).xy , 0.0 , 0.0));
			float AnisotropyRGContrastvar30_g92 = AnisotropyRGContrastvar761_g83;
			float3 lerpResult67_g92 = lerp( Tangent64_g92 , (float4( mul( appendResult57_g92.xyz, tangentToWorld42_g92 ) , 0.0 )).xyz , AnisotropyRGContrastvar30_g92);
			float3 normalizeResult71_g92 = normalize( lerpResult67_g92 );
			float3 WorldTangent74_g92 = normalizeResult71_g92;
			float3 ase_worldPos = i.worldPos;
			#if defined(LIGHTMAP_ON) && UNITY_VERSION < 560 //aseld
			float3 ase_worldlightDir = 0;
			#else //aseld
			float3 ase_worldlightDir = Unity_SafeNormalize( UnityWorldSpaceLightDir( ase_worldPos ) );
			#endif //aseld
			float3 lightDir77_g92 = ase_worldlightDir;
			float dotResult86_g92 = dot( WorldTangent74_g92 , lightDir77_g92 );
			float tdotL94_g92 = dotResult86_g92;
			float temp_output_123_0_g92 = sqrt( ( 1.0 - ( tdotL94_g92 * tdotL94_g92 ) ) );
			float3 normalizeResult92_g92 = normalize( mul( normalLocal11_g92, tangentTransform31_g92 ) );
			float3 normalDirection101_g92 = normalizeResult92_g92;
			float dotResult115_g92 = dot( lightDir77_g92 , normalDirection101_g92 );
			float NdotL129_g92 = max( 0.0 , dotResult115_g92 );
			float diffuseLight220_g92 = ( temp_output_123_0_g92 * NdotL129_g92 );
			#if defined(LIGHTMAP_ON) && ( UNITY_VERSION < 560 || ( defined(LIGHTMAP_SHADOW_MIXING) && !defined(SHADOWS_SHADOWMASK) && defined(SHADOWS_SCREEN) ) )//aselc
			float4 ase_lightColor = 0;
			#else //aselc
			float4 ase_lightColor = _LightColor0;
			#endif //aselc
			float3 Diffuse263_g92 = ( saturate( diffuseLight220_g92 ) * ase_lightColor.rgb * ase_lightAtten );
			float3 normalizeResult169_g92 = normalize( mul( normalLocalAniso46_g92, tangentTransform31_g92 ) );
			float3 normalDirectionAniso183_g92 = normalizeResult169_g92;
			UnityGI gi337_g92 = gi;
			float3 diffNorm337_g92 = WorldNormalVector( i , normalDirectionAniso183_g92 );
			gi337_g92 = UnityGI_Base( data, 1, diffNorm337_g92 );
			float3 indirectDiffuse337_g92 = gi337_g92.indirect.diffuse + diffNorm337_g92 * 0.0001;
			float2 uv_OcclusionMap623_g83 = i.uv_texcoord;
			float lerpResult483_g83 = lerp( 1.0 , SAMPLE_TEXTURE2D( _OcclusionMap, sampler_OcclusionMap, uv_OcclusionMap623_g83 ).g , _OcculusionStrength);
			float Detail1310_g83 = SAMPLE_TEXTURE2D( _DetailGlossMap, sampler_trilinear_repeat, Detail1UV173_g83 ).r;
			float smoothstepResult621_g83 = smoothstep( 0.0 , 1.0 , Detail1310_g83);
			float lerpResult488_g83 = lerp( 1.0 , smoothstepResult621_g83 , ( _DetailOcculusionScale * DetailMask130_g83 ));
			float Detail2352_g83 = SAMPLE_TEXTURE2D( _DetailGlossMap2, sampler_trilinear_repeat, Detail2UV20_g83 ).r;
			float smoothstepResult622_g83 = smoothstep( 0.0 , 1.0 , Detail2352_g83);
			float lerpResult494_g83 = lerp( 1.0 , smoothstepResult622_g83 , ( _DetailOcculusionScale2 * DetailMask235_g83 ));
			float lerpResult620_g83 = lerp( ( lerpResult483_g83 * lerpResult488_g83 * lerpResult494_g83 ) , 1.0 , WeatheringAlpha396_g83);
			float OcclusionMix509_g83 = saturate( lerpResult620_g83 );
			float temp_output_1389_561 = OcclusionMix509_g83;
			float AO193_g92 = temp_output_1389_561;
			float3 indirectLighting230_g92 = ( indirectDiffuse337_g92 * AO193_g92 );
			float3 ase_worldViewDir = Unity_SafeNormalize( UnityWorldSpaceViewDir( ase_worldPos ) );
			float3 ase_worldNormal = WorldNormalVector( i, float3( 0, 0, 1 ) );
			float3x3 ase_worldToTangent = float3x3( ase_worldTangent, ase_worldBitangent, ase_worldNormal );
			float3 ase_tanViewDir = mul( ase_worldToTangent, ase_worldViewDir );
			float dotResult7_g84 = dot( ase_tanViewDir , temp_output_1389_557 );
			float2 temp_cast_4 = (dotResult7_g84).xx;
			float3 temp_output_12_0_g84 = (SAMPLE_TEXTURE2D( _ColorRamp, sampler_ColorRamp, temp_cast_4 )).rgb;
			float temp_output_10_0_g84 = radians( ( 360.0 * _IriHue ) );
			float temp_output_13_0_g84 = cos( temp_output_10_0_g84 );
			float3 _k7 = float3(0.57735,0.57735,0.57735);
			float dotResult14_g84 = dot( _k7 , temp_output_12_0_g84 );
			float3 temp_output_32_0_g84 = ( ( ( ( ( ( temp_output_12_0_g84 * temp_output_13_0_g84 ) + ( cross( _k7 , temp_output_12_0_g84 ) * sin( temp_output_10_0_g84 ) ) + ( _k7 * dotResult14_g84 * ( 1.0 - temp_output_13_0_g84 ) ) ) - float3( 0.5,0.5,0.5 ) ) * ( _IriContrast * 2.0 ) ) + float3( 0.5,0.5,0.5 ) ) + ( ( _IriBrightness * 2.0 ) - 1.0 ) );
			float dotResult34_g84 = dot( temp_output_32_0_g84 , float3(0.39,0.59,0.11) );
			float3 temp_cast_5 = (dotResult34_g84).xxx;
			float3 lerpResult35_g84 = lerp( temp_cast_5 , temp_output_32_0_g84 , ( _IriSaturation * 2.0 ));
			float3 temp_output_284_0_g83 = (tex2DNode576_g83).rgb;
			float3 temp_cast_6 = (1.0).xxx;
			float Carvature270_g83 = tex2DNode196_g83.r;
			float3 lerpResult331_g83 = lerp( ( temp_output_284_0_g83 * (_BaseColor).rgb ) , temp_cast_6 , ( Carvature270_g83 * _CarvatureStrength ));
			float WetAlbedoOffset311_g83 = _WetAlbedoOffset;
			float3 temp_output_382_0_g83 = ( lerpResult331_g83 * WetAlbedoOffset311_g83 );
			float WetSplatsAlbedoOffset349_g83 = _WetSplatsAlbedoOffset;
			float3 lerpResult411_g83 = lerp( ( temp_output_382_0_g83 * WetSplatsAlbedoOffset349_g83 ) , (_WetColor).rgb , _WetColor.a);
			float2 appendResult287_g83 = (float2(_WetUV.x , _WetUV.y));
			float2 appendResult285_g83 = (float2(_WetUV.z , _WetUV.w));
			float2 uv_TexCoord317_g83 = i.uv_texcoord * appendResult287_g83 + appendResult285_g83;
			float2 WetUV578_g83 = uv_TexCoord317_g83;
			float WetSplats369_g83 = SAMPLE_TEXTURE2D( _WetnessMap, sampler_linear_repeat, WetUV578_g83 ).b;
			float SplatsOp363_g83 = _WetOpacitySplats;
			float3 lerpResult460_g83 = lerp( temp_output_382_0_g83 , lerpResult411_g83 , ( ( StreaksAlpha662_g83 * WetOpStreaks673_g83 ) + ( WetSplats369_g83 * SplatsOp363_g83 ) ));
			float2 uv_OcclusionMap429_g83 = i.uv_texcoord;
			float4 tex2DNode429_g83 = SAMPLE_TEXTURE2D( _OcclusionMap, sampler_MainTex, uv_OcclusionMap429_g83 );
			float3 WetBodyOffset422_g83 = (_BodyColor1).rgb;
			float bodycoloralpha417_g83 = _BodyColor1.a;
			float3 lerpResult480_g83 = lerp( lerpResult460_g83 , ( tex2DNode429_g83.a == 1.0 ? lerpResult460_g83 : WetBodyOffset422_g83 ) , ( bodycoloralpha417_g83 * ( 1.0 - tex2DNode429_g83.a ) ));
			float3 lerpResult501_g83 = lerp( lerpResult331_g83 , lerpResult480_g83 , ExGloss298_g83);
			float3 lerpResult505_g83 = lerp( lerpResult501_g83 , (_WeatheringAlbedo).rgb , ( WeatheringAlpha2466_g83 * 0.282353 ));
			float3 DiffuseMix511_g83 = lerpResult505_g83;
			float3 temp_output_1389_0 = DiffuseMix511_g83;
			float3 blendOpSrc1388 = lerpResult35_g84;
			float3 blendOpDest1388 = temp_output_1389_0;
			float2 uv_MetallicGlossMap330_g83 = i.uv_texcoord;
			float4 tex2DNode330_g83 = SAMPLE_TEXTURE2D( _MetallicGlossMap, sampler_MetallicGlossMap, uv_MetallicGlossMap330_g83 );
			float lerpResult399_g83 = lerp( 1.0 , tex2DNode330_g83.r , _MetallicMask);
			float2 uv_DetailMainTex338_g83 = i.uv_texcoord;
			float4 tex2DNode338_g83 = SAMPLE_TEXTURE2D( _DetailMainTex, sampler_MainTex, uv_DetailMainTex338_g83 );
			float lerpResult395_g83 = lerp( 1.0 , tex2DNode330_g83.r , _MetallicMask4);
			float2 uv_ColorMask304_g83 = i.uv_texcoord;
			float4 tex2DNode304_g83 = SAMPLE_TEXTURE2D( _ColorMask, sampler_linear_repeat, uv_ColorMask304_g83 );
			float ColorMask4347_g83 = tex2DNode304_g83.b;
			float lerpResult462_g83 = lerp( ( lerpResult399_g83 * tex2DNode338_g83.r ) , ( lerpResult395_g83 * _Metallic4 ) , ColorMask4347_g83);
			float lerpResult495_g83 = lerp( saturate( ( ( lerpResult462_g83 - ( ( 1.0 - Detail1310_g83 ) * ( _DetailMetallicScale * DetailMask130_g83 ) ) ) - ( ( 1.0 - Detail2352_g83 ) * ( _DetailMetallicScale2 * DetailMask235_g83 ) ) ) ) , 0.0 , WeatheringAlpha2466_g83);
			float MetallicFinal512_g83 = saturate( lerpResult495_g83 );
			float temp_output_1389_788 = MetallicFinal512_g83;
			float3 lerpBlendMode1388 = lerp(blendOpDest1388,( blendOpSrc1388 * blendOpDest1388 ),temp_output_1389_788);
			float3 temp_output_1388_0 = ( saturate( lerpBlendMode1388 ));
			float3 Albedo269_g92 = temp_output_1388_0;
			float3 indirectNormal323_g92 = WorldNormalVector( i , normalDirectionAniso183_g92 );
			float lerpResult353_g83 = lerp( 1.0 , tex2DNode330_g83.r , _Roughness);
			float lerpResult336_g83 = lerp( 1.0 , tex2DNode330_g83.r , _Roughness4);
			float lerpResult384_g83 = lerp( ( lerpResult353_g83 * tex2DNode338_g83.b ) , ( _Glossiness4 * lerpResult336_g83 ) , ColorMask4347_g83);
			float WetGlossBase397_g83 = _WetGlossBase;
			float lerpResult470_g83 = lerp( saturate( ( ( lerpResult384_g83 - ( ( 1.0 - Detail1310_g83 ) * ( _DetailGlossScale * DetailMask130_g83 ) ) ) - ( ( 1.0 - Detail2352_g83 ) * ( _DetailGlossScale2 * DetailMask235_g83 ) ) ) ) , tex2DNode330_g83.a , ( WetGlossBase397_g83 * ExGloss298_g83 ));
			float SplatsGloss407_g83 = _WetGlossSplats;
			float lerpResult664_g83 = lerp( lerpResult470_g83 , SplatsGloss407_g83 , ( SplatsOp363_g83 * ExGloss298_g83 * WetSplats369_g83 ));
			float lerpResult649_g83 = lerp( lerpResult664_g83 , 0.87 , ( WetOpStreaks673_g83 * smoothstepResult651_g83 ));
			float lerpResult499_g83 = lerp( lerpResult649_g83 , _WeatheringGloss , WeatheringAlpha396_g83);
			float GlossinessFinal513_g83 = saturate( lerpResult499_g83 );
			float lerpResult783_g83 = lerp( 0.0 , GlossinessFinal513_g83 , _Reflections);
			float temp_output_322_0_g92 = lerpResult783_g83;
			Unity_GlossyEnvironmentData g323_g92 = UnityGlossyEnvironmentSetup( temp_output_322_0_g92, data.worldViewDir, indirectNormal323_g92, float3(0,0,0));
			float3 indirectSpecular323_g92 = UnityGI_IndirectSpecular( data, AO193_g92, indirectNormal323_g92, g323_g92 );
			half3 specColor1373 = (0).xxx;
			half oneMinusReflectivity1373 = 0;
			half3 diffuseAndSpecularFromMetallic1373 = DiffuseAndSpecularFromMetallic(temp_output_1388_0,temp_output_1389_788,specColor1373,oneMinusReflectivity1373);
			float3 SpecRGB151_g92 = specColor1373;
			float3 F0246_g92 = SpecRGB151_g92;
			float GrazingTerm239_g92 = saturate( temp_output_322_0_g92 );
			float3 temp_cast_7 = (GrazingTerm239_g92).xxx;
			float3 F90246_g92 = temp_cast_7;
			float3 viewDir75_g92 = ase_worldViewDir;
			float dotResult158_g92 = dot( normalDirection101_g92 , viewDir75_g92 );
			float NdotV184_g92 = max( 0.0 , dotResult158_g92 );
			float cosA246_g92 = NdotV184_g92;
			float3 localFresnelLerp246_g92 = FresnelLerp246_g92( F0246_g92 , F90246_g92 , cosA246_g92 );
			float3 switchResult338_g92 = (((i.ASEVFace>0)?(localFresnelLerp246_g92):(SpecRGB151_g92)));
			float3 indirectspecular268_g92 = ( indirectSpecular323_g92 * switchResult338_g92 );
			float dotResult90_g92 = dot( WorldTangent74_g92 , viewDir75_g92 );
			float TdotV95_g92 = dotResult90_g92;
			half input113_g92 = ( 1.0 - GlossinessFinal513_g83 );
			half localMyCustomExpression113_g92 = MyCustomExpression113_g92( input113_g92 );
			float SpecPower118_g92 = localMyCustomExpression113_g92;
			float Specular187_g92 = ( NdotL129_g92 * pow( saturate( ( ( temp_output_123_0_g92 * sqrt( ( 1.0 - ( TdotV95_g92 * TdotV95_g92 ) ) ) ) - ( tdotL94_g92 * TdotV95_g92 ) ) ) , SpecPower118_g92 ) );
			float temp_output_147_0_g92 = ( SpecPower118_g92 + 1.0 );
			float normalization194_g92 = ( sqrt( ( temp_output_147_0_g92 * temp_output_147_0_g92 ) ) / ( 8.0 * UNITY_PI ) );
			float3 normalizeResult103_g92 = normalize( ( lightDir77_g92 + viewDir75_g92 ) );
			float3 HalfDirection104_g92 = normalizeResult103_g92;
			float dotResult120_g92 = dot( lightDir77_g92 , HalfDirection104_g92 );
			float LdotH139_g92 = max( 0.0 , dotResult120_g92 );
			float x179_g92 = ( 1.0 - LdotH139_g92 );
			float localPow5179_g92 = Pow5179_g92( x179_g92 );
			float3 Specular_A227_g92 = ( Specular187_g92 * normalization194_g92 * ( ( localPow5179_g92 * ( 1.0 - SpecRGB151_g92 ) ) + SpecRGB151_g92 ) );
			float3 directSpecular265_g92 = ( Specular_A227_g92 * ase_lightColor.rgb * ase_lightAtten * AO193_g92 );
			float3 normalLocal46_g89 = temp_output_1389_557;
			float3 viewDir41_g89 = ase_worldViewDir;
			float dotResult38_g89 = dot( normalize( (WorldNormalVector( i , normalLocal46_g89 )) ) , viewDir41_g89 );
			float NdotV34_g89 = max( 0.0 , dotResult38_g89 );
			float2 appendResult754_g83 = (float2(_FuzzUV.x , _FuzzUV.y));
			float2 appendResult755_g83 = (float2(_FuzzUV.z , _FuzzUV.w));
			float2 uv_TexCoord757_g83 = i.uv_texcoord * appendResult754_g83 + appendResult755_g83;
			float AO43_g89 = temp_output_1389_561;
			float3 temp_output_7_0_g89 = (_FuzzColor).rgb;
			UnityGI gi45_g89 = gi;
			float3 diffNorm45_g89 = WorldNormalVector( i , normalLocal46_g89 );
			gi45_g89 = UnityGI_Base( data, 1, diffNorm45_g89 );
			float3 indirectDiffuse45_g89 = gi45_g89.indirect.diffuse + diffNorm45_g89 * 0.0001;
			float3 lightDir53_g89 = ase_worldlightDir;
			float dotResult52_g89 = dot( lightDir53_g89 , normalLocal46_g89 );
			float NdotL50_g89 = max( 0.0 , dotResult52_g89 );
			float temp_output_30_0_g89 = ( _FuzzWrap + 1.0 );
			float WrappedDiffuse27_g89 = ( saturate( ( NdotL50_g89 + _FuzzWrap ) ) / ( temp_output_30_0_g89 * temp_output_30_0_g89 ) );
			float3 FuzzLighting15_g89 = ( ( pow( exp2( -NdotV34_g89 ) , _FuzzRange ) + _FuzzBias ) * ( ( (SAMPLE_TEXTURE2D( _FuzzTex, sampler_FuzzTex, uv_TexCoord757_g83 ).rgb).xyz * AO43_g89 ) * ( ( temp_output_7_0_g89 * indirectDiffuse45_g89 ) + ( temp_output_7_0_g89 * WrappedDiffuse27_g89 * ase_lightColor.rgb * ase_lightAtten ) ) ) );
			float3 newWorldNormal27_g90 = (WorldNormalVector( i , temp_output_1389_557 ));
			float dotResult20_g90 = dot( ase_worldViewDir , -( ( newWorldNormal27_g90 * _TransNormalDistortion ) + ase_worldlightDir ) );
			UnityGI gi15_g90 = gi;
			float3 diffNorm15_g90 = newWorldNormal27_g90;
			gi15_g90 = UnityGI_Base( data, 1, diffNorm15_g90 );
			float3 indirectDiffuse15_g90 = gi15_g90.indirect.diffuse + diffNorm15_g90 * 0.0001;
			float Thickness507_g83 = tex2DNode330_g83.b;
			float3 lerpResult39_g90 = lerp( ase_lightColor.rgb , ( ase_lightColor.rgb * ase_lightAtten ) , _Shadow);
			float dotResult9_g91 = dot( normalize( (WorldNormalVector( i , temp_output_1389_557 )) ) , ase_worldlightDir );
			float3 lerpResult21_g91 = lerp( ase_lightColor.rgb , ( ase_lightColor.rgb * ase_lightAtten ) , _TransmissionShadow);
			c.rgb = ( ( ( ( Diffuse263_g92 + indirectLighting230_g92 ) * Albedo269_g92 * AO193_g92 ) + ( indirectspecular268_g92 + directSpecular265_g92 ) ) + ( FuzzLighting15_g89 * AO43_g89 ) + ( temp_output_1389_0 * ( ( ( pow( saturate( dotResult20_g90 ) , _TransScattering ) * _TransDirect ) + ( indirectDiffuse15_g90 * _TransAmbient ) ) * ( _Translucency * Thickness507_g83 ) * lerpResult39_g90 ) ) + ( ( max( 0.0 , -dotResult9_g91 ) * lerpResult21_g91 * _TransmissionStrength ) * temp_output_1389_0 ) );
			c.a = 1;
			clip( ( ( step( pow( ( 1.0 - clampResult592_g83 ) , 0.2 ) , pow( TearingsMask340_g83 , 0.5 ) ) * ( _DitherSwitch > 0.0 ? ( BlueNoise643_g83 == 0.0 ? dither691_g83 : dither692_g83 ) : AlphaInput195_g83 ) ) * ( BlueNoise643_g83 == 0.0 ? dither629_g83 : dither630_g83 ) ) - _Cutoff );
			return c;
		}

		inline void LightingStandardCustomLighting_GI( inout SurfaceOutputCustomLightingCustom s, UnityGIInput data, inout UnityGI gi )
		{
			s.GIData = data;
		}

		void surf( Input i , inout SurfaceOutputCustomLightingCustom o )
		{
			o.SurfInput = i;
			o.Normal = float3(0,0,1);
			float2 uv_MetallicGlossMap330_g83 = i.uv_texcoord;
			float4 tex2DNode330_g83 = SAMPLE_TEXTURE2D( _MetallicGlossMap, sampler_MetallicGlossMap, uv_MetallicGlossMap330_g83 );
			float2 uv_MainTex576_g83 = i.uv_texcoord;
			float4 tex2DNode576_g83 = SAMPLE_TEXTURE2D( _MainTex, sampler_MainTex, uv_MainTex576_g83 );
			float3 temp_output_284_0_g83 = (tex2DNode576_g83).rgb;
			float3 ColorTex354_g83 = temp_output_284_0_g83;
			float2 uv_ColorMask304_g83 = i.uv_texcoord;
			float4 tex2DNode304_g83 = SAMPLE_TEXTURE2D( _ColorMask, sampler_linear_repeat, uv_ColorMask304_g83 );
			float ColorMask3306_g83 = tex2DNode304_g83.g;
			float3 EC3414_g83 = ( ColorTex354_g83 * ( _EmissionStrength * ColorMask3306_g83 ) );
			#ifdef _EMISSIONCOLOR4_ON
				float3 staticSwitch469_g83 = EC3414_g83;
			#else
				float3 staticSwitch469_g83 = ( (_EmissionColor).rgb * _EmissionStrength );
			#endif
			float ColorMask2351_g83 = tex2DNode304_g83.r;
			float3 EC2456_g83 = ( ColorTex354_g83 * ( _EmissionStrength * ColorMask2351_g83 ) );
			#ifdef _EMISSIONCOLOR3_ON
				float3 staticSwitch479_g83 = EC2456_g83;
			#else
				float3 staticSwitch479_g83 = staticSwitch469_g83;
			#endif
			float ColorMask1358_g83 = ( 1.0 - ( tex2DNode304_g83.r + tex2DNode304_g83.g + tex2DNode304_g83.b ) );
			float3 EC1471_g83 = ( ColorTex354_g83 * ( _EmissionStrength * ColorMask1358_g83 ) );
			#ifdef _EMISSIONCOLOR2_ON
				float3 staticSwitch498_g83 = EC1471_g83;
			#else
				float3 staticSwitch498_g83 = staticSwitch479_g83;
			#endif
			float3 EmissionFinal510_g83 = ( tex2DNode330_g83.g * staticSwitch498_g83 );
			float2 appendResult115_g83 = (float2(_WeatheringUV.x , _WeatheringUV.y));
			float2 appendResult110_g83 = (float2(_WeatheringUV.z , _WeatheringUV.w));
			float2 temp_cast_0 = (_WeatheringUVSeed).xx;
			float dotResult731_g83 = dot( temp_cast_0 , float2( 12.9898,78.233 ) );
			float lerpResult737_g83 = lerp( -10.0 , 10.0 , frac( ( sin( dotResult731_g83 ) * 43758.55 ) ));
			float2 uv_TexCoord127_g83 = i.uv_texcoord * appendResult115_g83 + ( appendResult110_g83 + lerpResult737_g83 );
			float2 WeatheringUV144_g83 = uv_TexCoord127_g83;
			float4 tex2DNode177_g83 = SAMPLE_TEXTURE2D( _WeatheringMap, sampler_WeatheringMap, WeatheringUV144_g83 );
			float2 uv_WeatheringMask100_g83 = i.uv_texcoord;
			float4 tex2DNode100_g83 = SAMPLE_TEXTURE2D( _WeatheringMask, sampler_WeatheringMask, uv_WeatheringMask100_g83 );
			float clampResult161_g83 = clamp( ( tex2DNode100_g83.r - tex2DNode100_g83.g ) , 0.0 , 1.0 );
			float WMask1183_g83 = ( clampResult161_g83 * ceil( _WeatheringRange1 ) );
			float RangeCut1208_g83 = (0.7 + (_WeatheringRange1 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult253_g83 = clamp( ( ( tex2DNode177_g83.g * WMask1183_g83 ) - RangeCut1208_g83 ) , 0.0 , 1.0 );
			float clampResult159_g83 = clamp( ( tex2DNode100_g83.g - tex2DNode100_g83.r ) , 0.0 , 1.0 );
			float WMask2192_g83 = ( clampResult159_g83 * ceil( _WeatheringRange2 ) );
			float RangeCut2211_g83 = (0.7 + (_WeatheringRange2 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult251_g83 = clamp( ( ( tex2DNode177_g83.g * WMask2192_g83 ) - RangeCut2211_g83 ) , 0.0 , 1.0 );
			float WMask3190_g83 = ( tex2DNode100_g83.b * ceil( _WeatheringRange3 ) );
			float RangeCut3210_g83 = (0.7 + (_WeatheringRange3 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult254_g83 = clamp( ( ( tex2DNode177_g83.g * WMask3190_g83 ) - RangeCut3210_g83 ) , 0.0 , 1.0 );
			float WMask4180_g83 = ( ( tex2DNode100_g83.r * tex2DNode100_g83.g ) * ceil( _WeatheringRange4 ) );
			float RangeCut4205_g83 = (0.7 + (_WeatheringRange4 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult259_g83 = clamp( ( ( tex2DNode177_g83.g * WMask4180_g83 ) - RangeCut4205_g83 ) , 0.0 , 1.0 );
			float WMask5184_g83 = ( ( tex2DNode100_g83.r * tex2DNode100_g83.b ) * ceil( _WeatheringRange5 ) );
			float RangeCut5201_g83 = (0.7 + (_WeatheringRange5 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult261_g83 = clamp( ( ( tex2DNode177_g83.g * WMask5184_g83 ) - RangeCut5201_g83 ) , 0.0 , 1.0 );
			float WMaskAll165_g83 = ceil( _WeatheringAll );
			float RangeCutAll171_g83 = (0.7 + (_WeatheringAll - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult215_g83 = clamp( ( ( tex2DNode177_g83.g * WMaskAll165_g83 ) - RangeCutAll171_g83 ) , 0.0 , 1.0 );
			float clampResult299_g83 = clamp( ( clampResult253_g83 + clampResult251_g83 + clampResult254_g83 + clampResult259_g83 + clampResult261_g83 + clampResult215_g83 ) , 0.0 , 1.0 );
			float lerpResult313_g83 = lerp( clampResult299_g83 , clampResult215_g83 , WMaskAll165_g83);
			float WeatheringAlpha2466_g83 = lerpResult313_g83;
			float WeatheringBumpMask718_g83 = tex2DNode177_g83.b;
			o.Emission = ( EmissionFinal510_g83 + ( ( WeatheringAlpha2466_g83 * WeatheringBumpMask718_g83 ) * _WeatheringEmission ) );
		}

		ENDCG
		CGPROGRAM
		#pragma only_renderers d3d9 d3d11_9x d3d11 glcore gles gles3 
		#pragma surface surf StandardCustomLighting keepalpha fullforwardshadows vertex:vertexDataFunc 

		ENDCG
		Pass
		{
			Name "ShadowCaster"
			Tags{ "LightMode" = "ShadowCaster" }
			ZWrite On
			CGPROGRAM
			#pragma vertex vert
			#pragma fragment frag
			#pragma target 5.0
			#pragma multi_compile_shadowcaster
			#pragma multi_compile UNITY_PASS_SHADOWCASTER
			#pragma skip_variants FOG_LINEAR FOG_EXP FOG_EXP2
			#include "HLSLSupport.cginc"
			#if ( SHADER_API_D3D11 || SHADER_API_GLCORE || SHADER_API_GLES || SHADER_API_GLES3 || SHADER_API_METAL || SHADER_API_VULKAN )
				#define CAN_SKIP_VPOS
			#endif
			#include "UnityCG.cginc"
			#include "Lighting.cginc"
			#include "UnityPBSLighting.cginc"
			struct v2f
			{
				V2F_SHADOW_CASTER;
				float2 customPack1 : TEXCOORD1;
				float4 customPack2 : TEXCOORD2;
				float4 tSpace0 : TEXCOORD3;
				float4 tSpace1 : TEXCOORD4;
				float4 tSpace2 : TEXCOORD5;
				UNITY_VERTEX_INPUT_INSTANCE_ID
				UNITY_VERTEX_OUTPUT_STEREO
			};
			v2f vert( appdata_full v )
			{
				v2f o;
				UNITY_SETUP_INSTANCE_ID( v );
				UNITY_INITIALIZE_OUTPUT( v2f, o );
				UNITY_INITIALIZE_VERTEX_OUTPUT_STEREO( o );
				UNITY_TRANSFER_INSTANCE_ID( v, o );
				Input customInputData;
				vertexDataFunc( v, customInputData );
				float3 worldPos = mul( unity_ObjectToWorld, v.vertex ).xyz;
				half3 worldNormal = UnityObjectToWorldNormal( v.normal );
				half3 worldTangent = UnityObjectToWorldDir( v.tangent.xyz );
				half tangentSign = v.tangent.w * unity_WorldTransformParams.w;
				half3 worldBinormal = cross( worldNormal, worldTangent ) * tangentSign;
				o.tSpace0 = float4( worldTangent.x, worldBinormal.x, worldNormal.x, worldPos.x );
				o.tSpace1 = float4( worldTangent.y, worldBinormal.y, worldNormal.y, worldPos.y );
				o.tSpace2 = float4( worldTangent.z, worldBinormal.z, worldNormal.z, worldPos.z );
				o.customPack1.xy = customInputData.uv_texcoord;
				o.customPack1.xy = v.texcoord;
				o.customPack2.xyzw = customInputData.screenPosition;
				TRANSFER_SHADOW_CASTER_NORMALOFFSET( o )
				return o;
			}
			half4 frag( v2f IN
			#if !defined( CAN_SKIP_VPOS )
			, UNITY_VPOS_TYPE vpos : VPOS
			#endif
			) : SV_Target
			{
				UNITY_SETUP_INSTANCE_ID( IN );
				Input surfIN;
				UNITY_INITIALIZE_OUTPUT( Input, surfIN );
				surfIN.uv_texcoord = IN.customPack1.xy;
				surfIN.screenPosition = IN.customPack2.xyzw;
				float3 worldPos = float3( IN.tSpace0.w, IN.tSpace1.w, IN.tSpace2.w );
				half3 worldViewDir = normalize( UnityWorldSpaceViewDir( worldPos ) );
				surfIN.worldPos = worldPos;
				surfIN.worldNormal = float3( IN.tSpace0.z, IN.tSpace1.z, IN.tSpace2.z );
				surfIN.internalSurfaceTtoW0 = IN.tSpace0.xyz;
				surfIN.internalSurfaceTtoW1 = IN.tSpace1.xyz;
				surfIN.internalSurfaceTtoW2 = IN.tSpace2.xyz;
				SurfaceOutputCustomLightingCustom o;
				UNITY_INITIALIZE_OUTPUT( SurfaceOutputCustomLightingCustom, o )
				surf( surfIN, o );
				UnityGI gi;
				UNITY_INITIALIZE_OUTPUT( UnityGI, gi );
				o.Alpha = LightingStandardCustomLighting( o, worldViewDir, gi ).a;
				#if defined( CAN_SKIP_VPOS )
				float2 vpos = IN.pos;
				#endif
				SHADOW_CASTER_FRAGMENT( IN )
			}
			ENDCG
		}
	}
	Fallback "Diffuse"
	CustomEditor "ASEMaterialInspector"
}
/*ASEBEGIN
Version=18912
362.4;586.8;1130;878;-2337.555;1732.302;1.99462;True;False
Node;AmplifyShaderEditor.FunctionNode;1389;2768.841,-735.134;Inherit;False;AIT Anisotropic Clothes Function;3;;83;a68e6482faf72c74f8f3a50738285746;0;0;15;FLOAT3;0;FLOAT3;557;FLOAT;788;FLOAT3;558;FLOAT;560;FLOAT;752;FLOAT;561;FLOAT;637;FLOAT;562;FLOAT3;749;FLOAT;750;FLOAT;751;FLOAT;748;FLOAT;785;COLOR;759
Node;AmplifyShaderEditor.FunctionNode;1387;3232.22,-1076.909;Inherit;False;Iridiscence;93;;84;70fe6a1ace0a29b439fe6d71982b6fe0;0;1;1;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.BlendOpsNode;1388;3478.59,-1086.449;Inherit;False;Multiply;True;3;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT;1;False;1;FLOAT3;0
Node;AmplifyShaderEditor.WireNode;1396;3679.892,-904.5776;Inherit;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.DiffuseAndSpecularFromMetallicNode;1373;3751.459,-1180.617;Inherit;False;2;0;FLOAT3;0,0,0;False;1;FLOAT;0;False;3;FLOAT3;0;FLOAT3;1;FLOAT;2
Node;AmplifyShaderEditor.FunctionNode;1365;4060.084,-935.9124;Inherit;False;Standard Anisotropic Specular Light;-1;;92;3a41dd9f61f98284890bd8c75a8f7141;0;9;329;FLOAT3;0,0,0;False;330;FLOAT3;0,0,0;False;327;FLOAT3;0,0,0;False;328;FLOAT3;0,0,0;False;316;FLOAT;0;False;322;FLOAT;0;False;319;FLOAT;0;False;318;FLOAT;0;False;317;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.WireNode;1390;3167.376,-972.7259;Inherit;False;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.WireNode;1393;4528.669,-546.1873;Inherit;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.FunctionNode;1394;4117.383,-485.5155;Inherit;False;Unity Translucency (Original);87;;90;99752510ebf066e4395c3596c3f4016b;0;4;6;FLOAT3;0,0,0;False;26;FLOAT3;0,0,1;False;43;FLOAT;0;False;46;FLOAT;1;False;1;FLOAT3;0
Node;AmplifyShaderEditor.FunctionNode;1324;4087.897,-651.5322;Inherit;False;Fuzz Light;100;;89;763f1853b3f36754a957e8301fce4b2d;0;3;42;FLOAT3;0,0,0;False;23;FLOAT3;0,0,0;False;44;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.FunctionNode;1395;4185.752,-328.671;Inherit;False;Unity Transmission;1;;91;9498cceedd4defe45a721369ca43b3c7;0;3;1;FLOAT3;0,0,0;False;11;FLOAT3;0,0,0;False;25;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.RangedFloatNode;1210;4687.517,-610.7996;Inherit;False;Property;_CullMode;CullMode;0;1;[IntRange];Create;True;0;0;0;True;0;False;0;0;0;2;0;1;FLOAT;0
Node;AmplifyShaderEditor.WireNode;1392;4595.221,-567.3629;Inherit;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;660;4691.294,-517.6124;Inherit;False;Property;_Cutoff;Cutoff;99;0;Create;True;0;0;0;True;1;Header (Zero Disable Dithering);False;0;0;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.WireNode;1391;3221.828,-990.8765;Inherit;False;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.SimpleAddOpNode;1325;4490.602,-840.9081;Inherit;False;4;4;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;3;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.StandardSurfaceOutputNode;0;4724.58,-1068.255;Float;False;True;-1;7;ASEMaterialInspector;0;0;CustomLighting;Hanmen/Anisotropic Iridescent Clothes Cutoff;False;False;False;False;False;False;False;False;False;False;False;False;False;False;True;False;False;False;False;False;False;Off;0;True;1386;3;False;-1;False;0;False;-1;0;False;-1;False;0;Masked;0;True;True;0;False;TransparentCutout;2600;AlphaTest;All;6;d3d9;d3d11_9x;d3d11;glcore;gles;gles3;True;True;True;True;0;False;-1;False;0;False;-1;255;False;-1;255;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;False;0;32;1;2;True;1;True;0;5;True;1384;10;True;1385;0;5;False;-1;8;False;-1;0;False;-1;6;False;-1;0;False;0;0,0,0,0;VertexOffset;True;False;Cylindrical;False;Relative;0;;-1;-1;-1;-1;0;False;0;0;True;1210;-1;0;True;660;0;0;0;False;0.1;False;-1;0;False;-1;True;15;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;3;FLOAT3;0,0,0;False;4;FLOAT;0;False;6;FLOAT3;0,0,0;False;7;FLOAT3;0,0,0;False;8;FLOAT;0;False;9;FLOAT;0;False;10;FLOAT;0;False;13;FLOAT3;0,0,0;False;11;FLOAT3;0,0,0;False;12;FLOAT3;0,0,0;False;14;FLOAT4;0,0,0,0;False;15;FLOAT3;0,0,0;False;0
WireConnection;1387;1;1389;557
WireConnection;1388;0;1387;0
WireConnection;1388;1;1389;0
WireConnection;1388;2;1389;788
WireConnection;1396;0;1389;788
WireConnection;1373;0;1388;0
WireConnection;1373;1;1396;0
WireConnection;1365;329;1388;0
WireConnection;1365;330;1373;1
WireConnection;1365;327;1389;557
WireConnection;1365;328;1389;749
WireConnection;1365;316;1389;560
WireConnection;1365;322;1389;752
WireConnection;1365;319;1389;750
WireConnection;1365;318;1389;751
WireConnection;1365;317;1389;561
WireConnection;1390;0;1389;558
WireConnection;1393;0;1389;637
WireConnection;1394;6;1389;0
WireConnection;1394;26;1389;557
WireConnection;1394;43;1389;562
WireConnection;1394;46;1389;785
WireConnection;1324;42;1389;557
WireConnection;1324;23;1389;759
WireConnection;1324;44;1389;561
WireConnection;1395;1;1389;0
WireConnection;1395;11;1389;557
WireConnection;1395;25;1389;748
WireConnection;1392;0;1393;0
WireConnection;1391;0;1390;0
WireConnection;1325;0;1365;0
WireConnection;1325;1;1324;0
WireConnection;1325;2;1394;0
WireConnection;1325;3;1395;0
WireConnection;0;2;1391;0
WireConnection;0;10;1392;0
WireConnection;0;13;1325;0
ASEEND*/
//CHKSM=F14558A12F044F7CBF6E5C3BBCC7C05A9FA7AD7B