// Made with Amplify Shader Editor
// Available at the Unity Asset Store - http://u3d.as/y3X 
Shader "Hanmen/Anisotropic Iridescent Specular Clothes Alpha"
{
	Properties
	{
		[IntRange]_CullMode("CullMode", Range( 0 , 2)) = 0
		_TransmissionShadow("TransmissionShadow", Range( 0 , 1)) = 1
		[NoScaleOffset]_DetailMainTex("DetailMainTex", 2D) = "black" {}
		[Header(RENDER TEXTURES (Leave Empty))][NoScaleOffset][Space (10)]_MainTex("MainTex", 2D) = "white" {}
		[NoScaleOffset]_ColorMask("ColorMask", 2D) = "black" {}
		[NoScaleOffset][Space(25)][Header(TEXTURES)][Space(15)]_BumpMap("BumpMap", 2D) = "bump" {}
		[Header()][Header()][NoScaleOffset][Header(MetallicGlossMap)][Header((R) Smoothness)][Header((G) Emission)][Header((B) Thickness)]_MetallicGlossMap("", 2D) = "white" {}
		[Header(OcclusionMap)][Header((R) Curvature (Edge Map))][Header((G) Ambient Occlusion)][Header((B) Tearings)][Header((A) Wetness Opacity)][NoScaleOffset]_OcclusionMap("", 2D) = "white" {}
		[NoScaleOffset]_WeatheringMap("WeatheringMap", 2D) = "black" {}
		[NoScaleOffset]_WeatheringMask("WeatheringMask", 2D) = "black" {}
		[NoScaleOffset][Header (Packed (R_Glossiness G_Bump))]_WetnessMap("WetnessMap", 2D) = "black" {}
		[HDR][NoScaleOffset][Normal]_TangentMap("TangentMap", 2D) = "bump" {}
		[NoScaleOffset]_FuzzTex("FuzzTex", 2D) = "black" {}
		_WetStreaksUV("WetStreaksUV", Vector) = (1,1,0,0)
		_WetUV("WetUV", Vector) = (1,1,0,0)
		[Header (Colors)]_BaseColor("BaseColor", Color) = (1,1,1,1)
		_Color("Color", Color) = (1,1,1,1)
		_EmissionColor("EmissionColor", Color) = (0,0,0,1)
		_WeatheringAlbedo("WeatheringAlbedo", Color) = (0.6,0.65,0.65,0)
		[Header (UV Coordinates)]_UVScalePattern("UVScalePattern", Vector) = (1,1,0,0)
		_FuzzUV("FuzzUV", Vector) = (1,1,0,0)
		[Header (Cloth Tearings)]_AlphaEx("AlphaEx", Range( -1 , 1)) = -1
		_WeatheringUV("WeatheringUV", Vector) = (1,1,0,0)
		_patternuvbase("patternuvbase", Vector) = (1,1,0,0)
		_CarvatureStrength("CarvatureStrength", Range( 0 , 1)) = 0
		_Anisotropy("Anisotropy", Range( 0 , 1)) = 1
		[Header (Bump)]_Float0("Float0", Range( 0 , 3)) = 1
		[NoScaleOffset][Header (Detail Mask)]_DetailMask("", 2D) = "white" {}
		[NoScaleOffset][Header (Detail1 (Grayscale))]_DetailGlossMap("DetailGlossMap", 2D) = "white" {}
		_DetailUV("DetailUV", Vector) = (1,1,0,0)
		[NoScaleOffset][Header (Detail2 (Grayscale))]_DetailGlossMap2("DetailGlossMap2", 2D) = "white" {}
		_DetailUV2("DetailUV2", Vector) = (1,1,0,0)
		[Header(Detail Settings)]_DetailNormalMapScale("DetailNormalMapScale", Range( 0 , 9)) = 9
		_DetailNormalMapScale2("DetailNormalMapScale2", Range( 0 , 9)) = 1
		_DetailGlossScale("DetailGlossScale", Range( 0 , 1)) = 0
		_DetailGlossScale2("DetailGlossScale2", Range( 0 , 1)) = 0
		_DetailMetallicScale("DetailMetallicScale", Range( 0 , 1)) = 0
		_TangentUV("TangentUV", Vector) = (1,1,0,0)
		_DetailMetallicScale2("DetailMetallicScale2", Range( 0 , 1)) = 0
		_DetailOcculusionScale("DetailOcculusionScale", Range( 0 , 1)) = 0
		_DetailOcculusionScale2("DetailOcculusionScale2", Range( 0 , 1)) = 0
		_DetailUVRotator("DetailUVRotator", Range( -1 , 1)) = 1
		_DetailUV2Rotator("DetailUV2Rotator", Range( -1 , 1)) = 0
		_AlphaMaster("AlphaMaster", Range( 0 , 1)) = 1
		[Header (Emission (Tex Required))]_EmissionStrength("EmissionStrength", Range( 0 , 20)) = 0
		[Header (Color Mask Required (Optional))][Toggle(_EMISSIONCOLOR2_ON)] _EmissionColor2("Color1 is Emissive", Float) = 0
		[Toggle(_EMISSIONCOLOR3_ON)] _EmissionColor3("Color2 is Emissive", Float) = 0
		[Toggle(_EMISSIONCOLOR4_ON)] _EmissionColor4("Color3 is Emissive", Float) = 0
		[Header (Ambient Occlusion)]_OcculusionStrength("OcculusionStrength", Range( 0 , 1)) = 1
		[Header (Metallic Roughness (Optional))]_Roughness("Roughness", Range( 0 , 1)) = 1
		_MetallicMask("MetallicMask", Range( 0 , 1)) = 1
		[Header (Color 4 Settings (Optional))]_Glossiness4("Glossiness4", Range( 0 , 1)) = 1
		_Roughness4("Roughness4", Range( 0 , 1)) = 1
		_Metallic4("Metallic4", Range( 0 , 1)) = 1
		_MetallicMask4("MetallicMask4", Range( 0 , 1)) = 1
		[Header (Weathering)]_WeatheringAll("WeatheringAll", Range( 0 , 1)) = 0
		_WeatheringRange1("WeatheringRange1", Range( 0 , 1)) = 0
		_WeatheringRange2("WeatheringRange2", Range( 0 , 1)) = 0
		_WeatheringRange3("WeatheringRange3", Range( 0 , 1)) = 0
		_WeatheringRange4("WeatheringRange4", Range( 0 , 1)) = 0
		_WeatheringRange5("WeatheringRange5", Range( 0 , 1)) = 0
		_WeatheringGloss("WeatheringGloss", Range( 0 , 2)) = 0.95
		_WeatheringEmission("WeatheringEmission", Range( 0 , 1)) = 0.2
		_WeatheringUVSeed("WeatheringUVSeed", Range( 0 , 1)) = 0
		_WetAlpha("WetAlpha", Range( 0 , 10)) = 0
		[Header (Wetness)]_ExGloss("ExGloss", Range( 0 , 1)) = 0
		_WetGlossBase("WetGlossBase", Range( 0 , 2)) = 0.8
		_BodyColor1("BodyColor", Color) = (0.71,0.56,0.51,0)
		_WetAlbedoOffset("WetAlbedoOffset", Range( 0 , 1)) = 0.6
		_WetSplatsAlbedoOffset("WetSplatsAlbedoOffset", Range( 0 , 1)) = 0.6
		_WetOpacitySplats("WetOpacitySplats", Range( 0 , 2)) = 0
		_WetOpacityStreaks("WetOpacityStreaks", Range( 0 , 2)) = 0
		_WetGlossSplats("WetGlossSplats", Range( 0 , 2)) = 0
		_WetBumpOffset("WetBumpOffset", Range( 0 , 1)) = 0.5
		_WetColor("WetColor", Color) = (0,0,0,0)
		_AnistropyContrast("AnistropyContrast", Range( 0 , 1)) = 0.5
		_DetailTangent("DetailTangent", Range( 0 , 1)) = 0
		_DetailTangent2("DetailTangent2", Range( 0 , 1)) = 0
		[Header(Backface Settings)][Toggle]_NormalBackDirInvert("Backface Normal Direction Invert", Range( 0 , 1)) = 0
		_TransmissionStrength("TransmissionStrength", Range( 0 , 5)) = 1
		_Reflections("Reflections", Range( 0 , 1)) = 1
		[Header(Translucency)]_Translucency("Translucency", Range( 0 , 1)) = 1
		[Header(Translucency)]_TransNormalDistortion("Normal Distortion", Range( 0 , 1)) = 0
		_TransScattering("Scattering Faloff", Range( 1 , 50)) = 1
		_TransDirect("Direct", Range( 0 , 1)) = 0
		_TransAmbient("Ambient", Range( 0 , 1)) = 0
		_Shadow("Shadow", Range( 0 , 1)) = 1
		[Header(Iridescence)][NoScaleOffset]_ColorRamp("ColorRamp", 2D) = "white" {}
		_IriHue("Hue", Range( 0 , 1)) = 0
		_IriSaturation("Saturation", Range( 0 , 1)) = 0.5
		_IriBrightness("Brightness", Range( 0 , 1)) = 0.5
		_IriContrast("Contrast", Range( 0 , 1)) = 0.5
		[Header (Zero Disable Dithering)]_Cutoff("Cutoff", Range( 0 , 1)) = 0
		[Header(Blending Options)][IntRange]_BlendSCR("BlendSCR", Range( 1 , 11)) = 5
		[IntRange]_BlendDST("BlendDST", Range( 1 , 11)) = 10
		[Header(Depth Setting)][Toggle]_ZWrite("ZWrite", Range( 0 , 1)) = 1
		_FuzzColor("Fuzz Color", Color) = (1,1,1,1)
		_FuzzRange("Fuzz Range", Range( 1 , 5)) = 1
		_FuzzBias("Fuzz Bias", Range( 0 , 1)) = 0
		_FuzzWrap("FuzzWrap", Range( 0 , 1)) = 0
		[HideInInspector] _texcoord( "", 2D ) = "white" {}
		[HideInInspector] __dirty( "", Int ) = 1
	}

	SubShader
	{
		Tags{ "RenderType" = "Transparent"  "Queue" = "Transparent+0" "IgnoreProjector" = "True" "IsEmissive" = "true"  }
		Cull [_CullMode]
		ZWrite [_ZWrite]
		ZTest LEqual
		Blend [_BlendSCR] [_BlendDST]
		
		CGINCLUDE
		#include "UnityPBSLighting.cginc"
		#include "UnityStandardUtils.cginc"
		#include "UnityCG.cginc"
		#include "UnityShaderVariables.cginc"
		#include "Lighting.cginc"
		#pragma target 5.0
		#pragma shader_feature _EMISSIONCOLOR3_ON
		#pragma shader_feature _EMISSIONCOLOR2_ON
		#pragma shader_feature _EMISSIONCOLOR4_ON
		#define ASE_USING_SAMPLING_MACROS 1
		#if defined(SHADER_API_D3D11) || defined(SHADER_API_XBOXONE) || defined(UNITY_COMPILER_HLSLCC) || defined(SHADER_API_PSSL) || (defined(SHADER_TARGET_SURFACE_ANALYSIS) && !defined(SHADER_TARGET_SURFACE_ANALYSIS_MOJOSHADER))//ASE Sampler Macros
		#define SAMPLE_TEXTURE2D(tex,samplerTex,coord) tex.Sample(samplerTex,coord)
		#define SAMPLE_TEXTURE2D_LOD(tex,samplerTex,coord,lod) tex.SampleLevel(samplerTex,coord, lod)
		#define SAMPLE_TEXTURE2D_BIAS(tex,samplerTex,coord,bias) tex.SampleBias(samplerTex,coord,bias)
		#define SAMPLE_TEXTURE2D_GRAD(tex,samplerTex,coord,ddx,ddy) tex.SampleGrad(samplerTex,coord,ddx,ddy)
		#else//ASE Sampling Macros
		#define SAMPLE_TEXTURE2D(tex,samplerTex,coord) tex2D(tex,coord)
		#define SAMPLE_TEXTURE2D_LOD(tex,samplerTex,coord,lod) tex2Dlod(tex,float4(coord,0,lod))
		#define SAMPLE_TEXTURE2D_BIAS(tex,samplerTex,coord,bias) tex2Dbias(tex,float4(coord,0,bias))
		#define SAMPLE_TEXTURE2D_GRAD(tex,samplerTex,coord,ddx,ddy) tex2Dgrad(tex,coord,ddx,ddy)
		#endif//ASE Sampling Macros

		#ifdef UNITY_PASS_SHADOWCASTER
			#undef INTERNAL_DATA
			#undef WorldReflectionVector
			#undef WorldNormalVector
			#define INTERNAL_DATA half3 internalSurfaceTtoW0; half3 internalSurfaceTtoW1; half3 internalSurfaceTtoW2;
			#define WorldReflectionVector(data,normal) reflect (data.worldRefl, half3(dot(data.internalSurfaceTtoW0,normal), dot(data.internalSurfaceTtoW1,normal), dot(data.internalSurfaceTtoW2,normal)))
			#define WorldNormalVector(data,normal) half3(dot(data.internalSurfaceTtoW0,normal), dot(data.internalSurfaceTtoW1,normal), dot(data.internalSurfaceTtoW2,normal))
		#endif
		struct Input
		{
			float2 uv_texcoord;
			float3 worldNormal;
			INTERNAL_DATA
			half ASEVFace : VFACE;
			float3 worldPos;
		};

		struct SurfaceOutputCustomLightingCustom
		{
			half3 Albedo;
			half3 Normal;
			half3 Emission;
			half Metallic;
			half Smoothness;
			half Occlusion;
			half Alpha;
			Input SurfInput;
			UnityGIInput GIData;
		};

		uniform float4 _WeatheringAlbedo;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_DetailGlossMap);
		SamplerState sampler_DetailGlossMap;
		uniform float2 _UVScalePattern;
		uniform float _DetailUVRotator;
		uniform float2 _DetailUV;
		uniform float4 _WetColor;
		uniform float _CarvatureStrength;
		uniform float _DetailNormalMapScale;
		uniform float4 _WetStreaksUV;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_MetallicGlossMap);
		SamplerState sampler_MetallicGlossMap2;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_WetnessMap);
		SamplerState sampler_WetnessMap;
		uniform float _WetGlossSplats;
		uniform float _WeatheringRange5;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_WeatheringMask);
		SamplerState sampler_WeatheringMask;
		uniform float _WeatheringRange2;
		uniform float _WeatheringRange3;
		uniform float2 _DetailUV2;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_WeatheringMap);
		SamplerState sampler_WeatheringMap;
		uniform float _WeatheringRange4;
		uniform float _WeatheringGloss;
		uniform float _AlphaMaster;
		uniform float _Translucency;
		uniform float _WeatheringAll;
		uniform float4 _Color;
		SamplerState sampler_MetallicGlossMap;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_ColorMask);
		SamplerState sampler_ColorMask;
		uniform float _WeatheringRange1;
		uniform float _DetailMetallicScale2;
		uniform float2 _patternuvbase;
		uniform float _DetailNormalMapScale2;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_MainTex);
		SamplerState sampler_MainTex;
		uniform float _Float0;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_DetailMainTex);
		SamplerState sampler_DetailMainTex2;
		uniform float _ExGloss;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_FuzzTex);
		SamplerState sampler_FuzzTex;
		SamplerState sampler_DetailMainTex;
		uniform float4 _EmissionColor;
		uniform float _DetailUV2Rotator;
		uniform float _WetOpacitySplats;
		uniform float _WetAlbedoOffset;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_BumpMap);
		SamplerState sampler_BumpMap;
		uniform float _WetOpacityStreaks;
		uniform float4 _BaseColor;
		uniform float _Metallic4;
		uniform float _EmissionStrength;
		uniform float _WetBumpOffset;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_DetailGlossMap2);
		SamplerState sampler_DetailGlossMap2;
		uniform float4 _WetUV;
		uniform float _DetailGlossScale;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_OcclusionMap);
		SamplerState sampler_OcclusionMap;
		uniform float _WetSplatsAlbedoOffset;
		uniform float4 _WeatheringUV;
		uniform float _DetailGlossScale2;
		uniform float _WetAlpha;
		uniform float4 _BodyColor1;
		uniform float _WeatheringUVSeed;
		uniform float _WetGlossBase;
		uniform float _DetailMetallicScale;
		uniform float _AlphaEx;
		uniform float4 _FuzzUV;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_DetailMask);
		SamplerState sampler_DetailMask;
		uniform float _TransmissionStrength;
		uniform float4 _TangentUV;
		uniform float _DetailTangent2;
		uniform float _Anisotropy;
		uniform float _AnistropyContrast;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_TangentMap);
		SamplerState sampler_TangentMap;
		uniform float _DetailTangent;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_ColorRamp);
		SamplerState sampler_ColorRamp;
		uniform float _IriSaturation;
		uniform float _IriContrast;
		uniform float _IriBrightness;
		uniform float _IriHue;
		uniform float _FuzzBias;
		uniform float _FuzzRange;
		uniform float4 _FuzzColor;
		uniform float _FuzzWrap;
		uniform float _TransDirect;
		uniform float _Shadow;
		uniform float _TransScattering;
		uniform float _TransAmbient;
		uniform float _TransNormalDistortion;
		uniform float _TransmissionShadow;
		uniform float _BlendSCR;
		uniform half _ZWrite;
		uniform float _CullMode;
		uniform float _Cutoff;
		uniform float _BlendDST;
		SamplerState sampler_linear_repeat;
		uniform float _WeatheringEmission;
		uniform float _NormalBackDirInvert;
		SamplerState sampler_trilinear_repeat;
		uniform float _OcculusionStrength;
		uniform float _DetailOcculusionScale;
		uniform float _DetailOcculusionScale2;
		uniform float _Roughness;
		uniform float _Glossiness4;
		uniform float _Roughness4;
		uniform float _Reflections;
		uniform float _MetallicMask;
		uniform float _MetallicMask4;


		float3 FresnelLerp246_g95( half3 F0, half3 F90, half cosA )
		{
			 return FresnelLerp(F0, F90, cosA);
		}


		half MyCustomExpression113_g95( half input )
		{
			return RoughnessToSpecPower(input);
		}


		float Pow5179_g95( float x )
		{
			 return x*x * x*x * x;
		}


		inline half4 LightingStandardCustomLighting( inout SurfaceOutputCustomLightingCustom s, half3 viewDir, UnityGI gi )
		{
			UnityGIInput data = s.GIData;
			Input i = s.SurfInput;
			half4 c = 0;
			#ifdef UNITY_PASS_FORWARDBASE
			float ase_lightAtten = data.atten;
			if( _LightColor0.a == 0)
			ase_lightAtten = 0;
			#else
			float3 ase_lightAttenRGB = gi.light.color / ( ( _LightColor0.rgb ) + 0.000001 );
			float ase_lightAtten = max( max( ase_lightAttenRGB.r, ase_lightAttenRGB.g ), ase_lightAttenRGB.b );
			#endif
			#if defined(HANDLE_SHADOWS_BLENDING_IN_GI)
			half bakedAtten = UnitySampleBakedOcclusion(data.lightmapUV.xy, data.worldPos);
			float zDist = dot(_WorldSpaceCameraPos - data.worldPos, UNITY_MATRIX_V[2].xyz);
			float fadeDist = UnityComputeShadowFadeDistance(data.worldPos, zDist);
			ase_lightAtten = UnityMixRealtimeAndBakedShadows(data.atten, bakedAtten, UnityComputeShadowFade(fadeDist));
			#endif
			float2 uv_MainTex576_g71 = i.uv_texcoord;
			float4 tex2DNode576_g71 = SAMPLE_TEXTURE2D( _MainTex, sampler_MainTex, uv_MainTex576_g71 );
			float AlphaInput195_g71 = tex2DNode576_g71.a;
			float2 uv_OcclusionMap196_g71 = i.uv_texcoord;
			float4 tex2DNode196_g71 = SAMPLE_TEXTURE2D( _OcclusionMap, sampler_OcclusionMap, uv_OcclusionMap196_g71 );
			float OccAlpha219_g71 = tex2DNode196_g71.a;
			float ExGloss298_g71 = _ExGloss;
			float2 appendResult115_g71 = (float2(_WeatheringUV.x , _WeatheringUV.y));
			float2 appendResult110_g71 = (float2(_WeatheringUV.z , _WeatheringUV.w));
			float2 temp_cast_1 = (_WeatheringUVSeed).xx;
			float dotResult731_g71 = dot( temp_cast_1 , float2( 12.9898,78.233 ) );
			float lerpResult737_g71 = lerp( -10.0 , 10.0 , frac( ( sin( dotResult731_g71 ) * 43758.55 ) ));
			float2 uv_TexCoord127_g71 = i.uv_texcoord * appendResult115_g71 + ( appendResult110_g71 + lerpResult737_g71 );
			float2 WeatheringUV144_g71 = uv_TexCoord127_g71;
			float4 tex2DNode177_g71 = SAMPLE_TEXTURE2D( _WeatheringMap, sampler_WeatheringMap, WeatheringUV144_g71 );
			float2 uv_WeatheringMask100_g71 = i.uv_texcoord;
			float4 tex2DNode100_g71 = SAMPLE_TEXTURE2D( _WeatheringMask, sampler_WeatheringMask, uv_WeatheringMask100_g71 );
			float clampResult161_g71 = clamp( ( tex2DNode100_g71.r - tex2DNode100_g71.g ) , 0.0 , 1.0 );
			float WMask1183_g71 = ( clampResult161_g71 * ceil( _WeatheringRange1 ) );
			float RangeCut1208_g71 = (0.7 + (_WeatheringRange1 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult253_g71 = clamp( ( ( tex2DNode177_g71.g * WMask1183_g71 ) - RangeCut1208_g71 ) , 0.0 , 1.0 );
			float clampResult159_g71 = clamp( ( tex2DNode100_g71.g - tex2DNode100_g71.r ) , 0.0 , 1.0 );
			float WMask2192_g71 = ( clampResult159_g71 * ceil( _WeatheringRange2 ) );
			float RangeCut2211_g71 = (0.7 + (_WeatheringRange2 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult251_g71 = clamp( ( ( tex2DNode177_g71.g * WMask2192_g71 ) - RangeCut2211_g71 ) , 0.0 , 1.0 );
			float WMask3190_g71 = ( tex2DNode100_g71.b * ceil( _WeatheringRange3 ) );
			float RangeCut3210_g71 = (0.7 + (_WeatheringRange3 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult254_g71 = clamp( ( ( tex2DNode177_g71.g * WMask3190_g71 ) - RangeCut3210_g71 ) , 0.0 , 1.0 );
			float WMask4180_g71 = ( ( tex2DNode100_g71.r * tex2DNode100_g71.g ) * ceil( _WeatheringRange4 ) );
			float RangeCut4205_g71 = (0.7 + (_WeatheringRange4 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult259_g71 = clamp( ( ( tex2DNode177_g71.g * WMask4180_g71 ) - RangeCut4205_g71 ) , 0.0 , 1.0 );
			float WMask5184_g71 = ( ( tex2DNode100_g71.r * tex2DNode100_g71.b ) * ceil( _WeatheringRange5 ) );
			float RangeCut5201_g71 = (0.7 + (_WeatheringRange5 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult261_g71 = clamp( ( ( tex2DNode177_g71.g * WMask5184_g71 ) - RangeCut5201_g71 ) , 0.0 , 1.0 );
			float WMaskAll165_g71 = ceil( _WeatheringAll );
			float RangeCutAll171_g71 = (0.7 + (_WeatheringAll - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult215_g71 = clamp( ( ( tex2DNode177_g71.g * WMaskAll165_g71 ) - RangeCutAll171_g71 ) , 0.0 , 1.0 );
			float clampResult299_g71 = clamp( ( clampResult253_g71 + clampResult251_g71 + clampResult254_g71 + clampResult259_g71 + clampResult261_g71 + clampResult215_g71 ) , 0.0 , 1.0 );
			float lerpResult313_g71 = lerp( clampResult299_g71 , clampResult215_g71 , WMaskAll165_g71);
			float WeatheringAlpha2466_g71 = lerpResult313_g71;
			float clampResult792_g71 = clamp( _AlphaEx , 0.2 , 1.0 );
			float TearingsMask340_g71 = tex2DNode196_g71.b;
			float3 ase_worldTangent = WorldNormalVector( i, float3( 1, 0, 0 ) );
			float3 tan21_g95 = ase_worldTangent;
			float3 ase_worldBitangent = WorldNormalVector( i, float3( 0, 1, 0 ) );
			float3 bittan24_g95 = ase_worldBitangent;
			float2 uv_BumpMap402_g71 = i.uv_texcoord;
			float WetBumpOffset303_g71 = _WetBumpOffset;
			float2 UVScale107_g71 = _UVScalePattern;
			float2 uv_TexCoord152_g71 = i.uv_texcoord * ( _DetailUV * UVScale107_g71 );
			float cos162_g71 = cos( ( _DetailUVRotator * UNITY_PI ) );
			float sin162_g71 = sin( ( _DetailUVRotator * UNITY_PI ) );
			float2 rotator162_g71 = mul( uv_TexCoord152_g71 - float2( 0.5,0.5 ) , float2x2( cos162_g71 , -sin162_g71 , sin162_g71 , cos162_g71 )) + float2( 0.5,0.5 );
			float2 Detail1UV173_g71 = rotator162_g71;
			float2 break194_g71 = Detail1UV173_g71;
			float temp_output_186_0_g71 = ( pow( 0.25 , 2.0 ) * 0.1 );
			float2 appendResult218_g71 = (float2(( break194_g71.x + temp_output_186_0_g71 ) , break194_g71.y));
			float4 tex2DNode243_g71 = SAMPLE_TEXTURE2D( _DetailGlossMap, sampler_trilinear_repeat, Detail1UV173_g71 );
			float2 uv_DetailMask25_g71 = i.uv_texcoord;
			float4 tex2DNode25_g71 = SAMPLE_TEXTURE2D( _DetailMask, sampler_DetailMask, uv_DetailMask25_g71 );
			float DetailMask130_g71 = tex2DNode25_g71.r;
			float temp_output_255_0_g71 = ( DetailMask130_g71 * _DetailNormalMapScale );
			float3 appendResult300_g71 = (float3(1.0 , 0.0 , ( ( SAMPLE_TEXTURE2D( _DetailGlossMap, sampler_trilinear_repeat, appendResult218_g71 ).g - tex2DNode243_g71.g ) * temp_output_255_0_g71 )));
			float2 appendResult222_g71 = (float2(break194_g71.x , ( break194_g71.y + temp_output_186_0_g71 )));
			float3 appendResult297_g71 = (float3(0.0 , 1.0 , ( ( SAMPLE_TEXTURE2D( _DetailGlossMap, sampler_trilinear_repeat, appendResult222_g71 ).g - tex2DNode243_g71.g ) * temp_output_255_0_g71 )));
			float3 normalizeResult348_g71 = normalize( cross( appendResult300_g71 , appendResult297_g71 ) );
			float3 DetailNormal1368_g71 = normalizeResult348_g71;
			float2 uv_TexCoord16_g71 = i.uv_texcoord * ( _DetailUV2 * UVScale107_g71 );
			float cos19_g71 = cos( ( _DetailUV2Rotator * UNITY_PI ) );
			float sin19_g71 = sin( ( _DetailUV2Rotator * UNITY_PI ) );
			float2 rotator19_g71 = mul( uv_TexCoord16_g71 - float2( 0.5,0.5 ) , float2x2( cos19_g71 , -sin19_g71 , sin19_g71 , cos19_g71 )) + float2( 0.5,0.5 );
			float2 Detail2UV20_g71 = rotator19_g71;
			float2 break24_g71 = Detail2UV20_g71;
			float temp_output_26_0_g71 = ( pow( 0.25 , 2.0 ) * 0.1 );
			float2 appendResult34_g71 = (float2(( break24_g71.x + temp_output_26_0_g71 ) , break24_g71.y));
			float4 tex2DNode38_g71 = SAMPLE_TEXTURE2D( _DetailGlossMap2, sampler_trilinear_repeat, Detail2UV20_g71 );
			float DetailMask235_g71 = tex2DNode25_g71.g;
			float temp_output_43_0_g71 = ( DetailMask235_g71 * _DetailNormalMapScale2 );
			float3 appendResult58_g71 = (float3(1.0 , 0.0 , ( ( SAMPLE_TEXTURE2D( _DetailGlossMap2, sampler_trilinear_repeat, appendResult34_g71 ).g - tex2DNode38_g71.g ) * temp_output_43_0_g71 )));
			float2 appendResult33_g71 = (float2(break24_g71.x , ( break24_g71.y + temp_output_26_0_g71 )));
			float3 appendResult57_g71 = (float3(0.0 , 1.0 , ( ( SAMPLE_TEXTURE2D( _DetailGlossMap2, sampler_trilinear_repeat, appendResult33_g71 ).g - tex2DNode38_g71.g ) * temp_output_43_0_g71 )));
			float3 normalizeResult69_g71 = normalize( cross( appendResult58_g71 , appendResult57_g71 ) );
			float3 DetailNormal276_g71 = normalizeResult69_g71;
			float2 appendResult657_g71 = (float2(_WetStreaksUV.x , _WetStreaksUV.y));
			float2 appendResult658_g71 = (float2(_WetStreaksUV.z , _WetStreaksUV.w));
			float2 uv_TexCoord660_g71 = i.uv_texcoord * appendResult657_g71 + appendResult658_g71;
			float2 WetStrUV669_g71 = uv_TexCoord660_g71;
			float2 break547_g71 = WetStrUV669_g71;
			float temp_output_541_0_g71 = ( pow( 0.25 , 2.0 ) * 0.1 );
			float2 appendResult546_g71 = (float2(( break547_g71.x + temp_output_541_0_g71 ) , break547_g71.y));
			float4 tex2DNode515_g71 = SAMPLE_TEXTURE2D( _WetnessMap, sampler_MainTex, WetStrUV669_g71 );
			float3 appendResult523_g71 = (float3(1.0 , 0.0 , ( ( SAMPLE_TEXTURE2D( _WeatheringMap, sampler_MainTex, appendResult546_g71 ).g - tex2DNode515_g71.g ) * 1.0 )));
			float2 appendResult534_g71 = (float2(break547_g71.x , ( break547_g71.y + temp_output_541_0_g71 )));
			float3 appendResult542_g71 = (float3(0.0 , 1.0 , ( ( SAMPLE_TEXTURE2D( _WetnessMap, sampler_MainTex, appendResult534_g71 ).g - tex2DNode515_g71.g ) * 1.0 )));
			float3 normalizeResult524_g71 = normalize( cross( appendResult523_g71 , appendResult542_g71 ) );
			float3 WetnessNormal545_g71 = normalizeResult524_g71;
			float WetStr661_g71 = SAMPLE_TEXTURE2D( _WetnessMap, sampler_linear_repeat, WetStrUV669_g71 ).g;
			float smoothstepResult651_g71 = smoothstep( ( 1.0 - ExGloss298_g71 ) , 1.0 , WetStr661_g71);
			float StreaksAlpha662_g71 = smoothstepResult651_g71;
			float WetOpStreaks673_g71 = _WetOpacityStreaks;
			float3 lerpResult98_g71 = lerp( BlendNormals( BlendNormals( UnpackScaleNormal( SAMPLE_TEXTURE2D( _BumpMap, sampler_BumpMap, uv_BumpMap402_g71 ), ( _Float0 + ( WetBumpOffset303_g71 * ExGloss298_g71 ) ) ) , DetailNormal1368_g71 ) , DetailNormal276_g71 ) , WetnessNormal545_g71 , ( StreaksAlpha662_g71 * WetOpStreaks673_g71 ));
			float2 break223_g71 = WeatheringUV144_g71;
			float temp_output_224_0_g71 = ( pow( 0.2 , 2.0 ) * 0.1 );
			float2 appendResult258_g71 = (float2(( break223_g71.x + temp_output_224_0_g71 ) , break223_g71.y));
			float4 tex2DNode266_g71 = SAMPLE_TEXTURE2D( _WeatheringMap, sampler_WeatheringMap, WeatheringUV144_g71 );
			float3 appendResult344_g71 = (float3(1.0 , 0.0 , ( ( SAMPLE_TEXTURE2D( _WeatheringMap, sampler_WeatheringMap, appendResult258_g71 ).b - tex2DNode266_g71.b ) * 2.0 )));
			float2 appendResult252_g71 = (float2(break223_g71.x , ( break223_g71.y + temp_output_224_0_g71 )));
			float3 appendResult339_g71 = (float3(0.0 , 1.0 , ( ( SAMPLE_TEXTURE2D( _WeatheringMap, sampler_WeatheringMap, appendResult252_g71 ).b - tex2DNode266_g71.b ) * 2.0 )));
			float3 normalizeResult398_g71 = normalize( cross( appendResult344_g71 , appendResult339_g71 ) );
			float3 WeatheringBump425_g71 = normalizeResult398_g71;
			float clampResult373_g71 = clamp( ( lerpResult313_g71 * 10.0 ) , 0.0 , 1.0 );
			float WeatheringAlpha396_g71 = clampResult373_g71;
			float3 lerpResult87_g71 = lerp( lerpResult98_g71 , WeatheringBump425_g71 , ( SAMPLE_TEXTURE2D( _WeatheringMap, sampler_WeatheringMap, WeatheringUV144_g71 ).b * WeatheringAlpha396_g71 ));
			float3 normalizeResult564_g71 = normalize( lerpResult87_g71 );
			float3 switchResult566_g71 = (((i.ASEVFace>0)?(normalizeResult564_g71):(-normalizeResult564_g71)));
			float3 NormalMix88_g71 = ( _NormalBackDirInvert == 1.0 ? switchResult566_g71 : normalizeResult564_g71 );
			float3 temp_output_1381_557 = NormalMix88_g71;
			float3 temp_output_327_0_g95 = temp_output_1381_557;
			float3 normalLocal11_g95 = temp_output_327_0_g95;
			float3 newWorldNormal13_g95 = normalize( (WorldNormalVector( i , normalLocal11_g95 )) );
			float3 normalDir22_g95 = newWorldNormal13_g95;
			float3x3 tangentTransform31_g95 = float3x3(tan21_g95, bittan24_g95, normalDir22_g95);
			float3x3 tangentToWorld42_g95 = transpose( tangentTransform31_g95 );
			float3 hTangent53_g95 = mul( tangentToWorld42_g95, float3(0,1,0) );
			float3 lerpResult62_g95 = lerp( tan21_g95 , hTangent53_g95 , _Anisotropy);
			float3 Tangent64_g95 = lerpResult62_g95;
			float AnisotropyRGContrastvar761_g71 = _AnistropyContrast;
			float2 appendResult765_g71 = (float2(_TangentUV.x , _TangentUV.y));
			float2 appendResult767_g71 = (float2(_TangentUV.z , _TangentUV.w));
			float2 uv_TexCoord770_g71 = i.uv_texcoord * ( appendResult765_g71 * UVScale107_g71 ) + appendResult767_g71;
			float3 tex2DNode776_g71 = UnpackScaleNormal( SAMPLE_TEXTURE2D( _TangentMap, sampler_trilinear_repeat, uv_TexCoord770_g71 ), AnisotropyRGContrastvar761_g71 );
			float3 lerpResult778_g71 = lerp( UnpackScaleNormal( float4( 0,0,1,1 ), AnisotropyRGContrastvar761_g71 ) , tex2DNode776_g71 , ( DetailMask130_g71 * _DetailTangent ));
			float3 lerpResult780_g71 = lerp( lerpResult778_g71 , tex2DNode776_g71 , ( DetailMask235_g71 * _DetailTangent2 ));
			float3 normalLocalAniso46_g95 = BlendNormals( lerpResult780_g71 , temp_output_327_0_g95 );
			float4 appendResult57_g95 = (float4((normalLocalAniso46_g95).xy , 0.0 , 0.0));
			float AnisotropyRGContrastvar30_g95 = AnisotropyRGContrastvar761_g71;
			float3 lerpResult67_g95 = lerp( Tangent64_g95 , (float4( mul( appendResult57_g95.xyz, tangentToWorld42_g95 ) , 0.0 )).xyz , AnisotropyRGContrastvar30_g95);
			float3 normalizeResult71_g95 = normalize( lerpResult67_g95 );
			float3 WorldTangent74_g95 = normalizeResult71_g95;
			float3 ase_worldPos = i.worldPos;
			#if defined(LIGHTMAP_ON) && UNITY_VERSION < 560 //aseld
			float3 ase_worldlightDir = 0;
			#else //aseld
			float3 ase_worldlightDir = Unity_SafeNormalize( UnityWorldSpaceLightDir( ase_worldPos ) );
			#endif //aseld
			float3 lightDir77_g95 = ase_worldlightDir;
			float dotResult86_g95 = dot( WorldTangent74_g95 , lightDir77_g95 );
			float tdotL94_g95 = dotResult86_g95;
			float temp_output_123_0_g95 = sqrt( ( 1.0 - ( tdotL94_g95 * tdotL94_g95 ) ) );
			float3 normalizeResult92_g95 = normalize( mul( normalLocal11_g95, tangentTransform31_g95 ) );
			float3 normalDirection101_g95 = normalizeResult92_g95;
			float dotResult115_g95 = dot( lightDir77_g95 , normalDirection101_g95 );
			float NdotL129_g95 = max( 0.0 , dotResult115_g95 );
			float diffuseLight220_g95 = ( temp_output_123_0_g95 * NdotL129_g95 );
			#if defined(LIGHTMAP_ON) && ( UNITY_VERSION < 560 || ( defined(LIGHTMAP_SHADOW_MIXING) && !defined(SHADOWS_SHADOWMASK) && defined(SHADOWS_SCREEN) ) )//aselc
			float4 ase_lightColor = 0;
			#else //aselc
			float4 ase_lightColor = _LightColor0;
			#endif //aselc
			float3 Diffuse263_g95 = ( saturate( diffuseLight220_g95 ) * ase_lightColor.rgb * ase_lightAtten );
			float3 normalizeResult169_g95 = normalize( mul( normalLocalAniso46_g95, tangentTransform31_g95 ) );
			float3 normalDirectionAniso183_g95 = normalizeResult169_g95;
			UnityGI gi337_g95 = gi;
			float3 diffNorm337_g95 = WorldNormalVector( i , normalDirectionAniso183_g95 );
			gi337_g95 = UnityGI_Base( data, 1, diffNorm337_g95 );
			float3 indirectDiffuse337_g95 = gi337_g95.indirect.diffuse + diffNorm337_g95 * 0.0001;
			float2 uv_OcclusionMap623_g71 = i.uv_texcoord;
			float lerpResult483_g71 = lerp( 1.0 , SAMPLE_TEXTURE2D( _OcclusionMap, sampler_OcclusionMap, uv_OcclusionMap623_g71 ).g , _OcculusionStrength);
			float Detail1310_g71 = SAMPLE_TEXTURE2D( _DetailGlossMap, sampler_trilinear_repeat, Detail1UV173_g71 ).r;
			float smoothstepResult621_g71 = smoothstep( 0.0 , 1.0 , Detail1310_g71);
			float lerpResult488_g71 = lerp( 1.0 , smoothstepResult621_g71 , ( _DetailOcculusionScale * DetailMask130_g71 ));
			float Detail2352_g71 = SAMPLE_TEXTURE2D( _DetailGlossMap2, sampler_trilinear_repeat, Detail2UV20_g71 ).r;
			float smoothstepResult622_g71 = smoothstep( 0.0 , 1.0 , Detail2352_g71);
			float lerpResult494_g71 = lerp( 1.0 , smoothstepResult622_g71 , ( _DetailOcculusionScale2 * DetailMask235_g71 ));
			float lerpResult620_g71 = lerp( ( lerpResult483_g71 * lerpResult488_g71 * lerpResult494_g71 ) , 1.0 , WeatheringAlpha396_g71);
			float OcclusionMix509_g71 = saturate( lerpResult620_g71 );
			float temp_output_1381_561 = OcclusionMix509_g71;
			float AO193_g95 = temp_output_1381_561;
			float3 indirectLighting230_g95 = ( indirectDiffuse337_g95 * AO193_g95 );
			float3 temp_output_284_0_g71 = (tex2DNode576_g71).rgb;
			float3 temp_cast_4 = (1.0).xxx;
			float Carvature270_g71 = tex2DNode196_g71.r;
			float3 lerpResult331_g71 = lerp( ( temp_output_284_0_g71 * (_BaseColor).rgb ) , temp_cast_4 , ( Carvature270_g71 * _CarvatureStrength ));
			float WetAlbedoOffset311_g71 = _WetAlbedoOffset;
			float3 temp_output_382_0_g71 = ( lerpResult331_g71 * WetAlbedoOffset311_g71 );
			float WetSplatsAlbedoOffset349_g71 = _WetSplatsAlbedoOffset;
			float3 lerpResult411_g71 = lerp( ( temp_output_382_0_g71 * WetSplatsAlbedoOffset349_g71 ) , (_WetColor).rgb , _WetColor.a);
			float2 appendResult287_g71 = (float2(_WetUV.x , _WetUV.y));
			float2 appendResult285_g71 = (float2(_WetUV.z , _WetUV.w));
			float2 uv_TexCoord317_g71 = i.uv_texcoord * appendResult287_g71 + appendResult285_g71;
			float2 WetUV578_g71 = uv_TexCoord317_g71;
			float WetSplats369_g71 = SAMPLE_TEXTURE2D( _WetnessMap, sampler_linear_repeat, WetUV578_g71 ).b;
			float SplatsOp363_g71 = _WetOpacitySplats;
			float3 lerpResult460_g71 = lerp( temp_output_382_0_g71 , lerpResult411_g71 , ( ( StreaksAlpha662_g71 * WetOpStreaks673_g71 ) + ( WetSplats369_g71 * SplatsOp363_g71 ) ));
			float2 uv_OcclusionMap429_g71 = i.uv_texcoord;
			float4 tex2DNode429_g71 = SAMPLE_TEXTURE2D( _OcclusionMap, sampler_MainTex, uv_OcclusionMap429_g71 );
			float3 WetBodyOffset422_g71 = (_BodyColor1).rgb;
			float bodycoloralpha417_g71 = _BodyColor1.a;
			float3 lerpResult480_g71 = lerp( lerpResult460_g71 , ( tex2DNode429_g71.a == 1.0 ? lerpResult460_g71 : WetBodyOffset422_g71 ) , ( bodycoloralpha417_g71 * ( 1.0 - tex2DNode429_g71.a ) ));
			float3 lerpResult501_g71 = lerp( lerpResult331_g71 , lerpResult480_g71 , ExGloss298_g71);
			float3 lerpResult505_g71 = lerp( lerpResult501_g71 , (_WeatheringAlbedo).rgb , ( WeatheringAlpha2466_g71 * 0.282353 ));
			float3 DiffuseMix511_g71 = lerpResult505_g71;
			float3 temp_output_1381_0 = DiffuseMix511_g71;
			float3 Albedo269_g95 = temp_output_1381_0;
			float3 indirectNormal323_g95 = WorldNormalVector( i , normalDirectionAniso183_g95 );
			float2 uv_MetallicGlossMap330_g71 = i.uv_texcoord;
			float4 tex2DNode330_g71 = SAMPLE_TEXTURE2D( _MetallicGlossMap, sampler_MetallicGlossMap, uv_MetallicGlossMap330_g71 );
			float lerpResult353_g71 = lerp( 1.0 , tex2DNode330_g71.r , _Roughness);
			float2 uv_DetailMainTex338_g71 = i.uv_texcoord;
			float4 tex2DNode338_g71 = SAMPLE_TEXTURE2D( _DetailMainTex, sampler_MainTex, uv_DetailMainTex338_g71 );
			float lerpResult336_g71 = lerp( 1.0 , tex2DNode330_g71.r , _Roughness4);
			float2 uv_ColorMask304_g71 = i.uv_texcoord;
			float4 tex2DNode304_g71 = SAMPLE_TEXTURE2D( _ColorMask, sampler_linear_repeat, uv_ColorMask304_g71 );
			float ColorMask4347_g71 = tex2DNode304_g71.b;
			float lerpResult384_g71 = lerp( ( lerpResult353_g71 * tex2DNode338_g71.b ) , ( _Glossiness4 * lerpResult336_g71 ) , ColorMask4347_g71);
			float WetGlossBase397_g71 = _WetGlossBase;
			float lerpResult470_g71 = lerp( saturate( ( ( lerpResult384_g71 - ( ( 1.0 - Detail1310_g71 ) * ( _DetailGlossScale * DetailMask130_g71 ) ) ) - ( ( 1.0 - Detail2352_g71 ) * ( _DetailGlossScale2 * DetailMask235_g71 ) ) ) ) , tex2DNode330_g71.a , ( WetGlossBase397_g71 * ExGloss298_g71 ));
			float SplatsGloss407_g71 = _WetGlossSplats;
			float lerpResult664_g71 = lerp( lerpResult470_g71 , SplatsGloss407_g71 , ( SplatsOp363_g71 * ExGloss298_g71 * WetSplats369_g71 ));
			float lerpResult649_g71 = lerp( lerpResult664_g71 , 0.87 , ( WetOpStreaks673_g71 * smoothstepResult651_g71 ));
			float lerpResult499_g71 = lerp( lerpResult649_g71 , _WeatheringGloss , WeatheringAlpha396_g71);
			float GlossinessFinal513_g71 = saturate( lerpResult499_g71 );
			float lerpResult783_g71 = lerp( 0.0 , GlossinessFinal513_g71 , _Reflections);
			float temp_output_322_0_g95 = lerpResult783_g71;
			Unity_GlossyEnvironmentData g323_g95 = UnityGlossyEnvironmentSetup( temp_output_322_0_g95, data.worldViewDir, indirectNormal323_g95, float3(0,0,0));
			float3 indirectSpecular323_g95 = UnityGI_IndirectSpecular( data, AO193_g95, indirectNormal323_g95, g323_g95 );
			float3 ase_worldViewDir = Unity_SafeNormalize( UnityWorldSpaceViewDir( ase_worldPos ) );
			float3 ase_worldNormal = WorldNormalVector( i, float3( 0, 0, 1 ) );
			float3x3 ase_worldToTangent = float3x3( ase_worldTangent, ase_worldBitangent, ase_worldNormal );
			float3 ase_tanViewDir = mul( ase_worldToTangent, ase_worldViewDir );
			float dotResult7_g77 = dot( ase_tanViewDir , temp_output_1381_557 );
			float2 temp_cast_5 = (dotResult7_g77).xx;
			float3 temp_output_12_0_g77 = (SAMPLE_TEXTURE2D( _ColorRamp, sampler_ColorRamp, temp_cast_5 )).rgb;
			float temp_output_10_0_g77 = radians( ( 360.0 * _IriHue ) );
			float temp_output_13_0_g77 = cos( temp_output_10_0_g77 );
			float3 _k7 = float3(0.57735,0.57735,0.57735);
			float dotResult14_g77 = dot( _k7 , temp_output_12_0_g77 );
			float3 temp_output_32_0_g77 = ( ( ( ( ( ( temp_output_12_0_g77 * temp_output_13_0_g77 ) + ( cross( _k7 , temp_output_12_0_g77 ) * sin( temp_output_10_0_g77 ) ) + ( _k7 * dotResult14_g77 * ( 1.0 - temp_output_13_0_g77 ) ) ) - float3( 0.5,0.5,0.5 ) ) * ( _IriContrast * 2.0 ) ) + float3( 0.5,0.5,0.5 ) ) + ( ( _IriBrightness * 2.0 ) - 1.0 ) );
			float dotResult34_g77 = dot( temp_output_32_0_g77 , float3(0.39,0.59,0.11) );
			float3 temp_cast_6 = (dotResult34_g77).xxx;
			float3 lerpResult35_g77 = lerp( temp_cast_6 , temp_output_32_0_g77 , ( _IriSaturation * 2.0 ));
			float3 blendOpSrc1388 = lerpResult35_g77;
			float3 blendOpDest1388 = temp_output_1381_0;
			float lerpResult399_g71 = lerp( 1.0 , tex2DNode330_g71.r , _MetallicMask);
			float lerpResult395_g71 = lerp( 1.0 , tex2DNode330_g71.r , _MetallicMask4);
			float lerpResult462_g71 = lerp( ( lerpResult399_g71 * tex2DNode338_g71.r ) , ( lerpResult395_g71 * _Metallic4 ) , ColorMask4347_g71);
			float lerpResult495_g71 = lerp( saturate( ( ( lerpResult462_g71 - ( ( 1.0 - Detail1310_g71 ) * ( _DetailMetallicScale * DetailMask130_g71 ) ) ) - ( ( 1.0 - Detail2352_g71 ) * ( _DetailMetallicScale2 * DetailMask235_g71 ) ) ) ) , 0.0 , WeatheringAlpha2466_g71);
			float MetallicFinal512_g71 = saturate( lerpResult495_g71 );
			float temp_output_1381_788 = MetallicFinal512_g71;
			float3 lerpBlendMode1388 = lerp(blendOpDest1388,( 1.0 - ( ( 1.0 - blendOpDest1388) / max( blendOpSrc1388, 0.00001) ) ),temp_output_1381_788);
			half3 specColor1373 = (0).xxx;
			half oneMinusReflectivity1373 = 0;
			half3 diffuseAndSpecularFromMetallic1373 = DiffuseAndSpecularFromMetallic(( saturate( lerpBlendMode1388 )),temp_output_1381_788,specColor1373,oneMinusReflectivity1373);
			float3 SpecRGB151_g95 = specColor1373;
			float3 F0246_g95 = SpecRGB151_g95;
			float GrazingTerm239_g95 = saturate( temp_output_322_0_g95 );
			float3 temp_cast_7 = (GrazingTerm239_g95).xxx;
			float3 F90246_g95 = temp_cast_7;
			float3 viewDir75_g95 = ase_worldViewDir;
			float dotResult158_g95 = dot( normalDirection101_g95 , viewDir75_g95 );
			float NdotV184_g95 = max( 0.0 , dotResult158_g95 );
			float cosA246_g95 = NdotV184_g95;
			float3 localFresnelLerp246_g95 = FresnelLerp246_g95( F0246_g95 , F90246_g95 , cosA246_g95 );
			float3 switchResult338_g95 = (((i.ASEVFace>0)?(localFresnelLerp246_g95):(SpecRGB151_g95)));
			float3 indirectspecular268_g95 = ( indirectSpecular323_g95 * switchResult338_g95 );
			float dotResult90_g95 = dot( WorldTangent74_g95 , viewDir75_g95 );
			float TdotV95_g95 = dotResult90_g95;
			half input113_g95 = ( 1.0 - GlossinessFinal513_g71 );
			half localMyCustomExpression113_g95 = MyCustomExpression113_g95( input113_g95 );
			float SpecPower118_g95 = localMyCustomExpression113_g95;
			float Specular187_g95 = ( NdotL129_g95 * pow( saturate( ( ( temp_output_123_0_g95 * sqrt( ( 1.0 - ( TdotV95_g95 * TdotV95_g95 ) ) ) ) - ( tdotL94_g95 * TdotV95_g95 ) ) ) , SpecPower118_g95 ) );
			float temp_output_147_0_g95 = ( SpecPower118_g95 + 1.0 );
			float normalization194_g95 = ( sqrt( ( temp_output_147_0_g95 * temp_output_147_0_g95 ) ) / ( 8.0 * UNITY_PI ) );
			float3 normalizeResult103_g95 = normalize( ( lightDir77_g95 + viewDir75_g95 ) );
			float3 HalfDirection104_g95 = normalizeResult103_g95;
			float dotResult120_g95 = dot( lightDir77_g95 , HalfDirection104_g95 );
			float LdotH139_g95 = max( 0.0 , dotResult120_g95 );
			float x179_g95 = ( 1.0 - LdotH139_g95 );
			float localPow5179_g95 = Pow5179_g95( x179_g95 );
			float3 Specular_A227_g95 = ( Specular187_g95 * normalization194_g95 * ( ( localPow5179_g95 * ( 1.0 - SpecRGB151_g95 ) ) + SpecRGB151_g95 ) );
			float3 directSpecular265_g95 = ( Specular_A227_g95 * ase_lightColor.rgb * ase_lightAtten * AO193_g95 );
			float3 normalLocal46_g93 = temp_output_1381_557;
			float3 viewDir41_g93 = ase_worldViewDir;
			float dotResult38_g93 = dot( normalize( (WorldNormalVector( i , normalLocal46_g93 )) ) , viewDir41_g93 );
			float NdotV34_g93 = max( 0.0 , dotResult38_g93 );
			float2 appendResult754_g71 = (float2(_FuzzUV.x , _FuzzUV.y));
			float2 appendResult755_g71 = (float2(_FuzzUV.z , _FuzzUV.w));
			float2 uv_TexCoord757_g71 = i.uv_texcoord * appendResult754_g71 + appendResult755_g71;
			float AO43_g93 = temp_output_1381_561;
			float3 temp_output_7_0_g93 = (_FuzzColor).rgb;
			UnityGI gi45_g93 = gi;
			float3 diffNorm45_g93 = WorldNormalVector( i , normalLocal46_g93 );
			gi45_g93 = UnityGI_Base( data, 1, diffNorm45_g93 );
			float3 indirectDiffuse45_g93 = gi45_g93.indirect.diffuse + diffNorm45_g93 * 0.0001;
			float3 lightDir53_g93 = ase_worldlightDir;
			float dotResult52_g93 = dot( lightDir53_g93 , normalLocal46_g93 );
			float NdotL50_g93 = max( 0.0 , dotResult52_g93 );
			float temp_output_30_0_g93 = ( _FuzzWrap + 1.0 );
			float WrappedDiffuse27_g93 = ( saturate( ( NdotL50_g93 + _FuzzWrap ) ) / ( temp_output_30_0_g93 * temp_output_30_0_g93 ) );
			float3 FuzzLighting15_g93 = ( ( pow( exp2( -NdotV34_g93 ) , _FuzzRange ) + _FuzzBias ) * ( ( (SAMPLE_TEXTURE2D( _FuzzTex, sampler_FuzzTex, uv_TexCoord757_g71 ).rgb).xyz * AO43_g93 ) * ( ( temp_output_7_0_g93 * indirectDiffuse45_g93 ) + ( temp_output_7_0_g93 * WrappedDiffuse27_g93 * ase_lightColor.rgb * ase_lightAtten ) ) ) );
			float3 newWorldNormal27_g94 = (WorldNormalVector( i , temp_output_1381_557 ));
			float dotResult20_g94 = dot( ase_worldViewDir , -( ( newWorldNormal27_g94 * _TransNormalDistortion ) + ase_worldlightDir ) );
			UnityGI gi15_g94 = gi;
			float3 diffNorm15_g94 = newWorldNormal27_g94;
			gi15_g94 = UnityGI_Base( data, 1, diffNorm15_g94 );
			float3 indirectDiffuse15_g94 = gi15_g94.indirect.diffuse + diffNorm15_g94 * 0.0001;
			float Thickness507_g71 = tex2DNode330_g71.b;
			float3 lerpResult39_g94 = lerp( ase_lightColor.rgb , ( ase_lightColor.rgb * ase_lightAtten ) , _Shadow);
			float dotResult9_g96 = dot( normalize( (WorldNormalVector( i , temp_output_1381_557 )) ) , ase_worldlightDir );
			float3 lerpResult21_g96 = lerp( ase_lightColor.rgb , ( ase_lightColor.rgb * ase_lightAtten ) , _TransmissionShadow);
			c.rgb = ( ( ( ( Diffuse263_g95 + indirectLighting230_g95 ) * Albedo269_g95 * AO193_g95 ) + ( indirectspecular268_g95 + directSpecular265_g95 ) ) + ( FuzzLighting15_g93 * AO43_g93 ) + ( temp_output_1381_0 * ( ( ( pow( saturate( dotResult20_g94 ) , _TransScattering ) * _TransDirect ) + ( indirectDiffuse15_g94 * _TransAmbient ) ) * ( _Translucency * Thickness507_g71 ) * lerpResult39_g94 ) ) + ( ( max( 0.0 , -dotResult9_g96 ) * lerpResult21_g96 * _TransmissionStrength ) * temp_output_1381_0 ) );
			c.a = saturate( ( ( ( AlphaInput195_g71 * _AlphaMaster ) * saturate( pow( OccAlpha219_g71 , ( _WetAlpha * ExGloss298_g71 ) ) ) ) + WeatheringAlpha2466_g71 ) );
			clip( ( step( pow( ( 1.0 - clampResult792_g71 ) , 0.2 ) , pow( TearingsMask340_g71 , 0.5 ) ) * AlphaInput195_g71 ) - _Cutoff );
			return c;
		}

		inline void LightingStandardCustomLighting_GI( inout SurfaceOutputCustomLightingCustom s, UnityGIInput data, inout UnityGI gi )
		{
			s.GIData = data;
		}

		void surf( Input i , inout SurfaceOutputCustomLightingCustom o )
		{
			o.SurfInput = i;
			o.Normal = float3(0,0,1);
			float2 uv_MetallicGlossMap330_g71 = i.uv_texcoord;
			float4 tex2DNode330_g71 = SAMPLE_TEXTURE2D( _MetallicGlossMap, sampler_MetallicGlossMap, uv_MetallicGlossMap330_g71 );
			float2 uv_MainTex576_g71 = i.uv_texcoord;
			float4 tex2DNode576_g71 = SAMPLE_TEXTURE2D( _MainTex, sampler_MainTex, uv_MainTex576_g71 );
			float3 temp_output_284_0_g71 = (tex2DNode576_g71).rgb;
			float3 ColorTex354_g71 = temp_output_284_0_g71;
			float2 uv_ColorMask304_g71 = i.uv_texcoord;
			float4 tex2DNode304_g71 = SAMPLE_TEXTURE2D( _ColorMask, sampler_linear_repeat, uv_ColorMask304_g71 );
			float ColorMask3306_g71 = tex2DNode304_g71.g;
			float3 EC3414_g71 = ( ColorTex354_g71 * ( _EmissionStrength * ColorMask3306_g71 ) );
			#ifdef _EMISSIONCOLOR4_ON
				float3 staticSwitch469_g71 = EC3414_g71;
			#else
				float3 staticSwitch469_g71 = ( (_EmissionColor).rgb * _EmissionStrength );
			#endif
			float ColorMask2351_g71 = tex2DNode304_g71.r;
			float3 EC2456_g71 = ( ColorTex354_g71 * ( _EmissionStrength * ColorMask2351_g71 ) );
			#ifdef _EMISSIONCOLOR3_ON
				float3 staticSwitch479_g71 = EC2456_g71;
			#else
				float3 staticSwitch479_g71 = staticSwitch469_g71;
			#endif
			float ColorMask1358_g71 = ( 1.0 - ( tex2DNode304_g71.r + tex2DNode304_g71.g + tex2DNode304_g71.b ) );
			float3 EC1471_g71 = ( ColorTex354_g71 * ( _EmissionStrength * ColorMask1358_g71 ) );
			#ifdef _EMISSIONCOLOR2_ON
				float3 staticSwitch498_g71 = EC1471_g71;
			#else
				float3 staticSwitch498_g71 = staticSwitch479_g71;
			#endif
			float3 EmissionFinal510_g71 = ( tex2DNode330_g71.g * staticSwitch498_g71 );
			float2 appendResult115_g71 = (float2(_WeatheringUV.x , _WeatheringUV.y));
			float2 appendResult110_g71 = (float2(_WeatheringUV.z , _WeatheringUV.w));
			float2 temp_cast_0 = (_WeatheringUVSeed).xx;
			float dotResult731_g71 = dot( temp_cast_0 , float2( 12.9898,78.233 ) );
			float lerpResult737_g71 = lerp( -10.0 , 10.0 , frac( ( sin( dotResult731_g71 ) * 43758.55 ) ));
			float2 uv_TexCoord127_g71 = i.uv_texcoord * appendResult115_g71 + ( appendResult110_g71 + lerpResult737_g71 );
			float2 WeatheringUV144_g71 = uv_TexCoord127_g71;
			float4 tex2DNode177_g71 = SAMPLE_TEXTURE2D( _WeatheringMap, sampler_WeatheringMap, WeatheringUV144_g71 );
			float2 uv_WeatheringMask100_g71 = i.uv_texcoord;
			float4 tex2DNode100_g71 = SAMPLE_TEXTURE2D( _WeatheringMask, sampler_WeatheringMask, uv_WeatheringMask100_g71 );
			float clampResult161_g71 = clamp( ( tex2DNode100_g71.r - tex2DNode100_g71.g ) , 0.0 , 1.0 );
			float WMask1183_g71 = ( clampResult161_g71 * ceil( _WeatheringRange1 ) );
			float RangeCut1208_g71 = (0.7 + (_WeatheringRange1 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult253_g71 = clamp( ( ( tex2DNode177_g71.g * WMask1183_g71 ) - RangeCut1208_g71 ) , 0.0 , 1.0 );
			float clampResult159_g71 = clamp( ( tex2DNode100_g71.g - tex2DNode100_g71.r ) , 0.0 , 1.0 );
			float WMask2192_g71 = ( clampResult159_g71 * ceil( _WeatheringRange2 ) );
			float RangeCut2211_g71 = (0.7 + (_WeatheringRange2 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult251_g71 = clamp( ( ( tex2DNode177_g71.g * WMask2192_g71 ) - RangeCut2211_g71 ) , 0.0 , 1.0 );
			float WMask3190_g71 = ( tex2DNode100_g71.b * ceil( _WeatheringRange3 ) );
			float RangeCut3210_g71 = (0.7 + (_WeatheringRange3 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult254_g71 = clamp( ( ( tex2DNode177_g71.g * WMask3190_g71 ) - RangeCut3210_g71 ) , 0.0 , 1.0 );
			float WMask4180_g71 = ( ( tex2DNode100_g71.r * tex2DNode100_g71.g ) * ceil( _WeatheringRange4 ) );
			float RangeCut4205_g71 = (0.7 + (_WeatheringRange4 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult259_g71 = clamp( ( ( tex2DNode177_g71.g * WMask4180_g71 ) - RangeCut4205_g71 ) , 0.0 , 1.0 );
			float WMask5184_g71 = ( ( tex2DNode100_g71.r * tex2DNode100_g71.b ) * ceil( _WeatheringRange5 ) );
			float RangeCut5201_g71 = (0.7 + (_WeatheringRange5 - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult261_g71 = clamp( ( ( tex2DNode177_g71.g * WMask5184_g71 ) - RangeCut5201_g71 ) , 0.0 , 1.0 );
			float WMaskAll165_g71 = ceil( _WeatheringAll );
			float RangeCutAll171_g71 = (0.7 + (_WeatheringAll - 0.0) * (0.0 - 0.7) / (1.0 - 0.0));
			float clampResult215_g71 = clamp( ( ( tex2DNode177_g71.g * WMaskAll165_g71 ) - RangeCutAll171_g71 ) , 0.0 , 1.0 );
			float clampResult299_g71 = clamp( ( clampResult253_g71 + clampResult251_g71 + clampResult254_g71 + clampResult259_g71 + clampResult261_g71 + clampResult215_g71 ) , 0.0 , 1.0 );
			float lerpResult313_g71 = lerp( clampResult299_g71 , clampResult215_g71 , WMaskAll165_g71);
			float WeatheringAlpha2466_g71 = lerpResult313_g71;
			float WeatheringBumpMask718_g71 = tex2DNode177_g71.b;
			o.Emission = ( EmissionFinal510_g71 + ( ( WeatheringAlpha2466_g71 * WeatheringBumpMask718_g71 ) * _WeatheringEmission ) );
		}

		ENDCG
		CGPROGRAM
		#pragma only_renderers d3d9 d3d11_9x d3d11 glcore gles gles3 
		#pragma surface surf StandardCustomLighting keepalpha fullforwardshadows 

		ENDCG
		Pass
		{
			Name "ShadowCaster"
			Tags{ "LightMode" = "ShadowCaster" }
			ZWrite On
			CGPROGRAM
			#pragma vertex vert
			#pragma fragment frag
			#pragma target 5.0
			#pragma multi_compile_shadowcaster
			#pragma multi_compile UNITY_PASS_SHADOWCASTER
			#pragma skip_variants FOG_LINEAR FOG_EXP FOG_EXP2
			#include "HLSLSupport.cginc"
			#if ( SHADER_API_D3D11 || SHADER_API_GLCORE || SHADER_API_GLES || SHADER_API_GLES3 || SHADER_API_METAL || SHADER_API_VULKAN )
				#define CAN_SKIP_VPOS
			#endif
			#include "UnityCG.cginc"
			#include "Lighting.cginc"
			#include "UnityPBSLighting.cginc"
			sampler3D _DitherMaskLOD;
			struct v2f
			{
				V2F_SHADOW_CASTER;
				float2 customPack1 : TEXCOORD1;
				float4 tSpace0 : TEXCOORD2;
				float4 tSpace1 : TEXCOORD3;
				float4 tSpace2 : TEXCOORD4;
				UNITY_VERTEX_INPUT_INSTANCE_ID
				UNITY_VERTEX_OUTPUT_STEREO
			};
			v2f vert( appdata_full v )
			{
				v2f o;
				UNITY_SETUP_INSTANCE_ID( v );
				UNITY_INITIALIZE_OUTPUT( v2f, o );
				UNITY_INITIALIZE_VERTEX_OUTPUT_STEREO( o );
				UNITY_TRANSFER_INSTANCE_ID( v, o );
				Input customInputData;
				float3 worldPos = mul( unity_ObjectToWorld, v.vertex ).xyz;
				half3 worldNormal = UnityObjectToWorldNormal( v.normal );
				half3 worldTangent = UnityObjectToWorldDir( v.tangent.xyz );
				half tangentSign = v.tangent.w * unity_WorldTransformParams.w;
				half3 worldBinormal = cross( worldNormal, worldTangent ) * tangentSign;
				o.tSpace0 = float4( worldTangent.x, worldBinormal.x, worldNormal.x, worldPos.x );
				o.tSpace1 = float4( worldTangent.y, worldBinormal.y, worldNormal.y, worldPos.y );
				o.tSpace2 = float4( worldTangent.z, worldBinormal.z, worldNormal.z, worldPos.z );
				o.customPack1.xy = customInputData.uv_texcoord;
				o.customPack1.xy = v.texcoord;
				TRANSFER_SHADOW_CASTER_NORMALOFFSET( o )
				return o;
			}
			half4 frag( v2f IN
			#if !defined( CAN_SKIP_VPOS )
			, UNITY_VPOS_TYPE vpos : VPOS
			#endif
			) : SV_Target
			{
				UNITY_SETUP_INSTANCE_ID( IN );
				Input surfIN;
				UNITY_INITIALIZE_OUTPUT( Input, surfIN );
				surfIN.uv_texcoord = IN.customPack1.xy;
				float3 worldPos = float3( IN.tSpace0.w, IN.tSpace1.w, IN.tSpace2.w );
				half3 worldViewDir = normalize( UnityWorldSpaceViewDir( worldPos ) );
				surfIN.worldPos = worldPos;
				surfIN.worldNormal = float3( IN.tSpace0.z, IN.tSpace1.z, IN.tSpace2.z );
				surfIN.internalSurfaceTtoW0 = IN.tSpace0.xyz;
				surfIN.internalSurfaceTtoW1 = IN.tSpace1.xyz;
				surfIN.internalSurfaceTtoW2 = IN.tSpace2.xyz;
				SurfaceOutputCustomLightingCustom o;
				UNITY_INITIALIZE_OUTPUT( SurfaceOutputCustomLightingCustom, o )
				surf( surfIN, o );
				UnityGI gi;
				UNITY_INITIALIZE_OUTPUT( UnityGI, gi );
				o.Alpha = LightingStandardCustomLighting( o, worldViewDir, gi ).a;
				#if defined( CAN_SKIP_VPOS )
				float2 vpos = IN.pos;
				#endif
				half alphaRef = tex3D( _DitherMaskLOD, float3( vpos.xy * 0.25, o.Alpha * 0.9375 ) ).a;
				clip( alphaRef - 0.01 );
				SHADOW_CASTER_FRAGMENT( IN )
			}
			ENDCG
		}
	}
	Fallback "Diffuse"
	CustomEditor "ASEMaterialInspector"
}
/*ASEBEGIN
Version=18912
284.4;470.8;1130;878;-1867.851;1704.065;2.659284;True;False
Node;AmplifyShaderEditor.FunctionNode;1381;2710.677,-835.8746;Inherit;False;AIT Anisotropic Clothes Function Alpha;3;;71;1a10fb9cf2eaa804f89a9c33ecfd7814;0;0;16;FLOAT3;0;FLOAT3;557;FLOAT;788;FLOAT3;558;FLOAT;560;FLOAT;752;FLOAT;561;FLOAT;562;FLOAT;815;FLOAT3;749;FLOAT;814;FLOAT;750;FLOAT;751;FLOAT;748;FLOAT;785;COLOR;759
Node;AmplifyShaderEditor.FunctionNode;1387;3131.724,-1154.252;Inherit;False;Iridiscence;90;;77;70fe6a1ace0a29b439fe6d71982b6fe0;0;1;1;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.BlendOpsNode;1388;3427.008,-1157.814;Inherit;False;ColorBurn;True;3;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT;1;False;1;FLOAT3;0
Node;AmplifyShaderEditor.DiffuseAndSpecularFromMetallicNode;1373;3715.425,-1154.489;Inherit;False;2;0;FLOAT3;0,0,0;False;1;FLOAT;0;False;3;FLOAT3;0;FLOAT3;1;FLOAT;2
Node;AmplifyShaderEditor.WireNode;1382;3198.617,-971.3512;Inherit;False;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.FunctionNode;1365;4060.084,-935.9124;Inherit;False;Standard Anisotropic Specular Light;-1;;95;3a41dd9f61f98284890bd8c75a8f7141;0;9;329;FLOAT3;0,0,0;False;330;FLOAT3;0,0,0;False;327;FLOAT3;0,0,0;False;328;FLOAT3;0,0,0;False;316;FLOAT;0;False;322;FLOAT;0;False;319;FLOAT;0;False;318;FLOAT;0;False;317;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.FunctionNode;1390;4185.828,-326.2804;Inherit;False;Unity Transmission;1;;96;9498cceedd4defe45a721369ca43b3c7;0;3;1;FLOAT3;0,0,0;False;11;FLOAT3;0,0,0;False;25;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.FunctionNode;1324;4087.897,-651.5322;Inherit;False;Fuzz Light;100;;93;763f1853b3f36754a957e8301fce4b2d;0;3;42;FLOAT3;0,0,0;False;23;FLOAT3;0,0,0;False;44;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.FunctionNode;1389;4112.787,-496.1892;Inherit;False;Unity Translucency (Original);84;;94;99752510ebf066e4395c3596c3f4016b;0;4;6;FLOAT3;0,0,0;False;26;FLOAT3;0,0,1;False;43;FLOAT;0;False;46;FLOAT;1;False;1;FLOAT3;0
Node;AmplifyShaderEditor.RangedFloatNode;1385;4694.084,-336.8955;Inherit;False;Property;_BlendDST;BlendDST;98;1;[IntRange];Create;True;0;0;0;True;0;False;10;11;1;11;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;1384;4693.937,-427.1713;Inherit;False;Property;_BlendSCR;BlendSCR;97;2;[Header];[IntRange];Create;True;1;Blending Options;0;0;True;0;False;5;5;1;11;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;1386;4693.129,-241.9369;Half;False;Property;_ZWrite;ZWrite;99;2;[Header];[Toggle];Create;True;1;Depth Setting;0;0;True;0;False;1;1;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;1210;4687.517,-610.7996;Inherit;False;Property;_CullMode;CullMode;0;1;[IntRange];Create;True;0;0;0;True;0;False;0;0;0;2;0;1;FLOAT;0
Node;AmplifyShaderEditor.WireNode;1383;3235.915,-999.8715;Inherit;False;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.RangedFloatNode;660;4691.294,-517.6124;Inherit;False;Property;_Cutoff;Cutoff;96;0;Create;True;0;0;0;True;1;Header (Zero Disable Dithering);False;0;0.5;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;1325;4490.602,-840.9081;Inherit;False;4;4;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;3;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.StandardSurfaceOutputNode;0;4724.58,-1068.255;Float;False;True;-1;7;ASEMaterialInspector;0;0;CustomLighting;Hanmen/Anisotropic Iridescent Specular Clothes Alpha;False;False;False;False;False;False;False;False;False;False;False;False;False;False;True;False;False;False;False;False;False;Off;0;True;1386;3;False;-1;False;0;False;-1;0;False;-1;False;0;Custom;0.5;True;True;0;True;Transparent;2600;Transparent;All;6;d3d9;d3d11_9x;d3d11;glcore;gles;gles3;True;True;True;True;0;False;-1;False;0;False;-1;255;False;-1;255;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;False;0;32;1;2;True;1;True;2;5;True;1384;10;True;1385;0;5;False;-1;8;False;-1;0;False;-1;6;False;-1;0;False;0;0,0,0,0;VertexOffset;True;False;Cylindrical;False;Relative;0;;-1;-1;-1;-1;0;False;0;0;True;1210;-1;0;True;660;0;0;0;False;0.1;False;-1;0;False;-1;True;15;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;3;FLOAT3;0,0,0;False;4;FLOAT;0;False;6;FLOAT3;0,0,0;False;7;FLOAT3;0,0,0;False;8;FLOAT;0;False;9;FLOAT;0;False;10;FLOAT;0;False;13;FLOAT3;0,0,0;False;11;FLOAT3;0,0,0;False;12;FLOAT3;0,0,0;False;14;FLOAT4;0,0,0,0;False;15;FLOAT3;0,0,0;False;0
WireConnection;1387;1;1381;557
WireConnection;1388;0;1387;0
WireConnection;1388;1;1381;0
WireConnection;1388;2;1381;788
WireConnection;1373;0;1388;0
WireConnection;1373;1;1381;788
WireConnection;1382;0;1381;558
WireConnection;1365;329;1381;0
WireConnection;1365;330;1373;1
WireConnection;1365;327;1381;557
WireConnection;1365;328;1381;749
WireConnection;1365;316;1381;560
WireConnection;1365;322;1381;752
WireConnection;1365;319;1381;750
WireConnection;1365;318;1381;751
WireConnection;1365;317;1381;561
WireConnection;1390;1;1381;0
WireConnection;1390;11;1381;557
WireConnection;1390;25;1381;748
WireConnection;1324;42;1381;557
WireConnection;1324;23;1381;759
WireConnection;1324;44;1381;561
WireConnection;1389;6;1381;0
WireConnection;1389;26;1381;557
WireConnection;1389;43;1381;562
WireConnection;1389;46;1381;785
WireConnection;1383;0;1382;0
WireConnection;1325;0;1365;0
WireConnection;1325;1;1324;0
WireConnection;1325;2;1389;0
WireConnection;1325;3;1390;0
WireConnection;0;2;1383;0
WireConnection;0;9;1381;815
WireConnection;0;10;1381;814
WireConnection;0;13;1325;0
ASEEND*/
//CHKSM=FF2B122BD61D7F693B1A4B887F52FE9A6F9158FC