// Made with Amplify Shader Editor
// Available at the Unity Asset Store - http://u3d.as/y3X 
Shader "Hanmen/Anisotropic Iridescent Specular Item Alpha"
{
	Properties
	{
		[IntRange]_CullMode("CullMode", Range( 0 , 2)) = 0
		_TransmissionShadow("TransmissionShadow", Range( 0 , 1)) = 1
		[Header(Iridescence)][NoScaleOffset]_ColorRamp("ColorRamp", 2D) = "white" {}
		_IriHue("Hue", Range( 0 , 1)) = 0
		_IriSaturation("Saturation", Range( 0 , 1)) = 0.5
		[NoScaleOffset][Header(Packed (R_Gloss G_Emission B_MetallicMask))]_MetallicGlossMap("MetallicGlossMap", 2D) = "white" {}
		_IriBrightness("Brightness", Range( 0 , 1)) = 0.5
		_IriContrast("Contrast", Range( 0 , 1)) = 0.5
		[Header(Translucency)]_TransNormalDistortion("Normal Distortion", Range( 0 , 1)) = 0
		_TransScattering("Scattering Faloff", Range( 1 , 50)) = 1
		_TransDirect("Direct", Range( 0 , 1)) = 0
		_TransAmbient("Ambient", Range( 0 , 1)) = 0
		_Shadow("Shadow", Range( 0 , 1)) = 1
		_FuzzColor("Fuzz Color", Color) = (1,1,1,1)
		_FuzzRange("Fuzz Range", Range( 1 , 5)) = 1
		_FuzzBias("Fuzz Bias", Range( 0 , 1)) = 0
		_FuzzWrap("FuzzWrap", Range( 0 , 1)) = 0
		[NoScaleOffset][Header (RGB Color A Cutoff)]_MainTex("MainTex", 2D) = "white" {}
		[NoScaleOffset]_ColorMask("ColorMask", 2D) = "black" {}
		[NoScaleOffset]_BumpMap("BumpMap", 2D) = "bump" {}
		[NoScaleOffset][Header (R_Detail1 G_Detail2)]_DetailMask("DetailMask", 2D) = "white" {}
		[NoScaleOffset][Header (Detail1)]_DetailGlossMap("DetailGlossMap", 2D) = "white" {}
		[NoScaleOffset][Header (Detail2)]_DetailGlossMap2("DetailGlossMap2", 2D) = "white" {}
		[NoScaleOffset]_OcclusionMap("OcclusionMap", 2D) = "white" {}
		_BaseColor("BaseColor", Color) = (1,1,1,1)
		_Color("Color", Color) = (1,1,1,1)
		[HDR][NoScaleOffset][Normal]_TangentMap1("TangentMap", 2D) = "bump" {}
		_Color2("Color2", Color) = (1,1,1,1)
		[NoScaleOffset]_FuzzTex("FuzzTex", 2D) = "black" {}
		_Color3("Color3", Color) = (1,1,1,1)
		_Color4("Color4", Color) = (1,1,1,1)
		_EmissionColor("EmissionColor", Color) = (0,0,0,1)
		_DetailUV("DetailUV", Vector) = (1,1,0,0)
		_DetailUV2("DetailUV2", Vector) = (1,1,0,0)
		_DetailUVRotator("DetailUVRotator", Range( -1 , 1)) = 0
		_DetailUV2Rotator("DetailUV2Rotator", Range( -1 , 1)) = 0
		_FuzzUV("FuzzUV", Vector) = (1,1,0,0)
		_CarvatureStrength("CarvatureStrength", Range( 0 , 1)) = 0
		[Header (Bump)]_Float0("Float0", Range( 0 , 3)) = 1
		[Header(Detail Settings)]_DetailNormalMapScale("DetailNormalMapScale", Range( 0 , 9)) = 1
		_DetailNormalMapScale2("DetailNormalMapScale2", Range( 0 , 9)) = 1
		_DetailGlossScale("DetailGlossScale", Range( 0 , 1)) = 0
		_DetailGlossScale2("DetailGlossScale2", Range( 0 , 1)) = 0
		_Anisotropy("Anisotropy", Range( 0 , 1)) = 1
		_DetailMetallicScale("DetailMetallicScale", Range( 0 , 1)) = 0
		_DetailMetallicScale2("DetailMetallicScale2", Range( 0 , 1)) = 1
		_DetailOcculusionScale("DetailOcculusionScale", Range( 0 , 1)) = 0
		_DetailOcculusionScale2("DetailOcculusionScale2", Range( 0 , 1)) = 0
		[Header (Emission (Tex Required))]_EmissionStrength("EmissionStrength", Range( 0 , 20)) = 1
		[Header (Color Mask Required (Optional))][Toggle(_EMISSIONCOLOR2_ON)] _EmissionColor2("Color1 is Emissive", Float) = 0
		[Toggle(_EMISSIONCOLOR3_ON)] _EmissionColor3("Color2 is Emissive", Float) = 0
		[Toggle(_EMISSIONCOLOR4_ON)] _EmissionColor4("Color3 is Emissive", Float) = 0
		[Header (Ambient Occlusion)]_OcculusionStrength("OcculusionStrength", Range( 0 , 1)) = 1
		[Header (Glossiness Roughness)]_Glossiness("Glossiness", Range( 0 , 1)) = 0
		_Glossiness2("Glossiness2", Range( 0 , 1)) = 0
		_Glossiness3("Glossiness3", Range( 0 , 1)) = 0
		_TangentUV("TangentUV", Vector) = (1,1,0,0)
		_Glossiness4("Glossiness4", Range( 0 , 1)) = 0
		_Roughness("Roughness", Range( 0 , 1)) = 1
		_Roughness2("Roughness2", Range( 0 , 1)) = 1
		_Roughness3("Roughness3", Range( 0 , 1)) = 1
		_Roughness4("Roughness4", Range( 0 , 1)) = 1
		[Header (Metallic Maps)]_Metallic("Metallic", Range( 0 , 1)) = 0
		_Metallic2("Metallic2", Range( 0 , 1)) = 0
		_Metallic3("Metallic3", Range( 0 , 1)) = 0
		_Metallic4("Metallic4", Range( 0 , 1)) = 0
		_MetallicMask("MetallicMask", Range( 0 , 1)) = 1
		_MetallicMask2("MetallicMask2", Range( 0 , 1)) = 1
		_MetallicMask3("MetallicMask3", Range( 0 , 1)) = 1
		_MetallicMask4("MetallicMask4", Range( 0 , 1)) = 1
		[Header(Wetness)]_ExGloss("ExGloss", Range( 0 , 1)) = 0
		_WetnessPower("WetnessPower", Range( 0 , 2)) = 0.8
		_WetAlbedoOffset("WetAlbedoOffset", Range( 0 , 1)) = 0.6
		[HideInInspector][Header(Translucency)]_Translucency("Translucency", Range( 0 , 50)) = 1
		[Header(Backface Settings)][Toggle]_NormalBackDirInvert("Backface Normal Direction Invert", Range( 0 , 1)) = 0
		_TransmissionStrength("TransmissionStrength", Range( 0 , 5)) = 0
		_AnistropyContrast("AnistropyContrast", Range( 0 , 1)) = 0.5
		_DetailTangent("DetailTangent", Range( 0 , 1)) = 0
		_DetailTangent2("DetailTangent2", Range( 0 , 1)) = 0
		_Reflections("Reflections", Range( 0 , 1)) = 1
		[Header(Cutout Setting)]_Cutoff("Cutoff", Range( 0 , 1)) = 0.1
		[Header(Blending Options)][IntRange]_BlendSCR("BlendSCR", Range( 1 , 11)) = 5
		[IntRange]_BlendDST("BlendDST", Range( 1 , 11)) = 11
		[Header(Depth Setting)][Toggle]_ZWrite("ZWrite", Range( 0 , 1)) = 1
		[HideInInspector] _texcoord( "", 2D ) = "white" {}
		[HideInInspector] __dirty( "", Int ) = 1
	}

	SubShader
	{
		Tags{ "RenderType" = "Transparent"  "Queue" = "Transparent+5" "IgnoreProjector" = "True" "IsEmissive" = "true"  }
		Cull [_CullMode]
		ZWrite [_ZWrite]
		ZTest LEqual
		Blend [_BlendSCR] [_BlendDST]
		
		CGINCLUDE
		#include "UnityPBSLighting.cginc"
		#include "UnityStandardUtils.cginc"
		#include "UnityCG.cginc"
		#include "UnityShaderVariables.cginc"
		#include "Lighting.cginc"
		#pragma target 5.0
		#pragma shader_feature _EMISSIONCOLOR4_ON
		#pragma shader_feature _EMISSIONCOLOR3_ON
		#pragma shader_feature _EMISSIONCOLOR2_ON
		#define ASE_USING_SAMPLING_MACROS 1
		#if defined(SHADER_API_D3D11) || defined(SHADER_API_XBOXONE) || defined(UNITY_COMPILER_HLSLCC) || defined(SHADER_API_PSSL) || (defined(SHADER_TARGET_SURFACE_ANALYSIS) && !defined(SHADER_TARGET_SURFACE_ANALYSIS_MOJOSHADER))//ASE Sampler Macros
		#define SAMPLE_TEXTURE2D(tex,samplerTex,coord) tex.Sample(samplerTex,coord)
		#define SAMPLE_TEXTURE2D_LOD(tex,samplerTex,coord,lod) tex.SampleLevel(samplerTex,coord, lod)
		#define SAMPLE_TEXTURE2D_BIAS(tex,samplerTex,coord,bias) tex.SampleBias(samplerTex,coord,bias)
		#define SAMPLE_TEXTURE2D_GRAD(tex,samplerTex,coord,ddx,ddy) tex.SampleGrad(samplerTex,coord,ddx,ddy)
		#else//ASE Sampling Macros
		#define SAMPLE_TEXTURE2D(tex,samplerTex,coord) tex2D(tex,coord)
		#define SAMPLE_TEXTURE2D_LOD(tex,samplerTex,coord,lod) tex2Dlod(tex,float4(coord,0,lod))
		#define SAMPLE_TEXTURE2D_BIAS(tex,samplerTex,coord,bias) tex2Dbias(tex,float4(coord,0,bias))
		#define SAMPLE_TEXTURE2D_GRAD(tex,samplerTex,coord,ddx,ddy) tex2Dgrad(tex,coord,ddx,ddy)
		#endif//ASE Sampling Macros

		#ifdef UNITY_PASS_SHADOWCASTER
			#undef INTERNAL_DATA
			#undef WorldReflectionVector
			#undef WorldNormalVector
			#define INTERNAL_DATA half3 internalSurfaceTtoW0; half3 internalSurfaceTtoW1; half3 internalSurfaceTtoW2;
			#define WorldReflectionVector(data,normal) reflect (data.worldRefl, half3(dot(data.internalSurfaceTtoW0,normal), dot(data.internalSurfaceTtoW1,normal), dot(data.internalSurfaceTtoW2,normal)))
			#define WorldNormalVector(data,normal) half3(dot(data.internalSurfaceTtoW0,normal), dot(data.internalSurfaceTtoW1,normal), dot(data.internalSurfaceTtoW2,normal))
		#endif
		struct Input
		{
			float2 uv_texcoord;
			float3 worldNormal;
			INTERNAL_DATA
			half ASEVFace : VFACE;
			float3 worldPos;
		};

		struct SurfaceOutputCustomLightingCustom
		{
			half3 Albedo;
			half3 Normal;
			half3 Emission;
			half Metallic;
			half Smoothness;
			half Occlusion;
			half Alpha;
			Input SurfInput;
			UnityGIInput GIData;
		};

		uniform float _WetnessPower;
		uniform float _DetailMetallicScale2;
		uniform float _DetailTangent;
		uniform float4 _Color3;
		uniform float4 _Color2;
		uniform float4 _Color;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_DetailGlossMap);
		SamplerState sampler_DetailGlossMap;
		uniform float _ExGloss;
		uniform float4 _TangentUV;
		uniform float4 _Color4;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_MetallicGlossMap);
		SamplerState sampler_TextureSample20;
		uniform float _Metallic;
		uniform float _Roughness2;
		uniform float4 _FuzzUV;
		uniform float _DetailNormalMapScale;
		uniform float _Metallic3;
		uniform float _Roughness3;
		uniform float _CarvatureStrength;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_DetailGlossMap2);
		SamplerState sampler_DetailGlossMap2;
		uniform float _Metallic2;
		uniform float _WetAlbedoOffset;
		uniform float _Float0;
		uniform float _Roughness;
		uniform float _EmissionStrength;
		SamplerState sampler_MetallicGlossMap;
		uniform float _MetallicMask;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_BumpMap);
		SamplerState sampler_BumpMap;
		uniform float _DetailGlossScale2;
		uniform float _Metallic4;
		uniform float _MetallicMask3;
		uniform float4 _BaseColor;
		uniform float _DetailMetallicScale;
		uniform float _Glossiness2;
		uniform float _Glossiness3;
		uniform float _Glossiness;
		uniform float _MetallicMask2;
		uniform float _DetailUV2Rotator;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_OcclusionMap);
		SamplerState sampler_OcclusionMap;
		uniform float _DetailNormalMapScale2;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_TangentMap1);
		SamplerState sampler_TangentMap1;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_DetailMask);
		SamplerState sampler_DetailMask;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_MainTex);
		SamplerState sampler_MainTex;
		uniform float _TransmissionStrength;
		uniform float _DetailUVRotator;
		uniform float _DetailGlossScale;
		uniform float2 _DetailUV2;
		uniform float _AnistropyContrast;
		uniform float4 _EmissionColor;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_FuzzTex);
		SamplerState sampler_FuzzTex;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_ColorMask);
		SamplerState sampler_ColorMask;
		uniform float2 _DetailUV;
		uniform float _DetailTangent2;
		uniform float _Translucency;
		uniform float _Anisotropy;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_ColorRamp);
		SamplerState sampler_ColorRamp;
		uniform float _IriSaturation;
		uniform float _IriContrast;
		uniform float _IriBrightness;
		uniform float _IriHue;
		uniform float _FuzzBias;
		uniform float _FuzzRange;
		uniform float4 _FuzzColor;
		uniform float _FuzzWrap;
		uniform float _TransDirect;
		uniform float _Shadow;
		uniform float _TransScattering;
		uniform float _TransAmbient;
		uniform float _TransNormalDistortion;
		uniform float _TransmissionShadow;
		uniform float _Cutoff;
		uniform float _BlendDST;
		uniform float _BlendSCR;
		uniform float _CullMode;
		uniform half _ZWrite;
		uniform float _NormalBackDirInvert;
		SamplerState sampler_trilinear_repeat;
		uniform float _OcculusionStrength;
		uniform float _DetailOcculusionScale;
		uniform float _DetailOcculusionScale2;
		uniform float _Glossiness4;
		uniform float _Roughness4;
		uniform float _Reflections;
		uniform float _MetallicMask4;


		float3 FresnelLerp246_g106( half3 F0, half3 F90, half cosA )
		{
			 return FresnelLerp(F0, F90, cosA);
		}


		half MyCustomExpression113_g106( half input )
		{
			return RoughnessToSpecPower(input);
		}


		float Pow5179_g106( float x )
		{
			 return x*x * x*x * x;
		}


		inline half4 LightingStandardCustomLighting( inout SurfaceOutputCustomLightingCustom s, half3 viewDir, UnityGI gi )
		{
			UnityGIInput data = s.GIData;
			Input i = s.SurfInput;
			half4 c = 0;
			#ifdef UNITY_PASS_FORWARDBASE
			float ase_lightAtten = data.atten;
			if( _LightColor0.a == 0)
			ase_lightAtten = 0;
			#else
			float3 ase_lightAttenRGB = gi.light.color / ( ( _LightColor0.rgb ) + 0.000001 );
			float ase_lightAtten = max( max( ase_lightAttenRGB.r, ase_lightAttenRGB.g ), ase_lightAttenRGB.b );
			#endif
			#if defined(HANDLE_SHADOWS_BLENDING_IN_GI)
			half bakedAtten = UnitySampleBakedOcclusion(data.lightmapUV.xy, data.worldPos);
			float zDist = dot(_WorldSpaceCameraPos - data.worldPos, UNITY_MATRIX_V[2].xyz);
			float fadeDist = UnityComputeShadowFadeDistance(data.worldPos, zDist);
			ase_lightAtten = UnityMixRealtimeAndBakedShadows(data.atten, bakedAtten, UnityComputeShadowFade(fadeDist));
			#endif
			float2 uv_MainTex119_g90 = i.uv_texcoord;
			float4 tex2DNode119_g90 = SAMPLE_TEXTURE2D( _MainTex, sampler_MainTex, uv_MainTex119_g90 );
			float AlphaInput137_g90 = tex2DNode119_g90.a;
			float Color1Alpha101_g90 = _Color.a;
			float2 uv_ColorMask86_g90 = i.uv_texcoord;
			float4 tex2DNode86_g90 = SAMPLE_TEXTURE2D( _ColorMask, sampler_ColorMask, uv_ColorMask86_g90 );
			float ColorMask199_g90 = ( 1.0 - ( tex2DNode86_g90.r + tex2DNode86_g90.g + tex2DNode86_g90.b ) );
			float Color2Alpha97_g90 = _Color2.a;
			float ColorMask296_g90 = tex2DNode86_g90.r;
			float Color3Alpha98_g90 = _Color3.a;
			float ColorMask3102_g90 = tex2DNode86_g90.g;
			float Color4Alpha100_g90 = _Color4.a;
			float ColorMask494_g90 = tex2DNode86_g90.b;
			float3 ase_worldTangent = WorldNormalVector( i, float3( 1, 0, 0 ) );
			float3 tan21_g106 = ase_worldTangent;
			float3 ase_worldBitangent = WorldNormalVector( i, float3( 0, 1, 0 ) );
			float3 bittan24_g106 = ase_worldBitangent;
			float2 uv_BumpMap180_g90 = i.uv_texcoord;
			float2 uv_TexCoord76_g90 = i.uv_texcoord * _DetailUV;
			float cos78_g90 = cos( ( _DetailUVRotator * UNITY_PI ) );
			float sin78_g90 = sin( ( _DetailUVRotator * UNITY_PI ) );
			float2 rotator78_g90 = mul( uv_TexCoord76_g90 - float2( 0.5,0.5 ) , float2x2( cos78_g90 , -sin78_g90 , sin78_g90 , cos78_g90 )) + float2( 0.5,0.5 );
			float2 Detail1UV79_g90 = rotator78_g90;
			float2 break13_g90 = Detail1UV79_g90;
			float temp_output_14_0_g90 = ( pow( 0.25 , 2.0 ) * 0.1 );
			float2 appendResult24_g90 = (float2(( break13_g90.x + temp_output_14_0_g90 ) , break13_g90.y));
			float4 tex2DNode85_g90 = SAMPLE_TEXTURE2D( _DetailGlossMap, sampler_trilinear_repeat, Detail1UV79_g90 );
			float2 uv_DetailMask81_g90 = i.uv_texcoord;
			float4 tex2DNode81_g90 = SAMPLE_TEXTURE2D( _DetailMask, sampler_DetailMask, uv_DetailMask81_g90 );
			float DetailMask183_g90 = tex2DNode81_g90.r;
			float temp_output_42_0_g90 = ( DetailMask183_g90 * _DetailNormalMapScale );
			float3 appendResult56_g90 = (float3(1.0 , 0.0 , ( ( SAMPLE_TEXTURE2D( _DetailGlossMap, sampler_trilinear_repeat, appendResult24_g90 ).g - tex2DNode85_g90.g ) * temp_output_42_0_g90 )));
			float2 appendResult27_g90 = (float2(break13_g90.x , ( break13_g90.y + temp_output_14_0_g90 )));
			float3 appendResult58_g90 = (float3(0.0 , 1.0 , ( ( SAMPLE_TEXTURE2D( _DetailGlossMap, sampler_trilinear_repeat, appendResult27_g90 ).g - tex2DNode85_g90.g ) * temp_output_42_0_g90 )));
			float3 normalizeResult66_g90 = normalize( cross( appendResult56_g90 , appendResult58_g90 ) );
			float3 DetailNormal171_g90 = normalizeResult66_g90;
			float2 uv_TexCoord7_g90 = i.uv_texcoord * _DetailUV2;
			float cos10_g90 = cos( ( _DetailUV2Rotator * UNITY_PI ) );
			float sin10_g90 = sin( ( _DetailUV2Rotator * UNITY_PI ) );
			float2 rotator10_g90 = mul( uv_TexCoord7_g90 - float2( 0.5,0.5 ) , float2x2( cos10_g90 , -sin10_g90 , sin10_g90 , cos10_g90 )) + float2( 0.5,0.5 );
			float2 Detail2UV12_g90 = rotator10_g90;
			float2 break20_g90 = Detail2UV12_g90;
			float temp_output_21_0_g90 = ( pow( 0.25 , 2.0 ) * 0.1 );
			float2 appendResult32_g90 = (float2(( break20_g90.x + temp_output_21_0_g90 ) , break20_g90.y));
			float4 tex2DNode41_g90 = SAMPLE_TEXTURE2D( _DetailGlossMap2, sampler_trilinear_repeat, Detail2UV12_g90 );
			float DetailMask284_g90 = tex2DNode81_g90.g;
			float temp_output_49_0_g90 = ( DetailMask284_g90 * _DetailNormalMapScale2 );
			float3 appendResult63_g90 = (float3(1.0 , 0.0 , ( ( SAMPLE_TEXTURE2D( _DetailGlossMap2, sampler_trilinear_repeat, appendResult32_g90 ).g - tex2DNode41_g90.g ) * temp_output_49_0_g90 )));
			float2 appendResult31_g90 = (float2(break20_g90.x , ( break20_g90.y + temp_output_21_0_g90 )));
			float3 appendResult64_g90 = (float3(0.0 , 1.0 , ( ( SAMPLE_TEXTURE2D( _DetailGlossMap2, sampler_trilinear_repeat, appendResult31_g90 ).g - tex2DNode41_g90.g ) * temp_output_49_0_g90 )));
			float3 normalizeResult70_g90 = normalize( cross( appendResult63_g90 , appendResult64_g90 ) );
			float3 DetailNormal272_g90 = normalizeResult70_g90;
			float3 normalizeResult262_g90 = normalize( BlendNormals( BlendNormals( UnpackScaleNormal( SAMPLE_TEXTURE2D( _BumpMap, sampler_BumpMap, uv_BumpMap180_g90 ), _Float0 ) , DetailNormal171_g90 ) , DetailNormal272_g90 ) );
			float3 switchResult303_g90 = (((i.ASEVFace>0)?(normalizeResult262_g90):(-normalizeResult262_g90)));
			float3 NormalMix321_g90 = ( _NormalBackDirInvert == 1.0 ? switchResult303_g90 : normalizeResult262_g90 );
			float3 temp_output_1449_342 = NormalMix321_g90;
			float3 temp_output_327_0_g106 = temp_output_1449_342;
			float3 normalLocal11_g106 = temp_output_327_0_g106;
			float3 newWorldNormal13_g106 = normalize( (WorldNormalVector( i , normalLocal11_g106 )) );
			float3 normalDir22_g106 = newWorldNormal13_g106;
			float3x3 tangentTransform31_g106 = float3x3(tan21_g106, bittan24_g106, normalDir22_g106);
			float3x3 tangentToWorld42_g106 = transpose( tangentTransform31_g106 );
			float3 hTangent53_g106 = mul( tangentToWorld42_g106, float3(0,1,0) );
			float3 lerpResult62_g106 = lerp( tan21_g106 , hTangent53_g106 , _Anisotropy);
			float3 Tangent64_g106 = lerpResult62_g106;
			float AnisotropyRGContrastvar356_g90 = _AnistropyContrast;
			float2 appendResult351_g90 = (float2(_TangentUV.x , _TangentUV.y));
			float2 appendResult353_g90 = (float2(_TangentUV.z , _TangentUV.w));
			float2 uv_TexCoord354_g90 = i.uv_texcoord * appendResult351_g90 + appendResult353_g90;
			float3 tex2DNode360_g90 = UnpackScaleNormal( SAMPLE_TEXTURE2D( _TangentMap1, sampler_trilinear_repeat, uv_TexCoord354_g90 ), AnisotropyRGContrastvar356_g90 );
			float3 lerpResult369_g90 = lerp( UnpackScaleNormal( float4( 0,0,1,1 ), AnisotropyRGContrastvar356_g90 ) , tex2DNode360_g90 , ( DetailMask183_g90 * _DetailTangent ));
			float3 lerpResult367_g90 = lerp( lerpResult369_g90 , tex2DNode360_g90 , ( DetailMask284_g90 * _DetailTangent2 ));
			float3 normalLocalAniso46_g106 = BlendNormals( lerpResult367_g90 , temp_output_327_0_g106 );
			float4 appendResult57_g106 = (float4((normalLocalAniso46_g106).xy , 0.0 , 0.0));
			float AnisotropyRGContrastvar30_g106 = AnisotropyRGContrastvar356_g90;
			float3 lerpResult67_g106 = lerp( Tangent64_g106 , (float4( mul( appendResult57_g106.xyz, tangentToWorld42_g106 ) , 0.0 )).xyz , AnisotropyRGContrastvar30_g106);
			float3 normalizeResult71_g106 = normalize( lerpResult67_g106 );
			float3 WorldTangent74_g106 = normalizeResult71_g106;
			float3 ase_worldPos = i.worldPos;
			#if defined(LIGHTMAP_ON) && UNITY_VERSION < 560 //aseld
			float3 ase_worldlightDir = 0;
			#else //aseld
			float3 ase_worldlightDir = Unity_SafeNormalize( UnityWorldSpaceLightDir( ase_worldPos ) );
			#endif //aseld
			float3 lightDir77_g106 = ase_worldlightDir;
			float dotResult86_g106 = dot( WorldTangent74_g106 , lightDir77_g106 );
			float tdotL94_g106 = dotResult86_g106;
			float temp_output_123_0_g106 = sqrt( ( 1.0 - ( tdotL94_g106 * tdotL94_g106 ) ) );
			float3 normalizeResult92_g106 = normalize( mul( normalLocal11_g106, tangentTransform31_g106 ) );
			float3 normalDirection101_g106 = normalizeResult92_g106;
			float dotResult115_g106 = dot( lightDir77_g106 , normalDirection101_g106 );
			float NdotL129_g106 = max( 0.0 , dotResult115_g106 );
			float diffuseLight220_g106 = ( temp_output_123_0_g106 * NdotL129_g106 );
			#if defined(LIGHTMAP_ON) && ( UNITY_VERSION < 560 || ( defined(LIGHTMAP_SHADOW_MIXING) && !defined(SHADOWS_SHADOWMASK) && defined(SHADOWS_SCREEN) ) )//aselc
			float4 ase_lightColor = 0;
			#else //aselc
			float4 ase_lightColor = _LightColor0;
			#endif //aselc
			float3 Diffuse263_g106 = ( saturate( diffuseLight220_g106 ) * ase_lightColor.rgb * ase_lightAtten );
			float3 normalizeResult169_g106 = normalize( mul( normalLocalAniso46_g106, tangentTransform31_g106 ) );
			float3 normalDirectionAniso183_g106 = normalizeResult169_g106;
			UnityGI gi337_g106 = gi;
			float3 diffNorm337_g106 = WorldNormalVector( i , normalDirectionAniso183_g106 );
			gi337_g106 = UnityGI_Base( data, 1, diffNorm337_g106 );
			float3 indirectDiffuse337_g106 = gi337_g106.indirect.diffuse + diffNorm337_g106 * 0.0001;
			float2 uv_OcclusionMap259_g90 = i.uv_texcoord;
			float lerpResult298_g90 = lerp( 1.0 , SAMPLE_TEXTURE2D( _OcclusionMap, sampler_OcclusionMap, uv_OcclusionMap259_g90 ).g , _OcculusionStrength);
			float Detail1148_g90 = SAMPLE_TEXTURE2D( _DetailGlossMap, sampler_trilinear_repeat, Detail1UV79_g90 ).r;
			float smoothstepResult266_g90 = smoothstep( 0.0 , 0.8 , Detail1148_g90);
			float lerpResult297_g90 = lerp( 1.0 , smoothstepResult266_g90 , ( _DetailOcculusionScale * DetailMask183_g90 ));
			float Detail2194_g90 = SAMPLE_TEXTURE2D( _DetailGlossMap2, sampler_trilinear_repeat, Detail2UV12_g90 ).r;
			float smoothstepResult274_g90 = smoothstep( 0.0 , 0.8 , Detail2194_g90);
			float lerpResult299_g90 = lerp( 1.0 , smoothstepResult274_g90 , ( _DetailOcculusionScale2 * DetailMask284_g90 ));
			float OcclusionMix323_g90 = saturate( ( lerpResult298_g90 * lerpResult297_g90 * lerpResult299_g90 ) );
			float temp_output_1449_346 = OcclusionMix323_g90;
			float AO193_g106 = temp_output_1449_346;
			float3 indirectLighting230_g106 = ( indirectDiffuse337_g106 * AO193_g106 );
			float3 temp_output_206_0_g90 = ( (tex2DNode119_g90).rgb * (_BaseColor).rgb );
			float3 Color1128_g90 = (_Color).rgb;
			float3 Color2121_g90 = (_Color2).rgb;
			float3 Color3123_g90 = (_Color3).rgb;
			float3 Color4136_g90 = (_Color4).rgb;
			float3 temp_cast_2 = (1.0).xxx;
			float2 uv_OcclusionMap186_g90 = i.uv_texcoord;
			float Carvature197_g90 = SAMPLE_TEXTURE2D( _OcclusionMap, sampler_OcclusionMap, uv_OcclusionMap186_g90 ).r;
			float3 lerpResult289_g90 = lerp( ( ( temp_output_206_0_g90 * Color1128_g90 * ColorMask199_g90 ) + ( Color2121_g90 * ColorMask296_g90 * temp_output_206_0_g90 ) + ( Color3123_g90 * ColorMask3102_g90 * temp_output_206_0_g90 ) + ( Color4136_g90 * ColorMask494_g90 * temp_output_206_0_g90 ) ) , temp_cast_2 , ( Carvature197_g90 * _CarvatureStrength ));
			float ExGloss255_g90 = _ExGloss;
			float3 lerpResult313_g90 = lerp( lerpResult289_g90 , ( lerpResult289_g90 * _WetAlbedoOffset ) , ExGloss255_g90);
			float3 DiffuseMix326_g90 = lerpResult313_g90;
			float3 temp_output_1449_345 = DiffuseMix326_g90;
			float3 Albedo269_g106 = temp_output_1449_345;
			float3 indirectNormal323_g106 = WorldNormalVector( i , normalDirectionAniso183_g106 );
			float2 uv_MetallicGlossMap139_g90 = i.uv_texcoord;
			float4 tex2DNode139_g90 = SAMPLE_TEXTURE2D( _MetallicGlossMap, sampler_MetallicGlossMap, uv_MetallicGlossMap139_g90 );
			float lerpResult143_g90 = lerp( 1.0 , tex2DNode139_g90.r , _Roughness);
			float Glossiness1153_g90 = _Glossiness;
			float lerpResult158_g90 = lerp( 1.0 , tex2DNode139_g90.r , _Roughness2);
			float Glossiness2152_g90 = _Glossiness2;
			float lerpResult157_g90 = lerp( 1.0 , tex2DNode139_g90.r , _Roughness3);
			float Glossiness3154_g90 = _Glossiness3;
			float lerpResult187_g90 = lerp( 1.0 , tex2DNode139_g90.r , _Roughness4);
			float lerpResult230_g90 = lerp( ( ( lerpResult143_g90 * Glossiness1153_g90 * ColorMask199_g90 ) + ( lerpResult158_g90 * Glossiness2152_g90 * ColorMask296_g90 ) + ( lerpResult157_g90 * Glossiness3154_g90 * ColorMask3102_g90 ) ) , ( _Glossiness4 * lerpResult187_g90 ) , ColorMask494_g90);
			float lerpResult305_g90 = lerp( ( ( lerpResult230_g90 - ( ( 1.0 - Detail1148_g90 ) * ( _DetailGlossScale * DetailMask183_g90 ) ) ) - ( ( 1.0 - Detail2194_g90 ) * ( _DetailGlossScale2 * DetailMask284_g90 ) ) ) , 1.0 , ( _WetnessPower * ExGloss255_g90 ));
			float GlossinessFinal327_g90 = saturate( lerpResult305_g90 );
			float lerpResult352_g90 = lerp( 0.0 , GlossinessFinal327_g90 , _Reflections);
			float temp_output_322_0_g106 = lerpResult352_g90;
			Unity_GlossyEnvironmentData g323_g106 = UnityGlossyEnvironmentSetup( temp_output_322_0_g106, data.worldViewDir, indirectNormal323_g106, float3(0,0,0));
			float3 indirectSpecular323_g106 = UnityGI_IndirectSpecular( data, AO193_g106, indirectNormal323_g106, g323_g106 );
			float3 ase_worldViewDir = Unity_SafeNormalize( UnityWorldSpaceViewDir( ase_worldPos ) );
			float3 ase_worldNormal = WorldNormalVector( i, float3( 0, 0, 1 ) );
			float3x3 ase_worldToTangent = float3x3( ase_worldTangent, ase_worldBitangent, ase_worldNormal );
			float3 ase_tanViewDir = mul( ase_worldToTangent, ase_worldViewDir );
			float dotResult7_g91 = dot( ase_tanViewDir , temp_output_1449_342 );
			float2 temp_cast_3 = (dotResult7_g91).xx;
			float3 temp_output_12_0_g91 = (SAMPLE_TEXTURE2D( _ColorRamp, sampler_ColorRamp, temp_cast_3 )).rgb;
			float temp_output_10_0_g91 = radians( ( 360.0 * _IriHue ) );
			float temp_output_13_0_g91 = cos( temp_output_10_0_g91 );
			float3 _k7 = float3(0.57735,0.57735,0.57735);
			float dotResult14_g91 = dot( _k7 , temp_output_12_0_g91 );
			float3 temp_output_32_0_g91 = ( ( ( ( ( ( temp_output_12_0_g91 * temp_output_13_0_g91 ) + ( cross( _k7 , temp_output_12_0_g91 ) * sin( temp_output_10_0_g91 ) ) + ( _k7 * dotResult14_g91 * ( 1.0 - temp_output_13_0_g91 ) ) ) - float3( 0.5,0.5,0.5 ) ) * ( _IriContrast * 2.0 ) ) + float3( 0.5,0.5,0.5 ) ) + ( ( _IriBrightness * 2.0 ) - 1.0 ) );
			float dotResult34_g91 = dot( temp_output_32_0_g91 , float3(0.39,0.59,0.11) );
			float3 temp_cast_4 = (dotResult34_g91).xxx;
			float3 lerpResult35_g91 = lerp( temp_cast_4 , temp_output_32_0_g91 , ( _IriSaturation * 2.0 ));
			float3 blendOpSrc1445 = lerpResult35_g91;
			float3 blendOpDest1445 = temp_output_1449_345;
			float lerpResult167_g90 = lerp( 1.0 , tex2DNode139_g90.b , _MetallicMask);
			float lerpResult193_g90 = lerp( 1.0 , tex2DNode139_g90.b , _MetallicMask2);
			float lerpResult181_g90 = lerp( 1.0 , tex2DNode139_g90.b , _MetallicMask3);
			float lerpResult208_g90 = lerp( 1.0 , tex2DNode139_g90.b , _MetallicMask4);
			float lerpResult281_g90 = lerp( ( ( lerpResult167_g90 * _Metallic * ColorMask199_g90 ) + ( lerpResult193_g90 * _Metallic2 * ColorMask296_g90 ) + ( lerpResult181_g90 * _Metallic3 * ColorMask3102_g90 ) ) , ( lerpResult208_g90 * _Metallic4 ) , ColorMask494_g90);
			float MetallicFinal328_g90 = saturate( ( ( lerpResult281_g90 - ( ( 1.0 - Detail1148_g90 ) * ( _DetailMetallicScale * DetailMask183_g90 ) ) ) - ( ( 1.0 - Detail2194_g90 ) * ( _DetailMetallicScale2 * DetailMask284_g90 ) ) ) );
			float temp_output_1449_340 = MetallicFinal328_g90;
			float3 lerpBlendMode1445 = lerp(blendOpDest1445,( 1.0 - ( ( 1.0 - blendOpDest1445) / max( blendOpSrc1445, 0.00001) ) ),temp_output_1449_340);
			half3 specColor1436 = (0).xxx;
			half oneMinusReflectivity1436 = 0;
			half3 diffuseAndSpecularFromMetallic1436 = DiffuseAndSpecularFromMetallic(( saturate( lerpBlendMode1445 )),temp_output_1449_340,specColor1436,oneMinusReflectivity1436);
			float3 SpecRGB151_g106 = specColor1436;
			float3 F0246_g106 = SpecRGB151_g106;
			float GrazingTerm239_g106 = saturate( temp_output_322_0_g106 );
			float3 temp_cast_5 = (GrazingTerm239_g106).xxx;
			float3 F90246_g106 = temp_cast_5;
			float3 viewDir75_g106 = ase_worldViewDir;
			float dotResult158_g106 = dot( normalDirection101_g106 , viewDir75_g106 );
			float NdotV184_g106 = max( 0.0 , dotResult158_g106 );
			float cosA246_g106 = NdotV184_g106;
			float3 localFresnelLerp246_g106 = FresnelLerp246_g106( F0246_g106 , F90246_g106 , cosA246_g106 );
			float3 switchResult338_g106 = (((i.ASEVFace>0)?(localFresnelLerp246_g106):(SpecRGB151_g106)));
			float3 indirectspecular268_g106 = ( indirectSpecular323_g106 * switchResult338_g106 );
			float dotResult90_g106 = dot( WorldTangent74_g106 , viewDir75_g106 );
			float TdotV95_g106 = dotResult90_g106;
			half input113_g106 = ( 1.0 - GlossinessFinal327_g90 );
			half localMyCustomExpression113_g106 = MyCustomExpression113_g106( input113_g106 );
			float SpecPower118_g106 = localMyCustomExpression113_g106;
			float Specular187_g106 = ( NdotL129_g106 * pow( saturate( ( ( temp_output_123_0_g106 * sqrt( ( 1.0 - ( TdotV95_g106 * TdotV95_g106 ) ) ) ) - ( tdotL94_g106 * TdotV95_g106 ) ) ) , SpecPower118_g106 ) );
			float temp_output_147_0_g106 = ( SpecPower118_g106 + 1.0 );
			float normalization194_g106 = ( sqrt( ( temp_output_147_0_g106 * temp_output_147_0_g106 ) ) / ( 8.0 * UNITY_PI ) );
			float3 normalizeResult103_g106 = normalize( ( lightDir77_g106 + viewDir75_g106 ) );
			float3 HalfDirection104_g106 = normalizeResult103_g106;
			float dotResult120_g106 = dot( lightDir77_g106 , HalfDirection104_g106 );
			float LdotH139_g106 = max( 0.0 , dotResult120_g106 );
			float x179_g106 = ( 1.0 - LdotH139_g106 );
			float localPow5179_g106 = Pow5179_g106( x179_g106 );
			float3 Specular_A227_g106 = ( Specular187_g106 * normalization194_g106 * ( ( localPow5179_g106 * ( 1.0 - SpecRGB151_g106 ) ) + SpecRGB151_g106 ) );
			float3 directSpecular265_g106 = ( Specular_A227_g106 * ase_lightColor.rgb * ase_lightAtten * AO193_g106 );
			float3 normalLocal46_g104 = temp_output_1449_342;
			float3 viewDir41_g104 = ase_worldViewDir;
			float dotResult38_g104 = dot( normalize( (WorldNormalVector( i , normalLocal46_g104 )) ) , viewDir41_g104 );
			float NdotV34_g104 = max( 0.0 , dotResult38_g104 );
			float2 appendResult355_g90 = (float2(_FuzzUV.x , _FuzzUV.y));
			float2 appendResult376_g90 = (float2(_FuzzUV.z , _FuzzUV.w));
			float2 uv_TexCoord357_g90 = i.uv_texcoord * appendResult355_g90 + appendResult376_g90;
			float AO43_g104 = temp_output_1449_346;
			float3 temp_output_7_0_g104 = (_FuzzColor).rgb;
			UnityGI gi45_g104 = gi;
			float3 diffNorm45_g104 = WorldNormalVector( i , normalLocal46_g104 );
			gi45_g104 = UnityGI_Base( data, 1, diffNorm45_g104 );
			float3 indirectDiffuse45_g104 = gi45_g104.indirect.diffuse + diffNorm45_g104 * 0.0001;
			float3 lightDir53_g104 = ase_worldlightDir;
			float dotResult52_g104 = dot( lightDir53_g104 , normalLocal46_g104 );
			float NdotL50_g104 = max( 0.0 , dotResult52_g104 );
			float temp_output_30_0_g104 = ( _FuzzWrap + 1.0 );
			float WrappedDiffuse27_g104 = ( saturate( ( NdotL50_g104 + _FuzzWrap ) ) / ( temp_output_30_0_g104 * temp_output_30_0_g104 ) );
			float3 FuzzLighting15_g104 = ( ( pow( exp2( -NdotV34_g104 ) , _FuzzRange ) + _FuzzBias ) * ( ( (SAMPLE_TEXTURE2D( _FuzzTex, sampler_FuzzTex, uv_TexCoord357_g90 ).rgb).xyz * AO43_g104 ) * ( ( temp_output_7_0_g104 * indirectDiffuse45_g104 ) + ( temp_output_7_0_g104 * WrappedDiffuse27_g104 * ase_lightColor.rgb * ase_lightAtten ) ) ) );
			float3 newWorldNormal27_g105 = (WorldNormalVector( i , temp_output_1449_342 ));
			float dotResult20_g105 = dot( ase_worldViewDir , -( ( newWorldNormal27_g105 * _TransNormalDistortion ) + ase_worldlightDir ) );
			UnityGI gi15_g105 = gi;
			float3 diffNorm15_g105 = newWorldNormal27_g105;
			gi15_g105 = UnityGI_Base( data, 1, diffNorm15_g105 );
			float3 indirectDiffuse15_g105 = gi15_g105.indirect.diffuse + diffNorm15_g105 * 0.0001;
			float3 lerpResult39_g105 = lerp( ase_lightColor.rgb , ( ase_lightColor.rgb * ase_lightAtten ) , _Shadow);
			float dotResult9_g107 = dot( normalize( (WorldNormalVector( i , temp_output_1449_342 )) ) , ase_worldlightDir );
			float3 lerpResult21_g107 = lerp( ase_lightColor.rgb , ( ase_lightColor.rgb * ase_lightAtten ) , _TransmissionShadow);
			c.rgb = ( ( ( ( Diffuse263_g106 + indirectLighting230_g106 ) * Albedo269_g106 * AO193_g106 ) + ( indirectspecular268_g106 + directSpecular265_g106 ) ) + ( FuzzLighting15_g104 * AO43_g104 ) + ( temp_output_1449_345 * ( ( ( pow( saturate( dotResult20_g105 ) , _TransScattering ) * _TransDirect ) + ( indirectDiffuse15_g105 * _TransAmbient ) ) * ( _Translucency * 1.0 ) * lerpResult39_g105 ) ) + ( ( max( 0.0 , -dotResult9_g107 ) * lerpResult21_g107 * _TransmissionStrength ) * temp_output_1449_345 ) );
			c.a = saturate( ( AlphaInput137_g90 * ( ( Color1Alpha101_g90 * ColorMask199_g90 ) + ( Color2Alpha97_g90 * ColorMask296_g90 ) + ( Color3Alpha98_g90 * ColorMask3102_g90 ) + ( Color4Alpha100_g90 * ColorMask494_g90 ) ) ) );
			clip( AlphaInput137_g90 - _Cutoff );
			return c;
		}

		inline void LightingStandardCustomLighting_GI( inout SurfaceOutputCustomLightingCustom s, UnityGIInput data, inout UnityGI gi )
		{
			s.GIData = data;
		}

		void surf( Input i , inout SurfaceOutputCustomLightingCustom o )
		{
			o.SurfInput = i;
			o.Normal = float3(0,0,1);
			float2 uv_MetallicGlossMap139_g90 = i.uv_texcoord;
			float4 tex2DNode139_g90 = SAMPLE_TEXTURE2D( _MetallicGlossMap, sampler_MetallicGlossMap, uv_MetallicGlossMap139_g90 );
			float3 Color3123_g90 = (_Color3).rgb;
			float3 EC3204_g90 = ( Color3123_g90 * _EmissionStrength );
			#ifdef _EMISSIONCOLOR4_ON
				float3 staticSwitch271_g90 = EC3204_g90;
			#else
				float3 staticSwitch271_g90 = ( (_EmissionColor).rgb * _EmissionStrength );
			#endif
			float3 Color2121_g90 = (_Color2).rgb;
			float3 EC2238_g90 = ( Color2121_g90 * _EmissionStrength );
			#ifdef _EMISSIONCOLOR3_ON
				float3 staticSwitch294_g90 = EC2238_g90;
			#else
				float3 staticSwitch294_g90 = staticSwitch271_g90;
			#endif
			float3 Color1128_g90 = (_Color).rgb;
			float3 EC1269_g90 = ( Color1128_g90 * _EmissionStrength );
			#ifdef _EMISSIONCOLOR2_ON
				float3 staticSwitch308_g90 = EC1269_g90;
			#else
				float3 staticSwitch308_g90 = staticSwitch294_g90;
			#endif
			float3 EmissionFinal324_g90 = ( tex2DNode139_g90.g * staticSwitch308_g90 );
			o.Emission = EmissionFinal324_g90;
		}

		ENDCG
		CGPROGRAM
		#pragma only_renderers d3d11_9x d3d11 
		#pragma surface surf StandardCustomLighting keepalpha fullforwardshadows exclude_path:deferred 

		ENDCG
		Pass
		{
			Name "ShadowCaster"
			Tags{ "LightMode" = "ShadowCaster" }
			ZWrite On
			CGPROGRAM
			#pragma vertex vert
			#pragma fragment frag
			#pragma target 5.0
			#pragma multi_compile_shadowcaster
			#pragma multi_compile UNITY_PASS_SHADOWCASTER
			#pragma skip_variants FOG_LINEAR FOG_EXP FOG_EXP2
			#include "HLSLSupport.cginc"
			#if ( SHADER_API_D3D11 || SHADER_API_GLCORE || SHADER_API_GLES || SHADER_API_GLES3 || SHADER_API_METAL || SHADER_API_VULKAN )
				#define CAN_SKIP_VPOS
			#endif
			#include "UnityCG.cginc"
			#include "Lighting.cginc"
			#include "UnityPBSLighting.cginc"
			sampler3D _DitherMaskLOD;
			struct v2f
			{
				V2F_SHADOW_CASTER;
				float2 customPack1 : TEXCOORD1;
				float4 tSpace0 : TEXCOORD2;
				float4 tSpace1 : TEXCOORD3;
				float4 tSpace2 : TEXCOORD4;
				UNITY_VERTEX_INPUT_INSTANCE_ID
				UNITY_VERTEX_OUTPUT_STEREO
			};
			v2f vert( appdata_full v )
			{
				v2f o;
				UNITY_SETUP_INSTANCE_ID( v );
				UNITY_INITIALIZE_OUTPUT( v2f, o );
				UNITY_INITIALIZE_VERTEX_OUTPUT_STEREO( o );
				UNITY_TRANSFER_INSTANCE_ID( v, o );
				Input customInputData;
				float3 worldPos = mul( unity_ObjectToWorld, v.vertex ).xyz;
				half3 worldNormal = UnityObjectToWorldNormal( v.normal );
				half3 worldTangent = UnityObjectToWorldDir( v.tangent.xyz );
				half tangentSign = v.tangent.w * unity_WorldTransformParams.w;
				half3 worldBinormal = cross( worldNormal, worldTangent ) * tangentSign;
				o.tSpace0 = float4( worldTangent.x, worldBinormal.x, worldNormal.x, worldPos.x );
				o.tSpace1 = float4( worldTangent.y, worldBinormal.y, worldNormal.y, worldPos.y );
				o.tSpace2 = float4( worldTangent.z, worldBinormal.z, worldNormal.z, worldPos.z );
				o.customPack1.xy = customInputData.uv_texcoord;
				o.customPack1.xy = v.texcoord;
				TRANSFER_SHADOW_CASTER_NORMALOFFSET( o )
				return o;
			}
			half4 frag( v2f IN
			#if !defined( CAN_SKIP_VPOS )
			, UNITY_VPOS_TYPE vpos : VPOS
			#endif
			) : SV_Target
			{
				UNITY_SETUP_INSTANCE_ID( IN );
				Input surfIN;
				UNITY_INITIALIZE_OUTPUT( Input, surfIN );
				surfIN.uv_texcoord = IN.customPack1.xy;
				float3 worldPos = float3( IN.tSpace0.w, IN.tSpace1.w, IN.tSpace2.w );
				half3 worldViewDir = normalize( UnityWorldSpaceViewDir( worldPos ) );
				surfIN.worldPos = worldPos;
				surfIN.worldNormal = float3( IN.tSpace0.z, IN.tSpace1.z, IN.tSpace2.z );
				surfIN.internalSurfaceTtoW0 = IN.tSpace0.xyz;
				surfIN.internalSurfaceTtoW1 = IN.tSpace1.xyz;
				surfIN.internalSurfaceTtoW2 = IN.tSpace2.xyz;
				SurfaceOutputCustomLightingCustom o;
				UNITY_INITIALIZE_OUTPUT( SurfaceOutputCustomLightingCustom, o )
				surf( surfIN, o );
				UnityGI gi;
				UNITY_INITIALIZE_OUTPUT( UnityGI, gi );
				o.Alpha = LightingStandardCustomLighting( o, worldViewDir, gi ).a;
				#if defined( CAN_SKIP_VPOS )
				float2 vpos = IN.pos;
				#endif
				half alphaRef = tex3D( _DitherMaskLOD, float3( vpos.xy * 0.25, o.Alpha * 0.9375 ) ).a;
				clip( alphaRef - 0.01 );
				SHADOW_CASTER_FRAGMENT( IN )
			}
			ENDCG
		}
	}
	Fallback "Diffuse"
	CustomEditor "ASEMaterialInspector"
}
/*ASEBEGIN
Version=18912
423.6;545.6;1130;878;5595.818;3220.83;1.753824;True;False
Node;AmplifyShaderEditor.FunctionNode;1449;-5339.646,-2611.011;Inherit;False;AIT Anisotropic Item Alpha Function;20;;90;e877815df03ed2d4b9701b6797bd2fe9;0;0;15;FLOAT3;345;COLOR;384;FLOAT3;342;FLOAT3;387;FLOAT3;341;FLOAT;340;FLOAT;0;FLOAT;383;FLOAT;346;FLOAT;406;FLOAT;405;FLOAT;350;FLOAT;347;FLOAT;386;FLOAT;382
Node;AmplifyShaderEditor.FunctionNode;1444;-5132.373,-2882.806;Inherit;False;Iridiscence;3;;91;70fe6a1ace0a29b439fe6d71982b6fe0;0;1;1;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.BlendOpsNode;1445;-4881.727,-2886.837;Inherit;False;ColorBurn;True;3;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT;1;False;1;FLOAT3;0
Node;AmplifyShaderEditor.RangedFloatNode;1437;-4564.94,-2063.061;Inherit;False;Constant;_Float2;Float 2;8;0;Create;True;0;0;0;False;0;False;1;0;0;0;0;1;FLOAT;0
Node;AmplifyShaderEditor.DiffuseAndSpecularFromMetallicNode;1436;-4654.234,-2881.726;Inherit;False;2;0;FLOAT3;0,0,0;False;1;FLOAT;0;False;3;FLOAT3;0;FLOAT3;1;FLOAT;2
Node;AmplifyShaderEditor.WireNode;1438;-4906.745,-2690.687;Inherit;False;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.FunctionNode;1447;-4278.109,-2015.09;Inherit;False;Unity Transmission;1;;107;9498cceedd4defe45a721369ca43b3c7;0;3;1;FLOAT3;0,0,0;False;11;FLOAT3;0,0,0;False;25;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.FunctionNode;1431;-4394.429,-2624.08;Inherit;False;Standard Anisotropic Specular Light;-1;;106;3a41dd9f61f98284890bd8c75a8f7141;0;9;329;FLOAT3;0,0,0;False;330;FLOAT3;0,0,0;False;327;FLOAT3;0,0,0;False;328;FLOAT3;0,0,0;False;316;FLOAT;0;False;322;FLOAT;0;False;319;FLOAT;0;False;318;FLOAT;0;False;317;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.WireNode;1442;-3937.31,-2320.657;Inherit;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.WireNode;1443;-3958.861,-2358.371;Inherit;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.FunctionNode;1433;-4361.775,-2341.013;Inherit;False;Fuzz Light;15;;104;763f1853b3f36754a957e8301fce4b2d;0;3;42;FLOAT3;0,0,0;False;23;FLOAT3;0,0,0;False;44;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.FunctionNode;1446;-4358.739,-2188.448;Inherit;False;Unity Translucency (Original);9;;105;99752510ebf066e4395c3596c3f4016b;0;4;6;FLOAT3;0,0,0;False;26;FLOAT3;0,0,1;False;43;FLOAT;0;False;46;FLOAT;1;False;1;FLOAT3;0
Node;AmplifyShaderEditor.WireNode;1441;-3902.29,-2379.921;Inherit;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.WireNode;1439;-4871.324,-2719.964;Inherit;False;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.RangedFloatNode;1424;-3577.634,-1979.528;Inherit;False;Property;_Cutoff;Cutoff;85;1;[Header];Create;True;1;Cutout Setting;0;0;True;0;False;0.1;0.5;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;1412;-3573.783,-1782.942;Inherit;False;Property;_BlendDST;BlendDST;87;1;[IntRange];Create;True;0;0;0;True;0;False;11;11;1;11;0;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleAddOpNode;1432;-4008.586,-2569.488;Inherit;False;4;4;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;3;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.RangedFloatNode;1415;-3571.645,-1880.955;Inherit;False;Property;_BlendSCR;BlendSCR;86;2;[Header];[IntRange];Create;True;1;Blending Options;0;0;True;0;False;5;5;1;11;0;1;FLOAT;0
Node;AmplifyShaderEditor.WireNode;1440;-3888.821,-2358.371;Inherit;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;1344;-3579.9,-2085.739;Inherit;False;Property;_CullMode;CullMode;0;1;[IntRange];Create;True;0;0;0;True;0;False;0;0;0;2;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;1413;-3575.343,-1673.832;Half;False;Property;_ZWrite;ZWrite;88;2;[Header];[Toggle];Create;True;1;Depth Setting;0;0;True;0;False;1;1;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.StandardSurfaceOutputNode;0;-3836.579,-2795.85;Float;False;True;-1;7;ASEMaterialInspector;0;0;CustomLighting;Hanmen/Anisotropic Iridescent Specular Item Alpha;False;False;False;False;False;False;False;False;False;False;False;False;False;False;True;False;False;False;False;False;False;Off;2;True;1413;3;False;-1;False;0;False;-1;0;False;-1;False;0;Custom;0.5;True;True;5;True;Transparent;2600;Transparent;ForwardOnly;2;d3d11_9x;d3d11;True;True;True;True;0;False;-1;False;0;False;-1;255;False;-1;255;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;False;0;32;1;2;True;1;True;2;5;True;1415;10;True;1412;0;5;False;-1;8;False;-1;0;False;-1;6;False;-1;0;False;0;0,0,0,0;VertexOffset;True;False;Cylindrical;False;Relative;0;;-1;-1;-1;-1;0;False;0;0;True;1344;-1;0;True;1424;0;0;0;False;0.1;False;-1;0;False;1414;True;15;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;3;FLOAT3;0,0,0;False;4;FLOAT;0;False;6;FLOAT3;0,0,0;False;7;FLOAT3;0,0,0;False;8;FLOAT;0;False;9;FLOAT;0;False;10;FLOAT;0;False;13;FLOAT3;0,0,0;False;11;FLOAT3;0,0,0;False;12;FLOAT3;0,0,0;False;14;FLOAT4;0,0,0,0;False;15;FLOAT3;0,0,0;False;0
WireConnection;1444;1;1449;342
WireConnection;1445;0;1444;0
WireConnection;1445;1;1449;345
WireConnection;1445;2;1449;340
WireConnection;1436;0;1445;0
WireConnection;1436;1;1449;340
WireConnection;1438;0;1449;341
WireConnection;1447;1;1449;345
WireConnection;1447;11;1449;342
WireConnection;1447;25;1449;350
WireConnection;1431;329;1449;345
WireConnection;1431;330;1436;1
WireConnection;1431;327;1449;342
WireConnection;1431;328;1449;387
WireConnection;1431;316;1449;0
WireConnection;1431;322;1449;383
WireConnection;1431;319;1449;386
WireConnection;1431;318;1449;382
WireConnection;1431;317;1449;346
WireConnection;1442;0;1449;405
WireConnection;1443;0;1449;406
WireConnection;1433;42;1449;342
WireConnection;1433;23;1449;384
WireConnection;1433;44;1449;346
WireConnection;1446;6;1449;345
WireConnection;1446;26;1449;342
WireConnection;1446;43;1449;347
WireConnection;1446;46;1437;0
WireConnection;1441;0;1443;0
WireConnection;1439;0;1438;0
WireConnection;1432;0;1431;0
WireConnection;1432;1;1433;0
WireConnection;1432;2;1446;0
WireConnection;1432;3;1447;0
WireConnection;1440;0;1442;0
WireConnection;0;2;1439;0
WireConnection;0;9;1441;0
WireConnection;0;10;1440;0
WireConnection;0;13;1432;0
ASEEND*/
//CHKSM=B05CCFEAA1F4F459870C7C52555E35E2CFB53BA4