// Made with Amplify Shader Editor
// Available at the Unity Asset Store - http://u3d.as/y3X 
Shader "Hanmen/Anisotropic Pantyhose"
{
	Properties
	{
		[Header(RENDER TEXTURES (Leave Empty))][NoScaleOffset][Space (10)]_MainTex("MainTex", 2D) = "white" {}
		[NoScaleOffset]_DetailMainTex("DetailMainTex", 2D) = "black" {}
		[NoScaleOffset]_ColorMask("ColorMask", 2D) = "black" {}
		[NoScaleOffset][Space(25)][Header(TEXTURES)][Space(15)]_BumpMap("BumpMap", 2D) = "bump" {}
		[Header()][Header()][NoScaleOffset][Header(MetallicGlossMap)][Header((R) Smoothness)][Header((G) Emission)][Header((B) Thickness)]_MetallicGlossMap("", 2D) = "white" {}
		[Header(OcclusionMap)][Header((R) Curvature (Edge Map))][Header((G) Ambient Occlusion)][Header((B) Tearings)][Header((A) Wetness Opacity)][NoScaleOffset]_OcclusionMap("", 2D) = "white" {}
		[NoScaleOffset]_WeatheringMap("WeatheringMap", 2D) = "black" {}
		[NoScaleOffset]_WeatheringMask("WeatheringMask", 2D) = "black" {}
		[NoScaleOffset][Header (Packed (R_Glossiness G_Bump))]_WetnessMap("WetnessMap", 2D) = "black" {}
		_WetStreaksUV("WetStreaksUV", Vector) = (2,2,0,0)
		[HDR][NoScaleOffset][Normal]_TangentMap("TangentMap", 2D) = "bump" {}
		_WetUV("WetUV", Vector) = (5,5,0,0)
		[Header (Colors)]_BaseColor("BaseColor", Color) = (1,1,1,1)
		_Color("Color", Color) = (1,1,1,1)
		_EmissionColor("EmissionColor", Color) = (0,0,0,1)
		_WeatheringAlbedo("WeatheringAlbedo", Color) = (0.6,0.65,0.65,0)
		[Header (UV Coordinates)]_UVScalePattern("UVScalePattern", Vector) = (1,1,0,0)
		_WeatheringUV("WeatheringUV", Vector) = (1,1,0,0)
		_patternuvbase("patternuvbase", Vector) = (1,1,0,0)
		[Header (Cloth Tearings)]_AlphaEx("AlphaEx", Range( -1 , 1)) = -1
		_CarvatureStrength("CarvatureStrength", Range( 0 , 1)) = 0
		[Header (Bump)]_Float0("Float0", Range( 0 , 3)) = 1
		[NoScaleOffset][Header (Detail Mask)]_DetailMask("", 2D) = "white" {}
		[NoScaleOffset][Header (Detail1 (Grayscale))]_DetailGlossMap("DetailGlossMap", 2D) = "white" {}
		_DetailUV("DetailUV", Vector) = (1,1,0,0)
		_Anisotropy("Anisotropy", Range( 0 , 1)) = 0
		[NoScaleOffset][Header (Detail2 (Grayscale))]_DetailGlossMap2("DetailGlossMap2", 2D) = "white" {}
		_DetailUV2("DetailUV2", Vector) = (1,1,0,0)
		[Header(Detail Settings)]_DetailNormalMapScale("DetailNormalMapScale", Range( 0 , 9)) = 9
		_DetailNormalMapScale2("DetailNormalMapScale2", Range( 0 , 9)) = 1
		_DetailGlossScale("DetailGlossScale", Range( 0 , 1)) = 0
		_DetailGlossScale2("DetailGlossScale2", Range( 0 , 1)) = 1
		_DetailMetallicScale("DetailMetallicScale", Range( 0 , 1)) = 0
		_DetailMetallicScale2("DetailMetallicScale2", Range( 0 , 1)) = 0
		_DetailOcculusionScale("DetailOcculusionScale", Range( 0 , 1)) = 0
		_DetailOcculusionScale2("DetailOcculusionScale2", Range( 0 , 1)) = 0
		_DetailUVRotator("DetailUVRotator", Range( -1 , 1)) = 1
		_TangentUV("TangentUV", Vector) = (1,1,0,0)
		_DetailUV2Rotator("DetailUV2Rotator", Range( -1 , 1)) = 0
		_DetailAlpha1("DetailAlpha1", Range( 0 , 1)) = 0
		_DetailAlpha2("DetailAlpha2", Range( 0 , 1)) = 1
		[Header (Emission (Tex Required))]_EmissionStrength("EmissionStrength", Range( 0 , 20)) = 0
		[Header (Color Mask Required (Optional))][Toggle(_EMISSIONCOLOR2_ON)] _EmissionColor2("Color1 is Emissive", Float) = 0
		[Toggle(_EMISSIONCOLOR3_ON)] _EmissionColor3("Color2 is Emissive", Float) = 0
		[Toggle(_EMISSIONCOLOR4_ON)] _EmissionColor4("Color3 is Emissive", Float) = 0
		[Header (Ambient Occlusion)]_OcculusionStrength("OcculusionStrength", Range( 0 , 1)) = 1
		_AlphaMaster("AlphaMaster", Range( 0 , 1)) = 1
		[Header (Metallic Roughness (Optional))]_Roughness("Roughness", Range( 0 , 1)) = 1
		_MetallicMask("MetallicMask", Range( 0 , 1)) = 1
		[Header (Color 4 Settings (Optional))]_Glossiness4("Glossiness4", Range( 0 , 1)) = 1
		_Roughness4("Roughness4", Range( 0 , 1)) = 1
		_Metallic4("Metallic4", Range( 0 , 1)) = 1
		_MetallicMask4("MetallicMask4", Range( 0 , 1)) = 1
		[Header (Weathering)]_WeatheringAll("WeatheringAll", Range( 0 , 1)) = 0
		_WeatheringRange1("WeatheringRange1", Range( 0 , 1)) = 0
		_WeatheringRange2("WeatheringRange2", Range( 0 , 1)) = 0
		_WeatheringRange3("WeatheringRange3", Range( 0 , 1)) = 0
		_WeatheringRange4("WeatheringRange4", Range( 0 , 1)) = 0
		_WeatheringRange5("WeatheringRange5", Range( 0 , 1)) = 0
		_WeatheringEmission("WeatheringEmission", Range( 0 , 1)) = 0.2
		_WeatheringGloss("WeatheringGloss", Range( 0 , 2)) = 0.95
		_WeatheringUVSeed("WeatheringUVSeed", Range( 0 , 1)) = 0
		[Header (Wetness)]_ExGloss("ExGloss", Range( 0 , 1)) = 0
		_WetGlossBase("WetGlossBase", Range( 0 , 2)) = 0.7294118
		_BodyColor1("BodyColor", Color) = (0.71,0.56,0.51,0)
		_WetAlbedoOffset("WetAlbedoOffset", Range( 0 , 1)) = 0.6
		_WetSplatsAlbedoOffset("WetSplatsAlbedoOffset", Range( 0 , 1)) = 0.6
		_WetOpacitySplats("WetOpacitySplats", Range( 0 , 2)) = 2
		_WetOpacityStreaks("WetOpacityStreaks", Range( 0 , 2)) = 2
		_WetGlossSplats("WetGlossSplats", Range( 0 , 2)) = 0.903171
		_WetBumpOffset("WetBumpOffset", Range( 0 , 1)) = 0
		_WetColor("WetColor", Color) = (0,0,0,0)
		[Header(Fresnel Settings)]_FresnelPower("FresnelPower", Range( 0 , 10)) = 3
		_FresnelBias("FresnelBias", Range( 0 , 1)) = 0
		_FresnelScale("FresnelScale", Range( 0 , 10)) = 2
		[Header(Backface Settings)][Toggle]_NormalBackDirInvert("Backface Normal Direction Invert", Range( 0 , 1)) = 0
		_AnistropyContrast("AnistropyContrast", Range( 0 , 1)) = 0.5
		_FresnelMetallic("FresnelMetallic", Range( 0 , 1)) = 1
		_DetailTangent("DetailTangent", Range( 0 , 1)) = 0
		_DetailTangent2("DetailTangent2", Range( 0 , 1)) = 0
		_Reflections("Reflections", Range( 0 , 1)) = 1
		[Toggle]_ZWrite("ZWrite", Range( 0 , 1)) = 0
		[Header(Cutout Setting)]_Cutoff("Cutoff", Range( 0 , 1)) = 0.1
		[IntRange]_CullMode("CullMode", Range( 0 , 2)) = 2
		[HideInInspector] _texcoord( "", 2D ) = "white" {}
		[HideInInspector] __dirty( "", Int ) = 1
	}

	SubShader
	{
		Tags{ "RenderType" = "Transparent"  "Queue" = "Transparent-1" "IgnoreProjector" = "True" "IsEmissive" = "true"  }
		Cull [_CullMode]
		ZWrite [_ZWrite]
		ZTest LEqual
		Blend SrcAlpha OneMinusSrcAlpha
		
		CGINCLUDE
		#include "UnityPBSLighting.cginc"
		#include "UnityStandardUtils.cginc"
		#include "UnityCG.cginc"
		#include "UnityShaderVariables.cginc"
		#include "Lighting.cginc"
		#pragma target 5.0
		#pragma shader_feature _EMISSIONCOLOR3_ON
		#pragma shader_feature _EMISSIONCOLOR4_ON
		#pragma shader_feature _EMISSIONCOLOR2_ON
		#define ASE_USING_SAMPLING_MACROS 1
		#if defined(SHADER_API_D3D11) || defined(SHADER_API_XBOXONE) || defined(UNITY_COMPILER_HLSLCC) || defined(SHADER_API_PSSL) || (defined(SHADER_TARGET_SURFACE_ANALYSIS) && !defined(SHADER_TARGET_SURFACE_ANALYSIS_MOJOSHADER))//ASE Sampler Macros
		#define SAMPLE_TEXTURE2D(tex,samplerTex,coord) tex.Sample(samplerTex,coord)
		#define SAMPLE_TEXTURE2D_LOD(tex,samplerTex,coord,lod) tex.SampleLevel(samplerTex,coord, lod)
		#define SAMPLE_TEXTURE2D_BIAS(tex,samplerTex,coord,bias) tex.SampleBias(samplerTex,coord,bias)
		#define SAMPLE_TEXTURE2D_GRAD(tex,samplerTex,coord,ddx,ddy) tex.SampleGrad(samplerTex,coord,ddx,ddy)
		#else//ASE Sampling Macros
		#define SAMPLE_TEXTURE2D(tex,samplerTex,coord) tex2D(tex,coord)
		#define SAMPLE_TEXTURE2D_LOD(tex,samplerTex,coord,lod) tex2Dlod(tex,float4(coord,0,lod))
		#define SAMPLE_TEXTURE2D_BIAS(tex,samplerTex,coord,bias) tex2Dbias(tex,float4(coord,0,bias))
		#define SAMPLE_TEXTURE2D_GRAD(tex,samplerTex,coord,ddx,ddy) tex2Dgrad(tex,coord,ddx,ddy)
		#endif//ASE Sampling Macros

		#ifdef UNITY_PASS_SHADOWCASTER
			#undef INTERNAL_DATA
			#undef WorldReflectionVector
			#undef WorldNormalVector
			#define INTERNAL_DATA half3 internalSurfaceTtoW0; half3 internalSurfaceTtoW1; half3 internalSurfaceTtoW2;
			#define WorldReflectionVector(data,normal) reflect (data.worldRefl, half3(dot(data.internalSurfaceTtoW0,normal), dot(data.internalSurfaceTtoW1,normal), dot(data.internalSurfaceTtoW2,normal)))
			#define WorldNormalVector(data,normal) half3(dot(data.internalSurfaceTtoW0,normal), dot(data.internalSurfaceTtoW1,normal), dot(data.internalSurfaceTtoW2,normal))
		#endif
		struct Input
		{
			float2 uv_texcoord;
			float3 worldPos;
			float3 worldNormal;
			INTERNAL_DATA
			half ASEVFace : VFACE;
		};

		struct SurfaceOutputCustomLightingCustom
		{
			half3 Albedo;
			half3 Normal;
			half3 Emission;
			half Metallic;
			half Smoothness;
			half Occlusion;
			half Alpha;
			Input SurfInput;
			UnityGIInput GIData;
		};

		UNITY_DECLARE_TEX2D_NOSAMPLER(_MainTex);
		SamplerState sampler_MainTex;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_WeatheringMask);
		SamplerState sampler_WeatheringMask;
		uniform float _Metallic4;
		uniform float _AlphaEx;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_OcclusionMap);
		SamplerState sampler_OcclusionMap;
		uniform float _DetailNormalMapScale2;
		uniform float4 _WetColor;
		uniform float4 _Color;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_DetailGlossMap2);
		SamplerState sampler_DetailGlossMap2;
		uniform float _CarvatureStrength;
		uniform float _DetailAlpha1;
		uniform float _FresnelPower;
		uniform float _AlphaMaster;
		uniform float _DetailGlossScale2;
		uniform float _DetailMetallicScale2;
		uniform float _DetailAlpha2;
		uniform float4 _WetUV;
		uniform float4 _WeatheringUV;
		uniform float _FresnelMetallic;
		uniform float _FresnelScale;
		uniform float _DetailMetallicScale;
		uniform float2 _DetailUV2;
		uniform float4 _WetStreaksUV;
		uniform float _WetGlossBase;
		uniform float _DetailUVRotator;
		uniform float _AnistropyContrast;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_ColorMask);
		SamplerState sampler_ColorMask;
		uniform float _WetOpacitySplats;
		uniform float _Float0;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_DetailMainTex);
		SamplerState sampler_DetailMainTex2;
		uniform float4 _BodyColor1;
		uniform float _WetAlbedoOffset;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_WeatheringMap);
		SamplerState sampler_WeatheringMap;
		uniform float _DetailGlossScale;
		uniform float _DetailNormalMapScale;
		uniform float _DetailUV2Rotator;
		uniform float2 _patternuvbase;
		SamplerState sampler_DetailMainTex;
		uniform float _WetSplatsAlbedoOffset;
		uniform float _WeatheringAll;
		uniform float4 _EmissionColor;
		uniform float4 _WeatheringAlbedo;
		uniform float2 _DetailUV;
		uniform float _WeatheringGloss;
		uniform float2 _UVScalePattern;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_MetallicGlossMap);
		SamplerState sampler_MetallicGlossMap;
		SamplerState sampler_MetallicGlossMap2;
		uniform float _WeatheringRange3;
		uniform float _FresnelBias;
		uniform float _EmissionStrength;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_DetailMask);
		SamplerState sampler_DetailMask;
		uniform float _WeatheringRange5;
		uniform float _WetGlossSplats;
		uniform float _WeatheringRange1;
		uniform float _ExGloss;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_BumpMap);
		SamplerState sampler_BumpMap;
		uniform float _WeatheringRange4;
		uniform float4 _BaseColor;
		uniform float _WeatheringUVSeed;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_DetailGlossMap);
		SamplerState sampler_DetailGlossMap;
		uniform float _WetOpacityStreaks;
		uniform float _WetBumpOffset;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_WetnessMap);
		SamplerState sampler_WetnessMap;
		uniform float _WeatheringRange2;
		UNITY_DECLARE_TEX2D_NOSAMPLER(_TangentMap);
		SamplerState sampler_TangentMap;
		uniform float _Anisotropy;
		uniform float4 _TangentUV;
		uniform float _DetailTangent;
		uniform float _DetailTangent2;
		uniform float _Cutoff;
		uniform float _ZWrite;
		uniform float _CullMode;
		SamplerState sampler_linear_repeat;
		uniform float _WeatheringEmission;
		SamplerState sampler_trilinear_repeat;
		uniform float _NormalBackDirInvert;
		uniform float _OcculusionStrength;
		uniform float _DetailOcculusionScale;
		uniform float _DetailOcculusionScale2;
		uniform float _MetallicMask;
		uniform float _MetallicMask4;
		uniform float _Roughness;
		uniform float _Glossiness4;
		uniform float _Roughness4;
		uniform float _Reflections;


		float3 FresnelLerp246_g15( half3 F0, half3 F90, half cosA )
		{
			 return FresnelLerp(F0, F90, cosA);
		}


		half MyCustomExpression113_g15( half input )
		{
			return RoughnessToSpecPower(input);
		}


		float Pow5179_g15( float x )
		{
			 return x*x * x*x * x;
		}


		inline half4 LightingStandardCustomLighting( inout SurfaceOutputCustomLightingCustom s, half3 viewDir, UnityGI gi )
		{
			UnityGIInput data = s.GIData;
			Input i = s.SurfInput;
			half4 c = 0;
			#ifdef UNITY_PASS_FORWARDBASE
			float ase_lightAtten = data.atten;
			if( _LightColor0.a == 0)
			ase_lightAtten = 0;
			#else
			float3 ase_lightAttenRGB = gi.light.color / ( ( _LightColor0.rgb ) + 0.000001 );
			float ase_lightAtten = max( max( ase_lightAttenRGB.r, ase_lightAttenRGB.g ), ase_lightAttenRGB.b );
			#endif
			#if defined(HANDLE_SHADOWS_BLENDING_IN_GI)
			half bakedAtten = UnitySampleBakedOcclusion(data.lightmapUV.xy, data.worldPos);
			float zDist = dot(_WorldSpaceCameraPos - data.worldPos, UNITY_MATRIX_V[2].xyz);
			float fadeDist = UnityComputeShadowFadeDistance(data.worldPos, zDist);
			ase_lightAtten = UnityMixRealtimeAndBakedShadows(data.atten, bakedAtten, UnityComputeShadowFade(fadeDist));
			#endif
			float2 appendResult115_g14 = (float2(_WeatheringUV.x , _WeatheringUV.y));
			float2 appendResult110_g14 = (float2(_WeatheringUV.z , _WeatheringUV.w));
			float2 temp_cast_1 = (_WeatheringUVSeed).xx;
			float dotResult830_g14 = dot( temp_cast_1 , float2( 12.9898,78.233 ) );
			float lerpResult832_g14 = lerp( -10.0 , 10.0 , frac( ( sin( dotResult830_g14 ) * 43758.55 ) ));
			float2 uv_TexCoord127_g14 = i.uv_texcoord * appendResult115_g14 + ( appendResult110_g14 + lerpResult832_g14 );
			float2 WeatheringUV144_g14 = uv_TexCoord127_g14;
			float4 tex2DNode177_g14 = SAMPLE_TEXTURE2D( _WeatheringMap, sampler_WeatheringMap, WeatheringUV144_g14 );
			float2 uv_WeatheringMask100_g14 = i.uv_texcoord;
			float4 tex2DNode100_g14 = SAMPLE_TEXTURE2D( _WeatheringMask, sampler_WeatheringMask, uv_WeatheringMask100_g14 );
			float clampResult161_g14 = clamp( ( tex2DNode100_g14.r - tex2DNode100_g14.g ) , 0.0 , 1.0 );
			float WMask1183_g14 = ( clampResult161_g14 * ceil( _WeatheringRange1 ) );
			float RangeCut1208_g14 = (0.7 + (_WeatheringRange1 - 0.0) * (0.2 - 0.7) / (1.0 - 0.0));
			float clampResult253_g14 = clamp( ( ( tex2DNode177_g14.g * WMask1183_g14 ) - RangeCut1208_g14 ) , 0.0 , 1.0 );
			float clampResult159_g14 = clamp( ( tex2DNode100_g14.g - tex2DNode100_g14.r ) , 0.0 , 1.0 );
			float WMask2192_g14 = ( clampResult159_g14 * ceil( _WeatheringRange2 ) );
			float RangeCut2211_g14 = (0.7 + (_WeatheringRange2 - 0.0) * (0.2 - 0.7) / (1.0 - 0.0));
			float clampResult251_g14 = clamp( ( ( tex2DNode177_g14.g * WMask2192_g14 ) - RangeCut2211_g14 ) , 0.0 , 1.0 );
			float WMask3190_g14 = ( tex2DNode100_g14.b * ceil( _WeatheringRange3 ) );
			float RangeCut3210_g14 = (0.7 + (_WeatheringRange3 - 0.0) * (0.2 - 0.7) / (1.0 - 0.0));
			float clampResult254_g14 = clamp( ( ( tex2DNode177_g14.g * WMask3190_g14 ) - RangeCut3210_g14 ) , 0.0 , 1.0 );
			float WMask4180_g14 = ( ( tex2DNode100_g14.r * tex2DNode100_g14.g ) * ceil( _WeatheringRange4 ) );
			float RangeCut4205_g14 = (0.7 + (_WeatheringRange4 - 0.0) * (0.2 - 0.7) / (1.0 - 0.0));
			float clampResult259_g14 = clamp( ( ( tex2DNode177_g14.g * WMask4180_g14 ) - RangeCut4205_g14 ) , 0.0 , 1.0 );
			float WMask5184_g14 = ( ( tex2DNode100_g14.r * tex2DNode100_g14.b ) * ceil( _WeatheringRange5 ) );
			float RangeCut5201_g14 = (0.7 + (_WeatheringRange5 - 0.0) * (0.2 - 0.7) / (1.0 - 0.0));
			float clampResult261_g14 = clamp( ( ( tex2DNode177_g14.g * WMask5184_g14 ) - RangeCut5201_g14 ) , 0.0 , 1.0 );
			float WMaskAll165_g14 = ceil( _WeatheringAll );
			float RangeCutAll171_g14 = (0.7 + (_WeatheringAll - 0.0) * (0.2 - 0.7) / (1.0 - 0.0));
			float clampResult215_g14 = clamp( ( ( tex2DNode177_g14.g * WMaskAll165_g14 ) - RangeCutAll171_g14 ) , 0.0 , 1.0 );
			float clampResult299_g14 = clamp( ( clampResult253_g14 + clampResult251_g14 + clampResult254_g14 + clampResult259_g14 + clampResult261_g14 + clampResult215_g14 ) , 0.0 , 1.0 );
			float lerpResult313_g14 = lerp( clampResult299_g14 , clampResult215_g14 , WMaskAll165_g14);
			float WeatheringAlpha2466_g14 = lerpResult313_g14;
			float2 uv_MainTex576_g14 = i.uv_texcoord;
			float4 tex2DNode576_g14 = SAMPLE_TEXTURE2D( _MainTex, sampler_MainTex, uv_MainTex576_g14 );
			float AlphaInput195_g14 = tex2DNode576_g14.a;
			float3 ase_worldPos = i.worldPos;
			float3 ase_worldViewDir = normalize( UnityWorldSpaceViewDir( ase_worldPos ) );
			float2 uv_BumpMap402_g14 = i.uv_texcoord;
			float3 tex2DNode402_g14 = UnpackScaleNormal( SAMPLE_TEXTURE2D( _BumpMap, sampler_BumpMap, uv_BumpMap402_g14 ), _Float0 );
			float3 BaseNormal731_g14 = tex2DNode402_g14;
			float3 normalizeResult701_g14 = normalize( BlendNormals( ase_worldViewDir , BaseNormal731_g14 ) );
			float3 ase_worldNormal = WorldNormalVector( i, float3( 0, 0, 1 ) );
			float3 normalizeResult700_g14 = normalize( BlendNormals( ase_worldNormal , BaseNormal731_g14 ) );
			float fresnelNdotV705_g14 = dot( normalizeResult700_g14, normalizeResult701_g14 );
			float fresnelNode705_g14 = ( _FresnelBias + _FresnelScale * pow( 1.0 - fresnelNdotV705_g14, _FresnelPower ) );
			float Fresnel707_g14 = saturate( fresnelNode705_g14 );
			float lerpResult727_g14 = lerp( ( AlphaInput195_g14 * _AlphaMaster ) , 1.0 , Fresnel707_g14);
			float2 UVScale107_g14 = _UVScalePattern;
			float2 uv_TexCoord16_g14 = i.uv_texcoord * ( _DetailUV2 * UVScale107_g14 );
			float cos19_g14 = cos( ( _DetailUV2Rotator * UNITY_PI ) );
			float sin19_g14 = sin( ( _DetailUV2Rotator * UNITY_PI ) );
			float2 rotator19_g14 = mul( uv_TexCoord16_g14 - float2( 0.5,0.5 ) , float2x2( cos19_g14 , -sin19_g14 , sin19_g14 , cos19_g14 )) + float2( 0.5,0.5 );
			float2 Detail2UV20_g14 = rotator19_g14;
			float4 tex2DNode328_g14 = SAMPLE_TEXTURE2D( _DetailGlossMap2, sampler_trilinear_repeat, Detail2UV20_g14 );
			float Detail2Alpha747_g14 = tex2DNode328_g14.r;
			float lerpResult759_g14 = lerp( 0.0 , _DetailAlpha2 , Detail2Alpha747_g14);
			float2 uv_DetailMask25_g14 = i.uv_texcoord;
			float4 tex2DNode25_g14 = SAMPLE_TEXTURE2D( _DetailMask, sampler_DetailMask, uv_DetailMask25_g14 );
			float DetailMask235_g14 = tex2DNode25_g14.g;
			float2 uv_TexCoord152_g14 = i.uv_texcoord * ( _DetailUV * UVScale107_g14 );
			float cos162_g14 = cos( ( _DetailUVRotator * UNITY_PI ) );
			float sin162_g14 = sin( ( _DetailUVRotator * UNITY_PI ) );
			float2 rotator162_g14 = mul( uv_TexCoord152_g14 - float2( 0.5,0.5 ) , float2x2( cos162_g14 , -sin162_g14 , sin162_g14 , cos162_g14 )) + float2( 0.5,0.5 );
			float2 Detail1UV173_g14 = rotator162_g14;
			float4 tex2DNode291_g14 = SAMPLE_TEXTURE2D( _DetailGlossMap, sampler_trilinear_repeat, Detail1UV173_g14 );
			float Detail1Alpha749_g14 = tex2DNode291_g14.r;
			float lerpResult760_g14 = lerp( 0.0 , _DetailAlpha1 , Detail1Alpha749_g14);
			float DetailMask130_g14 = tex2DNode25_g14.r;
			float lerpResult802_g14 = lerp( lerpResult727_g14 , 1.0 , saturate( ( ( lerpResult759_g14 * DetailMask235_g14 ) + ( lerpResult760_g14 * DetailMask130_g14 ) ) ));
			float clampResult592_g14 = clamp( _AlphaEx , 0.2 , 1.0 );
			float2 uv_OcclusionMap196_g14 = i.uv_texcoord;
			float4 tex2DNode196_g14 = SAMPLE_TEXTURE2D( _OcclusionMap, sampler_OcclusionMap, uv_OcclusionMap196_g14 );
			float TearingsMask340_g14 = tex2DNode196_g14.b;
			float3 ase_worldTangent = WorldNormalVector( i, float3( 1, 0, 0 ) );
			float3 tan21_g15 = ase_worldTangent;
			float3 ase_worldBitangent = WorldNormalVector( i, float3( 0, 1, 0 ) );
			float3 bittan24_g15 = ase_worldBitangent;
			float2 break194_g14 = Detail1UV173_g14;
			float temp_output_186_0_g14 = ( pow( 0.25 , 2.0 ) * 0.1 );
			float2 appendResult218_g14 = (float2(( break194_g14.x + temp_output_186_0_g14 ) , break194_g14.y));
			float4 tex2DNode243_g14 = SAMPLE_TEXTURE2D( _DetailGlossMap, sampler_trilinear_repeat, Detail1UV173_g14 );
			float temp_output_255_0_g14 = ( DetailMask130_g14 * _DetailNormalMapScale );
			float3 appendResult300_g14 = (float3(1.0 , 0.0 , ( ( SAMPLE_TEXTURE2D( _DetailGlossMap, sampler_trilinear_repeat, appendResult218_g14 ).g - tex2DNode243_g14.g ) * temp_output_255_0_g14 )));
			float2 appendResult222_g14 = (float2(break194_g14.x , ( break194_g14.y + temp_output_186_0_g14 )));
			float3 appendResult297_g14 = (float3(0.0 , 1.0 , ( ( SAMPLE_TEXTURE2D( _DetailGlossMap, sampler_trilinear_repeat, appendResult222_g14 ).g - tex2DNode243_g14.g ) * temp_output_255_0_g14 )));
			float3 normalizeResult348_g14 = normalize( cross( appendResult300_g14 , appendResult297_g14 ) );
			float3 DetailNormal1368_g14 = normalizeResult348_g14;
			float2 break24_g14 = Detail2UV20_g14;
			float temp_output_26_0_g14 = ( pow( 0.25 , 2.0 ) * 0.1 );
			float2 appendResult34_g14 = (float2(( break24_g14.x + temp_output_26_0_g14 ) , break24_g14.y));
			float4 tex2DNode38_g14 = SAMPLE_TEXTURE2D( _DetailGlossMap2, sampler_trilinear_repeat, Detail2UV20_g14 );
			float temp_output_43_0_g14 = ( DetailMask235_g14 * _DetailNormalMapScale2 );
			float3 appendResult58_g14 = (float3(1.0 , 0.0 , ( ( SAMPLE_TEXTURE2D( _DetailGlossMap2, sampler_trilinear_repeat, appendResult34_g14 ).g - tex2DNode38_g14.g ) * temp_output_43_0_g14 )));
			float2 appendResult33_g14 = (float2(break24_g14.x , ( break24_g14.y + temp_output_26_0_g14 )));
			float3 appendResult57_g14 = (float3(0.0 , 1.0 , ( ( SAMPLE_TEXTURE2D( _DetailGlossMap2, sampler_trilinear_repeat, appendResult33_g14 ).g - tex2DNode38_g14.g ) * temp_output_43_0_g14 )));
			float3 normalizeResult69_g14 = normalize( cross( appendResult58_g14 , appendResult57_g14 ) );
			float3 DetailNormal276_g14 = normalizeResult69_g14;
			float3 lerpResult767_g14 = lerp( BlendNormals( BlendNormals( tex2DNode402_g14 , DetailNormal1368_g14 ) , DetailNormal276_g14 ) , float3(0,0,1) , Fresnel707_g14);
			float2 appendResult657_g14 = (float2(_WetStreaksUV.x , _WetStreaksUV.y));
			float2 appendResult658_g14 = (float2(_WetStreaksUV.z , _WetStreaksUV.w));
			float2 uv_TexCoord660_g14 = i.uv_texcoord * appendResult657_g14 + appendResult658_g14;
			float2 WetStrUV669_g14 = uv_TexCoord660_g14;
			float2 break547_g14 = WetStrUV669_g14;
			float temp_output_541_0_g14 = ( pow( 0.25 , 2.0 ) * 0.1 );
			float2 appendResult546_g14 = (float2(( break547_g14.x + temp_output_541_0_g14 ) , break547_g14.y));
			float4 tex2DNode515_g14 = SAMPLE_TEXTURE2D( _WetnessMap, sampler_MainTex, WetStrUV669_g14 );
			float3 appendResult523_g14 = (float3(1.0 , 0.0 , ( ( SAMPLE_TEXTURE2D( _WeatheringMap, sampler_MainTex, appendResult546_g14 ).g - tex2DNode515_g14.g ) * 1.0 )));
			float2 appendResult534_g14 = (float2(break547_g14.x , ( break547_g14.y + temp_output_541_0_g14 )));
			float3 appendResult542_g14 = (float3(0.0 , 1.0 , ( ( SAMPLE_TEXTURE2D( _WetnessMap, sampler_MainTex, appendResult534_g14 ).g - tex2DNode515_g14.g ) * 1.0 )));
			float3 normalizeResult524_g14 = normalize( cross( appendResult523_g14 , appendResult542_g14 ) );
			float3 WetnessNormal545_g14 = normalizeResult524_g14;
			float ExGloss298_g14 = _ExGloss;
			float WetStr661_g14 = SAMPLE_TEXTURE2D( _WetnessMap, sampler_linear_repeat, WetStrUV669_g14 ).g;
			float smoothstepResult651_g14 = smoothstep( ( 1.0 - ExGloss298_g14 ) , 1.0 , WetStr661_g14);
			float StreaksAlpha662_g14 = smoothstepResult651_g14;
			float WetOpStreaks673_g14 = _WetOpacityStreaks;
			float3 lerpResult98_g14 = lerp( lerpResult767_g14 , WetnessNormal545_g14 , ( StreaksAlpha662_g14 * WetOpStreaks673_g14 ));
			float2 break223_g14 = WeatheringUV144_g14;
			float temp_output_224_0_g14 = ( pow( 0.2 , 2.0 ) * 0.1 );
			float2 appendResult258_g14 = (float2(( break223_g14.x + temp_output_224_0_g14 ) , break223_g14.y));
			float4 tex2DNode266_g14 = SAMPLE_TEXTURE2D( _WeatheringMap, sampler_WeatheringMap, WeatheringUV144_g14 );
			float3 appendResult344_g14 = (float3(1.0 , 0.0 , ( ( SAMPLE_TEXTURE2D( _WeatheringMap, sampler_WeatheringMap, appendResult258_g14 ).b - tex2DNode266_g14.b ) * 2.0 )));
			float2 appendResult252_g14 = (float2(break223_g14.x , ( break223_g14.y + temp_output_224_0_g14 )));
			float3 appendResult339_g14 = (float3(0.0 , 1.0 , ( ( SAMPLE_TEXTURE2D( _WeatheringMap, sampler_WeatheringMap, appendResult252_g14 ).b - tex2DNode266_g14.b ) * 2.0 )));
			float3 normalizeResult398_g14 = normalize( cross( appendResult344_g14 , appendResult339_g14 ) );
			float3 WeatheringBump425_g14 = normalizeResult398_g14;
			float clampResult373_g14 = clamp( ( lerpResult313_g14 * 10.0 ) , 0.0 , 1.0 );
			float WeatheringAlpha396_g14 = clampResult373_g14;
			float3 lerpResult87_g14 = lerp( lerpResult98_g14 , WeatheringBump425_g14 , ( SAMPLE_TEXTURE2D( _WeatheringMap, sampler_WeatheringMap, WeatheringUV144_g14 ).b * WeatheringAlpha396_g14 ));
			float3 normalizeResult564_g14 = normalize( lerpResult87_g14 );
			float3 switchResult566_g14 = (((i.ASEVFace>0)?(normalizeResult564_g14):(-normalizeResult564_g14)));
			float3 NormalMix88_g14 = ( _NormalBackDirInvert == 1.0 ? switchResult566_g14 : normalizeResult564_g14 );
			float3 temp_output_327_0_g15 = NormalMix88_g14;
			float3 normalLocal11_g15 = temp_output_327_0_g15;
			float3 newWorldNormal13_g15 = normalize( (WorldNormalVector( i , normalLocal11_g15 )) );
			float3 normalDir22_g15 = newWorldNormal13_g15;
			float3x3 tangentTransform31_g15 = float3x3(tan21_g15, bittan24_g15, normalDir22_g15);
			float3x3 tangentToWorld42_g15 = transpose( tangentTransform31_g15 );
			float3 hTangent53_g15 = mul( tangentToWorld42_g15, float3(0,1,0) );
			float3 lerpResult62_g15 = lerp( tan21_g15 , hTangent53_g15 , _Anisotropy);
			float3 Tangent64_g15 = lerpResult62_g15;
			float AnisotropyRGContrastvar855_g14 = _AnistropyContrast;
			float2 appendResult845_g14 = (float2(_TangentUV.x , _TangentUV.y));
			float2 appendResult846_g14 = (float2(_TangentUV.z , _TangentUV.w));
			float2 uv_TexCoord852_g14 = i.uv_texcoord * ( appendResult845_g14 * UVScale107_g14 ) + appendResult846_g14;
			float3 tex2DNode858_g14 = UnpackScaleNormal( SAMPLE_TEXTURE2D( _TangentMap, sampler_trilinear_repeat, uv_TexCoord852_g14 ), AnisotropyRGContrastvar855_g14 );
			float3 lerpResult848_g14 = lerp( UnpackScaleNormal( float4( 0,0,1,1 ), AnisotropyRGContrastvar855_g14 ) , tex2DNode858_g14 , ( DetailMask130_g14 * _DetailTangent ));
			float3 lerpResult847_g14 = lerp( lerpResult848_g14 , tex2DNode858_g14 , ( DetailMask235_g14 * _DetailTangent2 ));
			float3 normalLocalAniso46_g15 = BlendNormals( lerpResult847_g14 , temp_output_327_0_g15 );
			float4 appendResult57_g15 = (float4((normalLocalAniso46_g15).xy , 0.0 , 0.0));
			float AnisotropyRGContrastvar30_g15 = AnisotropyRGContrastvar855_g14;
			float3 lerpResult67_g15 = lerp( Tangent64_g15 , (float4( mul( appendResult57_g15.xyz, tangentToWorld42_g15 ) , 0.0 )).xyz , AnisotropyRGContrastvar30_g15);
			float3 normalizeResult71_g15 = normalize( lerpResult67_g15 );
			float3 WorldTangent74_g15 = normalizeResult71_g15;
			#if defined(LIGHTMAP_ON) && UNITY_VERSION < 560 //aseld
			float3 ase_worldlightDir = 0;
			#else //aseld
			float3 ase_worldlightDir = Unity_SafeNormalize( UnityWorldSpaceLightDir( ase_worldPos ) );
			#endif //aseld
			float3 lightDir77_g15 = ase_worldlightDir;
			float dotResult86_g15 = dot( WorldTangent74_g15 , lightDir77_g15 );
			float tdotL94_g15 = dotResult86_g15;
			float temp_output_123_0_g15 = sqrt( ( 1.0 - ( tdotL94_g15 * tdotL94_g15 ) ) );
			float3 normalizeResult92_g15 = normalize( mul( normalLocal11_g15, tangentTransform31_g15 ) );
			float3 normalDirection101_g15 = normalizeResult92_g15;
			float dotResult115_g15 = dot( lightDir77_g15 , normalDirection101_g15 );
			float NdotL129_g15 = max( 0.0 , dotResult115_g15 );
			float diffuseLight220_g15 = ( temp_output_123_0_g15 * NdotL129_g15 );
			#if defined(LIGHTMAP_ON) && ( UNITY_VERSION < 560 || ( defined(LIGHTMAP_SHADOW_MIXING) && !defined(SHADOWS_SHADOWMASK) && defined(SHADOWS_SCREEN) ) )//aselc
			float4 ase_lightColor = 0;
			#else //aselc
			float4 ase_lightColor = _LightColor0;
			#endif //aselc
			float3 Diffuse263_g15 = ( saturate( diffuseLight220_g15 ) * ase_lightColor.rgb * ase_lightAtten );
			float3 normalizeResult169_g15 = normalize( mul( normalLocalAniso46_g15, tangentTransform31_g15 ) );
			float3 normalDirectionAniso183_g15 = normalizeResult169_g15;
			UnityGI gi337_g15 = gi;
			float3 diffNorm337_g15 = WorldNormalVector( i , normalDirectionAniso183_g15 );
			gi337_g15 = UnityGI_Base( data, 1, diffNorm337_g15 );
			float3 indirectDiffuse337_g15 = gi337_g15.indirect.diffuse + diffNorm337_g15 * 0.0001;
			float2 uv_OcclusionMap623_g14 = i.uv_texcoord;
			float lerpResult483_g14 = lerp( 1.0 , SAMPLE_TEXTURE2D( _OcclusionMap, sampler_OcclusionMap, uv_OcclusionMap623_g14 ).g , _OcculusionStrength);
			float smoothstepResult621_g14 = smoothstep( 0.0 , 0.8 , tex2DNode291_g14.r);
			float lerpResult488_g14 = lerp( 1.0 , smoothstepResult621_g14 , ( _DetailOcculusionScale * DetailMask130_g14 ));
			float smoothstepResult622_g14 = smoothstep( 0.0 , 0.8 , tex2DNode328_g14.r);
			float lerpResult494_g14 = lerp( 1.0 , smoothstepResult622_g14 , ( _DetailOcculusionScale2 * DetailMask235_g14 ));
			float lerpResult620_g14 = lerp( ( lerpResult483_g14 * lerpResult488_g14 * lerpResult494_g14 ) , 1.0 , WeatheringAlpha396_g14);
			float OcclusionMix509_g14 = saturate( lerpResult620_g14 );
			float AO193_g15 = OcclusionMix509_g14;
			float3 indirectLighting230_g15 = ( indirectDiffuse337_g15 * AO193_g15 );
			float3 temp_output_284_0_g14 = (tex2DNode576_g14).rgb;
			float3 temp_cast_4 = (1.0).xxx;
			float Carvature270_g14 = tex2DNode196_g14.r;
			float3 lerpResult331_g14 = lerp( ( temp_output_284_0_g14 * (_BaseColor).rgb ) , temp_cast_4 , ( Carvature270_g14 * _CarvatureStrength ));
			float WetAlbedoOffset311_g14 = _WetAlbedoOffset;
			float3 temp_output_382_0_g14 = ( lerpResult331_g14 * WetAlbedoOffset311_g14 );
			float WetSplatsAlbedoOffset349_g14 = _WetSplatsAlbedoOffset;
			float3 lerpResult411_g14 = lerp( ( temp_output_382_0_g14 * WetSplatsAlbedoOffset349_g14 ) , (_WetColor).rgb , _WetColor.a);
			float2 appendResult287_g14 = (float2(_WetUV.x , _WetUV.y));
			float2 appendResult285_g14 = (float2(_WetUV.z , _WetUV.w));
			float2 uv_TexCoord317_g14 = i.uv_texcoord * appendResult287_g14 + appendResult285_g14;
			float2 WetUV578_g14 = uv_TexCoord317_g14;
			float WetSplats369_g14 = SAMPLE_TEXTURE2D( _WetnessMap, sampler_linear_repeat, WetUV578_g14 ).b;
			float SplatsOp363_g14 = _WetOpacitySplats;
			float3 lerpResult460_g14 = lerp( temp_output_382_0_g14 , lerpResult411_g14 , ( ( StreaksAlpha662_g14 * WetOpStreaks673_g14 ) + ( WetSplats369_g14 * SplatsOp363_g14 ) ));
			float2 uv_OcclusionMap429_g14 = i.uv_texcoord;
			float4 tex2DNode429_g14 = SAMPLE_TEXTURE2D( _OcclusionMap, sampler_MainTex, uv_OcclusionMap429_g14 );
			float3 WetBodyOffset422_g14 = (_BodyColor1).rgb;
			float bodycoloralpha417_g14 = _BodyColor1.a;
			float3 lerpResult480_g14 = lerp( lerpResult460_g14 , ( tex2DNode429_g14.a == 1.0 ? lerpResult460_g14 : WetBodyOffset422_g14 ) , ( bodycoloralpha417_g14 * ( 1.0 - tex2DNode429_g14.a ) ));
			float3 lerpResult501_g14 = lerp( lerpResult331_g14 , lerpResult480_g14 , ExGloss298_g14);
			float3 lerpResult505_g14 = lerp( lerpResult501_g14 , (_WeatheringAlbedo).rgb , ( WeatheringAlpha2466_g14 * 0.282353 ));
			float3 DiffuseMix511_g14 = lerpResult505_g14;
			float2 uv_MetallicGlossMap330_g14 = i.uv_texcoord;
			float4 tex2DNode330_g14 = SAMPLE_TEXTURE2D( _MetallicGlossMap, sampler_MetallicGlossMap, uv_MetallicGlossMap330_g14 );
			float lerpResult399_g14 = lerp( 1.0 , tex2DNode330_g14.r , _MetallicMask);
			float2 uv_DetailMainTex338_g14 = i.uv_texcoord;
			float4 tex2DNode338_g14 = SAMPLE_TEXTURE2D( _DetailMainTex, sampler_MainTex, uv_DetailMainTex338_g14 );
			float lerpResult395_g14 = lerp( 1.0 , tex2DNode330_g14.r , _MetallicMask4);
			float2 uv_ColorMask304_g14 = i.uv_texcoord;
			float4 tex2DNode304_g14 = SAMPLE_TEXTURE2D( _ColorMask, sampler_linear_repeat, uv_ColorMask304_g14 );
			float ColorMask4347_g14 = tex2DNode304_g14.b;
			float lerpResult462_g14 = lerp( ( lerpResult399_g14 * tex2DNode338_g14.r ) , ( lerpResult395_g14 * _Metallic4 ) , ColorMask4347_g14);
			float temp_output_477_0_g14 = ( WetOpStreaks673_g14 * smoothstepResult651_g14 );
			float lerpResult800_g14 = lerp( saturate( ( ( lerpResult462_g14 - ( ( 1.0 - Detail1Alpha749_g14 ) * ( _DetailMetallicScale * DetailMask130_g14 ) ) ) - ( ( 1.0 - Detail2Alpha747_g14 ) * ( _DetailMetallicScale2 * DetailMask235_g14 ) ) ) ) , 0.0 , temp_output_477_0_g14);
			float lerpResult495_g14 = lerp( lerpResult800_g14 , 0.0 , WeatheringAlpha2466_g14);
			float lerpResult736_g14 = lerp( lerpResult495_g14 , _FresnelMetallic , Fresnel707_g14);
			half3 specColor1416 = (0).xxx;
			half oneMinusReflectivity1416 = 0;
			half3 diffuseAndSpecularFromMetallic1416 = DiffuseAndSpecularFromMetallic(DiffuseMix511_g14,lerpResult736_g14,specColor1416,oneMinusReflectivity1416);
			float3 Albedo269_g15 = diffuseAndSpecularFromMetallic1416;
			float3 indirectNormal323_g15 = WorldNormalVector( i , normalDirectionAniso183_g15 );
			float lerpResult353_g14 = lerp( 1.0 , tex2DNode330_g14.r , _Roughness);
			float lerpResult336_g14 = lerp( 1.0 , tex2DNode330_g14.r , _Roughness4);
			float lerpResult384_g14 = lerp( ( lerpResult353_g14 * tex2DNode338_g14.b ) , ( _Glossiness4 * lerpResult336_g14 ) , ColorMask4347_g14);
			float WetGlossBase397_g14 = _WetGlossBase;
			float lerpResult470_g14 = lerp( saturate( ( ( lerpResult384_g14 - ( ( 1.0 - Detail1Alpha749_g14 ) * ( _DetailGlossScale * DetailMask130_g14 ) ) ) - ( ( 1.0 - Detail2Alpha747_g14 ) * ( _DetailGlossScale2 * DetailMask235_g14 ) ) ) ) , tex2DNode330_g14.a , ( WetGlossBase397_g14 * ExGloss298_g14 ));
			float SplatsGloss407_g14 = _WetGlossSplats;
			float temp_output_665_0_g14 = ( SplatsOp363_g14 * ExGloss298_g14 * WetSplats369_g14 );
			float lerpResult664_g14 = lerp( lerpResult470_g14 , SplatsGloss407_g14 , temp_output_665_0_g14);
			float lerpResult649_g14 = lerp( lerpResult664_g14 , 0.87 , temp_output_477_0_g14);
			float lerpResult499_g14 = lerp( lerpResult649_g14 , _WeatheringGloss , WeatheringAlpha396_g14);
			float GlossinessFinal513_g14 = saturate( lerpResult499_g14 );
			float lerpResult844_g14 = lerp( 0.0 , GlossinessFinal513_g14 , _Reflections);
			float temp_output_322_0_g15 = lerpResult844_g14;
			Unity_GlossyEnvironmentData g323_g15 = UnityGlossyEnvironmentSetup( temp_output_322_0_g15, data.worldViewDir, indirectNormal323_g15, float3(0,0,0));
			float3 indirectSpecular323_g15 = UnityGI_IndirectSpecular( data, AO193_g15, indirectNormal323_g15, g323_g15 );
			float3 SpecRGB151_g15 = specColor1416;
			float3 F0246_g15 = SpecRGB151_g15;
			float GrazingTerm239_g15 = saturate( temp_output_322_0_g15 );
			float3 temp_cast_5 = (GrazingTerm239_g15).xxx;
			float3 F90246_g15 = temp_cast_5;
			float3 viewDir75_g15 = ase_worldViewDir;
			float dotResult158_g15 = dot( normalDirection101_g15 , viewDir75_g15 );
			float NdotV184_g15 = max( 0.0 , dotResult158_g15 );
			float cosA246_g15 = NdotV184_g15;
			float3 localFresnelLerp246_g15 = FresnelLerp246_g15( F0246_g15 , F90246_g15 , cosA246_g15 );
			float3 switchResult338_g15 = (((i.ASEVFace>0)?(localFresnelLerp246_g15):(SpecRGB151_g15)));
			float3 indirectspecular268_g15 = ( indirectSpecular323_g15 * switchResult338_g15 );
			float dotResult90_g15 = dot( WorldTangent74_g15 , viewDir75_g15 );
			float TdotV95_g15 = dotResult90_g15;
			half input113_g15 = ( 1.0 - GlossinessFinal513_g14 );
			half localMyCustomExpression113_g15 = MyCustomExpression113_g15( input113_g15 );
			float SpecPower118_g15 = localMyCustomExpression113_g15;
			float Specular187_g15 = ( NdotL129_g15 * pow( saturate( ( ( temp_output_123_0_g15 * sqrt( ( 1.0 - ( TdotV95_g15 * TdotV95_g15 ) ) ) ) - ( tdotL94_g15 * TdotV95_g15 ) ) ) , SpecPower118_g15 ) );
			float temp_output_147_0_g15 = ( SpecPower118_g15 + 1.0 );
			float normalization194_g15 = ( sqrt( ( temp_output_147_0_g15 * temp_output_147_0_g15 ) ) / ( 8.0 * UNITY_PI ) );
			float3 normalizeResult103_g15 = normalize( ( lightDir77_g15 + viewDir75_g15 ) );
			float3 HalfDirection104_g15 = normalizeResult103_g15;
			float dotResult120_g15 = dot( lightDir77_g15 , HalfDirection104_g15 );
			float LdotH139_g15 = max( 0.0 , dotResult120_g15 );
			float x179_g15 = ( 1.0 - LdotH139_g15 );
			float localPow5179_g15 = Pow5179_g15( x179_g15 );
			float3 Specular_A227_g15 = ( Specular187_g15 * normalization194_g15 * ( ( localPow5179_g15 * ( 1.0 - SpecRGB151_g15 ) ) + SpecRGB151_g15 ) );
			float3 directSpecular265_g15 = ( Specular_A227_g15 * ase_lightColor.rgb * ase_lightAtten * AO193_g15 );
			c.rgb = saturate( ( ( ( Diffuse263_g15 + indirectLighting230_g15 ) * Albedo269_g15 * AO193_g15 ) + ( indirectspecular268_g15 + directSpecular265_g15 ) ) );
			c.a = ( WeatheringAlpha2466_g14 + saturate( lerpResult802_g14 ) );
			clip( ( step( pow( ( 1.0 - clampResult592_g14 ) , 0.2 ) , pow( TearingsMask340_g14 , 0.5 ) ) * AlphaInput195_g14 ) - _Cutoff );
			return c;
		}

		inline void LightingStandardCustomLighting_GI( inout SurfaceOutputCustomLightingCustom s, UnityGIInput data, inout UnityGI gi )
		{
			s.GIData = data;
		}

		void surf( Input i , inout SurfaceOutputCustomLightingCustom o )
		{
			o.SurfInput = i;
			o.Normal = float3(0,0,1);
			float2 uv_MetallicGlossMap330_g14 = i.uv_texcoord;
			float4 tex2DNode330_g14 = SAMPLE_TEXTURE2D( _MetallicGlossMap, sampler_MetallicGlossMap, uv_MetallicGlossMap330_g14 );
			float2 uv_MainTex576_g14 = i.uv_texcoord;
			float4 tex2DNode576_g14 = SAMPLE_TEXTURE2D( _MainTex, sampler_MainTex, uv_MainTex576_g14 );
			float3 temp_output_284_0_g14 = (tex2DNode576_g14).rgb;
			float3 ColorTex354_g14 = temp_output_284_0_g14;
			float2 uv_ColorMask304_g14 = i.uv_texcoord;
			float4 tex2DNode304_g14 = SAMPLE_TEXTURE2D( _ColorMask, sampler_linear_repeat, uv_ColorMask304_g14 );
			float ColorMask3306_g14 = tex2DNode304_g14.g;
			float3 EC3414_g14 = ( ColorTex354_g14 * ( _EmissionStrength * ColorMask3306_g14 ) );
			#ifdef _EMISSIONCOLOR4_ON
				float3 staticSwitch469_g14 = EC3414_g14;
			#else
				float3 staticSwitch469_g14 = ( (_EmissionColor).rgb * _EmissionStrength );
			#endif
			float ColorMask2351_g14 = tex2DNode304_g14.r;
			float3 EC2456_g14 = ( ColorTex354_g14 * ( _EmissionStrength * ColorMask2351_g14 ) );
			#ifdef _EMISSIONCOLOR3_ON
				float3 staticSwitch479_g14 = EC2456_g14;
			#else
				float3 staticSwitch479_g14 = staticSwitch469_g14;
			#endif
			float ColorMask1358_g14 = ( 1.0 - ( tex2DNode304_g14.r + tex2DNode304_g14.g + tex2DNode304_g14.b ) );
			float3 EC1471_g14 = ( ColorTex354_g14 * ( _EmissionStrength * ColorMask1358_g14 ) );
			#ifdef _EMISSIONCOLOR2_ON
				float3 staticSwitch498_g14 = EC1471_g14;
			#else
				float3 staticSwitch498_g14 = staticSwitch479_g14;
			#endif
			float3 EmissionFinal510_g14 = ( tex2DNode330_g14.g * staticSwitch498_g14 );
			float2 appendResult115_g14 = (float2(_WeatheringUV.x , _WeatheringUV.y));
			float2 appendResult110_g14 = (float2(_WeatheringUV.z , _WeatheringUV.w));
			float2 temp_cast_0 = (_WeatheringUVSeed).xx;
			float dotResult830_g14 = dot( temp_cast_0 , float2( 12.9898,78.233 ) );
			float lerpResult832_g14 = lerp( -10.0 , 10.0 , frac( ( sin( dotResult830_g14 ) * 43758.55 ) ));
			float2 uv_TexCoord127_g14 = i.uv_texcoord * appendResult115_g14 + ( appendResult110_g14 + lerpResult832_g14 );
			float2 WeatheringUV144_g14 = uv_TexCoord127_g14;
			float4 tex2DNode177_g14 = SAMPLE_TEXTURE2D( _WeatheringMap, sampler_WeatheringMap, WeatheringUV144_g14 );
			float2 uv_WeatheringMask100_g14 = i.uv_texcoord;
			float4 tex2DNode100_g14 = SAMPLE_TEXTURE2D( _WeatheringMask, sampler_WeatheringMask, uv_WeatheringMask100_g14 );
			float clampResult161_g14 = clamp( ( tex2DNode100_g14.r - tex2DNode100_g14.g ) , 0.0 , 1.0 );
			float WMask1183_g14 = ( clampResult161_g14 * ceil( _WeatheringRange1 ) );
			float RangeCut1208_g14 = (0.7 + (_WeatheringRange1 - 0.0) * (0.2 - 0.7) / (1.0 - 0.0));
			float clampResult253_g14 = clamp( ( ( tex2DNode177_g14.g * WMask1183_g14 ) - RangeCut1208_g14 ) , 0.0 , 1.0 );
			float clampResult159_g14 = clamp( ( tex2DNode100_g14.g - tex2DNode100_g14.r ) , 0.0 , 1.0 );
			float WMask2192_g14 = ( clampResult159_g14 * ceil( _WeatheringRange2 ) );
			float RangeCut2211_g14 = (0.7 + (_WeatheringRange2 - 0.0) * (0.2 - 0.7) / (1.0 - 0.0));
			float clampResult251_g14 = clamp( ( ( tex2DNode177_g14.g * WMask2192_g14 ) - RangeCut2211_g14 ) , 0.0 , 1.0 );
			float WMask3190_g14 = ( tex2DNode100_g14.b * ceil( _WeatheringRange3 ) );
			float RangeCut3210_g14 = (0.7 + (_WeatheringRange3 - 0.0) * (0.2 - 0.7) / (1.0 - 0.0));
			float clampResult254_g14 = clamp( ( ( tex2DNode177_g14.g * WMask3190_g14 ) - RangeCut3210_g14 ) , 0.0 , 1.0 );
			float WMask4180_g14 = ( ( tex2DNode100_g14.r * tex2DNode100_g14.g ) * ceil( _WeatheringRange4 ) );
			float RangeCut4205_g14 = (0.7 + (_WeatheringRange4 - 0.0) * (0.2 - 0.7) / (1.0 - 0.0));
			float clampResult259_g14 = clamp( ( ( tex2DNode177_g14.g * WMask4180_g14 ) - RangeCut4205_g14 ) , 0.0 , 1.0 );
			float WMask5184_g14 = ( ( tex2DNode100_g14.r * tex2DNode100_g14.b ) * ceil( _WeatheringRange5 ) );
			float RangeCut5201_g14 = (0.7 + (_WeatheringRange5 - 0.0) * (0.2 - 0.7) / (1.0 - 0.0));
			float clampResult261_g14 = clamp( ( ( tex2DNode177_g14.g * WMask5184_g14 ) - RangeCut5201_g14 ) , 0.0 , 1.0 );
			float WMaskAll165_g14 = ceil( _WeatheringAll );
			float RangeCutAll171_g14 = (0.7 + (_WeatheringAll - 0.0) * (0.2 - 0.7) / (1.0 - 0.0));
			float clampResult215_g14 = clamp( ( ( tex2DNode177_g14.g * WMaskAll165_g14 ) - RangeCutAll171_g14 ) , 0.0 , 1.0 );
			float clampResult299_g14 = clamp( ( clampResult253_g14 + clampResult251_g14 + clampResult254_g14 + clampResult259_g14 + clampResult261_g14 + clampResult215_g14 ) , 0.0 , 1.0 );
			float lerpResult313_g14 = lerp( clampResult299_g14 , clampResult215_g14 , WMaskAll165_g14);
			float WeatheringAlpha2466_g14 = lerpResult313_g14;
			float WeatheringBumpMask813_g14 = tex2DNode177_g14.b;
			o.Emission = ( EmissionFinal510_g14 + ( ( WeatheringAlpha2466_g14 * WeatheringBumpMask813_g14 ) * _WeatheringEmission ) );
		}

		ENDCG
		CGPROGRAM
		#pragma only_renderers d3d9 d3d11_9x d3d11 glcore gles gles3 
		#pragma surface surf StandardCustomLighting keepalpha fullforwardshadows 

		ENDCG
		Pass
		{
			Name "ShadowCaster"
			Tags{ "LightMode" = "ShadowCaster" }
			ZWrite On
			CGPROGRAM
			#pragma vertex vert
			#pragma fragment frag
			#pragma target 5.0
			#pragma multi_compile_shadowcaster
			#pragma multi_compile UNITY_PASS_SHADOWCASTER
			#pragma skip_variants FOG_LINEAR FOG_EXP FOG_EXP2
			#include "HLSLSupport.cginc"
			#if ( SHADER_API_D3D11 || SHADER_API_GLCORE || SHADER_API_GLES || SHADER_API_GLES3 || SHADER_API_METAL || SHADER_API_VULKAN )
				#define CAN_SKIP_VPOS
			#endif
			#include "UnityCG.cginc"
			#include "Lighting.cginc"
			#include "UnityPBSLighting.cginc"
			sampler3D _DitherMaskLOD;
			struct v2f
			{
				V2F_SHADOW_CASTER;
				float2 customPack1 : TEXCOORD1;
				float4 tSpace0 : TEXCOORD2;
				float4 tSpace1 : TEXCOORD3;
				float4 tSpace2 : TEXCOORD4;
				UNITY_VERTEX_INPUT_INSTANCE_ID
				UNITY_VERTEX_OUTPUT_STEREO
			};
			v2f vert( appdata_full v )
			{
				v2f o;
				UNITY_SETUP_INSTANCE_ID( v );
				UNITY_INITIALIZE_OUTPUT( v2f, o );
				UNITY_INITIALIZE_VERTEX_OUTPUT_STEREO( o );
				UNITY_TRANSFER_INSTANCE_ID( v, o );
				Input customInputData;
				float3 worldPos = mul( unity_ObjectToWorld, v.vertex ).xyz;
				half3 worldNormal = UnityObjectToWorldNormal( v.normal );
				half3 worldTangent = UnityObjectToWorldDir( v.tangent.xyz );
				half tangentSign = v.tangent.w * unity_WorldTransformParams.w;
				half3 worldBinormal = cross( worldNormal, worldTangent ) * tangentSign;
				o.tSpace0 = float4( worldTangent.x, worldBinormal.x, worldNormal.x, worldPos.x );
				o.tSpace1 = float4( worldTangent.y, worldBinormal.y, worldNormal.y, worldPos.y );
				o.tSpace2 = float4( worldTangent.z, worldBinormal.z, worldNormal.z, worldPos.z );
				o.customPack1.xy = customInputData.uv_texcoord;
				o.customPack1.xy = v.texcoord;
				TRANSFER_SHADOW_CASTER_NORMALOFFSET( o )
				return o;
			}
			half4 frag( v2f IN
			#if !defined( CAN_SKIP_VPOS )
			, UNITY_VPOS_TYPE vpos : VPOS
			#endif
			) : SV_Target
			{
				UNITY_SETUP_INSTANCE_ID( IN );
				Input surfIN;
				UNITY_INITIALIZE_OUTPUT( Input, surfIN );
				surfIN.uv_texcoord = IN.customPack1.xy;
				float3 worldPos = float3( IN.tSpace0.w, IN.tSpace1.w, IN.tSpace2.w );
				half3 worldViewDir = normalize( UnityWorldSpaceViewDir( worldPos ) );
				surfIN.worldPos = worldPos;
				surfIN.worldNormal = float3( IN.tSpace0.z, IN.tSpace1.z, IN.tSpace2.z );
				surfIN.internalSurfaceTtoW0 = IN.tSpace0.xyz;
				surfIN.internalSurfaceTtoW1 = IN.tSpace1.xyz;
				surfIN.internalSurfaceTtoW2 = IN.tSpace2.xyz;
				SurfaceOutputCustomLightingCustom o;
				UNITY_INITIALIZE_OUTPUT( SurfaceOutputCustomLightingCustom, o )
				surf( surfIN, o );
				UnityGI gi;
				UNITY_INITIALIZE_OUTPUT( UnityGI, gi );
				o.Alpha = LightingStandardCustomLighting( o, worldViewDir, gi ).a;
				#if defined( CAN_SKIP_VPOS )
				float2 vpos = IN.pos;
				#endif
				half alphaRef = tex3D( _DitherMaskLOD, float3( vpos.xy * 0.25, o.Alpha * 0.9375 ) ).a;
				clip( alphaRef - 0.01 );
				SHADOW_CASTER_FRAGMENT( IN )
			}
			ENDCG
		}
	}
	Fallback "Diffuse"
	CustomEditor "ASEMaterialInspector"
}
/*ASEBEGIN
Version=18912
608.8;500;1130;878;-3104.086;2177.965;1.061851;True;False
Node;AmplifyShaderEditor.FunctionNode;1421;3296.536,-1668.618;Inherit;False;AIT Anisotropic Pantyhose;0;;14;08af0a6459a452e4fb71b757a6dcf124;0;1;683;FLOAT;0;False;12;FLOAT3;0;FLOAT3;557;FLOAT3;868;FLOAT3;558;FLOAT;559;FLOAT;560;FLOAT;866;FLOAT;561;FLOAT;617;FLOAT;799;FLOAT;865;FLOAT;867
Node;AmplifyShaderEditor.DiffuseAndSpecularFromMetallicNode;1416;3631.044,-1673.613;Inherit;False;2;0;FLOAT3;0,0,0;False;1;FLOAT;0;False;3;FLOAT3;0;FLOAT3;1;FLOAT;2
Node;AmplifyShaderEditor.WireNode;1414;3603.481,-1713.385;Inherit;False;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.FunctionNode;1413;3992.577,-1673.865;Inherit;False;Standard Anisotropic Specular Light;-1;;15;3a41dd9f61f98284890bd8c75a8f7141;0;9;329;FLOAT3;0,0,0;False;330;FLOAT3;0,0,0;False;327;FLOAT3;0,0,0;False;328;FLOAT3;0,0,0;False;316;FLOAT;0;False;322;FLOAT;0;False;319;FLOAT;0;False;318;FLOAT;0;False;317;FLOAT;0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.WireNode;1415;3651.067,-1740.839;Inherit;False;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.RangedFloatNode;1418;4366.116,-1278.286;Inherit;False;Property;_Cutoff;Cutoff;83;1;[Header];Create;True;1;Cutout Setting;0;0;True;0;False;0.1;0.1;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;1419;4495.382,-1160.903;Inherit;False;Property;_ZWrite;ZWrite;82;1;[Toggle];Create;True;0;0;0;True;0;False;0;0;0;1;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;1385;4354.131,-1390.77;Inherit;False;Property;_CullMode;CullMode;84;1;[IntRange];Create;True;0;0;0;True;0;False;2;2;0;2;0;1;FLOAT;0
Node;AmplifyShaderEditor.SaturateNode;1420;4224.392,-1317.69;Inherit;False;1;0;FLOAT3;0,0,0;False;1;FLOAT3;0
Node;AmplifyShaderEditor.StandardSurfaceOutputNode;0;4410.584,-1815.127;Float;False;True;-1;7;ASEMaterialInspector;0;0;CustomLighting;Hanmen/Anisotropic Pantyhose;False;False;False;False;False;False;False;False;False;False;False;False;False;False;True;False;False;False;False;False;False;Back;2;True;1419;3;False;-1;False;0;False;-1;0;False;-1;False;0;Custom;0.1;True;True;-1;True;Transparent;2600;Transparent;All;6;d3d9;d3d11_9x;d3d11;glcore;gles;gles3;True;True;True;True;0;False;-1;False;0;False;-1;255;False;-1;255;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;False;0;32;1;2;True;1;True;2;5;False;-1;10;False;-1;0;1;False;-1;10;False;-1;0;False;-1;6;False;-1;0;False;0;0,0,0,0;VertexOffset;True;False;Cylindrical;False;Relative;0;;-1;-1;-1;-1;0;False;0;0;True;1385;-1;0;True;1418;0;0;0;False;0.1;False;-1;0;False;-1;True;15;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;3;FLOAT3;0,0,0;False;4;FLOAT;0;False;6;FLOAT3;0,0,0;False;7;FLOAT3;0,0,0;False;8;FLOAT;0;False;9;FLOAT;0;False;10;FLOAT;0;False;13;FLOAT3;0,0,0;False;11;FLOAT3;0,0,0;False;12;FLOAT3;0,0,0;False;14;FLOAT4;0,0,0,0;False;15;FLOAT3;0,0,0;False;0
WireConnection;1416;0;1421;0
WireConnection;1416;1;1421;559
WireConnection;1414;0;1421;558
WireConnection;1413;329;1416;0
WireConnection;1413;330;1416;1
WireConnection;1413;327;1421;557
WireConnection;1413;328;1421;868
WireConnection;1413;316;1421;560
WireConnection;1413;322;1421;866
WireConnection;1413;319;1421;865
WireConnection;1413;318;1421;867
WireConnection;1413;317;1421;561
WireConnection;1415;0;1414;0
WireConnection;1420;0;1413;0
WireConnection;0;2;1415;0
WireConnection;0;9;1421;617
WireConnection;0;10;1421;799
WireConnection;0;13;1420;0
ASEEND*/
//CHKSM=7D7AD98301C3F7C8E29D5F7A3FE6E9D22EEE22AE